<?php
include "is_logged.php"; //Archivo comprueba si el usuario esta logueado
/* Connect To Database*/
require_once "../db.php";
require_once "../php_conexion.php";
#require_once "../libraries/inventory.php"; //Contiene funcion que controla stock en el inventario
//Inicia Control de Permisos
include "../permisos.php";
//Archivo de funciones PHP
require_once "../funciones.php";
$user_id = $_SESSION['id_users'];
$action  = (isset($_REQUEST['action']) && $_REQUEST['action'] != null) ? $_REQUEST['action'] : '';
if ($action == 'ajax') {
    $daterange = mysqli_real_escape_string($conexion, (strip_tags($_REQUEST['range'], ENT_QUOTES)));
    $tables    = "mensajes,  usuarios";
    $campos    = "*";
    $sWhere    = "usuarios.id_users=mensajes.id_medico and mensajes.users= '$user_id'";
    if (!empty($daterange)) {
        list($f_inicio, $f_final)                    = explode(" - ", $daterange); //Extrae la fecha inicial y la fecha final en formato espa?ol
        list($dia_inicio, $mes_inicio, $anio_inicio) = explode("/", $f_inicio); //Extrae fecha inicial
        $fecha_inicial                               = "$anio_inicio-$mes_inicio-$dia_inicio 00:00:00"; //Fecha inicial formato ingles
        list($dia_fin, $mes_fin, $anio_fin)          = explode("/", $f_final); //Extrae la fecha final
        $fecha_final                                 = "$anio_fin-$mes_fin-$dia_fin 23:59:59";

        $sWhere .= " and mensajes.fecha_added between '$fecha_inicial' and '$fecha_final' ";
    }
    $sWhere .= " order by mensajes.id_mensaje desc";

    include 'pagination.php'; //include pagination file
    //pagination variables
    $page      = (isset($_REQUEST['page']) && !empty($_REQUEST['page'])) ? $_REQUEST['page'] : 1;
    $per_page  = 100; //how much records you want to show
    $adjacents = 4; //gap between pages after number of adjacents
    $offset    = ($page - 1) * $per_page;
    //Count the total number of row in your table*/
    $count_query = mysqli_query($conexion, "SELECT count(*) AS numrows FROM $tables where $sWhere ");
    if ($row = mysqli_fetch_array($count_query)) {$numrows = $row['numrows'];} else {echo mysqli_error($conexion);}
    $total_pages = ceil($numrows / $per_page);
    $reload      = '../mensajes_in.php';
    //main query to fetch the data
    $query = mysqli_query($conexion, "SELECT $campos FROM  $tables where $sWhere LIMIT $offset,$per_page");
    //loop through fetched data

    if ($numrows > 0) {
        ?>

        <div class="table-responsive">
            <table class="table table-hover mails m-0">
                <tbody>
                    <?php
$finales = 0;
        while ($row = mysqli_fetch_array($query)) {
            $id_sms            = $row['id_mensaje'];
            $date_added        = $row['fecha_added'];
            $id_paciente       = $row['id_paciente'];
            $asunto            = $row['asunto'];
            $sql               = mysqli_query($conexion, "select nombre_users, apellido_users from usuarios where id_users='" . $id_paciente . "'");
            $rw                = mysqli_fetch_array($sql);
            $paciente_fullname = $rw['nombre_users'] . ' ' . $rw['apellido_users'];
            list($date, $hora) = explode(" ", $date_added);
            list($Y, $m, $d)   = explode("-", $date);
            $fecha             = $Y . "-" . $m . "-" . $d;
            $finales++;
            if ($row['estado_sms'] == 1) {
                $modo = 'class="unread"';
            } else {
                $modo = '';
            }
            ?>
                        <tr <?php echo $modo; ?>>
                            <td>
                            <a href="mensajes_ver_out.php?id=<?php echo $id_sms; ?>" class="email-name"><?php echo $paciente_fullname; ?></a>
                            </td>
                            <td class="hidden-xs">
                                <a href="mensajes_ver_out.php?id=<?php echo $id_sms; ?>" class="email-msg"><?php echo $asunto; ?></a>
                            </td>
                            <td class="text-left">
                                <?php echo fecha($fecha); ?>
                            </td>
                        </tr>
                        <?php }?>
                    </tbody>
                </table>
            </div>

            <div class="box-footer clearfix" align="right">

                <?php
$inicios = $offset + 1;
        $finales += $inicios - 1;
        echo "Mostrando $inicios al $finales de $numrows registros";
        echo paginate($reload, $page, $total_pages, $adjacents);?>

            </div>

            <?php
}
}
?>

