<?php
include "is_logged.php"; // Archivo comprueba si el usuario está logueado
/* Connect To Database */
require_once "../db.php";
require_once "../php_conexion.php";
require_once "../funciones.php";

$session_id = session_id();
$sumador_total = 0;
$total_impuesto = 0;
//$id_cita = $_SESSION['id_cita'];

// Obtener los medicamentos en la sesión actual
$sql = mysqli_query($conexion, "SELECT * FROM medicamentos, tmp_tratamiento WHERE medicamentos.id_medicamento=tmp_tratamiento.id_producto");

while ($row = mysqli_fetch_array($sql)) {
    $cantidad = $row['cantidad_tmp'];
    $desc_tmp = $row['desc_tmp'];
    $precio_venta = $row['precio_tmp'];
    
    $precio_total = $precio_venta * $cantidad;
    $final_items = rebajasMoney($precio_total, $desc_tmp); // Aplicando el descuento
    
    $sumador_total += $final_items; // Sumador del subtotal
    $iva_tmp = 1; // Esto debería depender de cada producto
    
    $total_iva = ($iva_tmp == 1) ? iva($final_items) : 0; // Calcular IVA si corresponde
    $total_impuesto += $total_iva;
}

$total_factura = $sumador_total;
?>
<input type="text" class="form-control" autocomplete="off" id="total_ft" required name="total_ft" value="<?php echo number_format($total_factura, 2); ?>">
