<?php
include 'is_logged.php'; //Archivo verifica que el usario que intenta acceder a la URL esta logueado
/*Inicia validacion del lado del servidor*/
if (empty($_POST['mod_id'])) {
    $errors[] = "ID vacío";
} else if (empty($_POST['mod_nombre'])) {
    $errors[] = "Nombre vacío";
} else if ($_POST['mod_estado'] == "") {
    $errors[] = "Selecciona un Estado";
} else if (
    !empty($_POST['mod_id']) &&
    !empty($_POST['mod_nombre']) &&
    $_POST['mod_estado'] != ""
) {
    /* Connect To Database*/
    require_once "../db.php";
    require_once "../php_conexion.php";
    // escaping, additionally removing everything that could be (html/javascript-) code
    $id_aparato  = intval($_POST['mod_id']);
    $codigo      = mysqli_real_escape_string($conexion, (strip_tags($_POST["mod_codigo"], ENT_QUOTES)));
    $nombre      = mysqli_real_escape_string($conexion, (strip_tags($_POST["mod_nombre"], ENT_QUOTES)));
    $precio      = floatval($_POST['mod_precio']);
    $vencimiento = mysqli_real_escape_string($conexion, (strip_tags($_POST["mod_vencimiento"], ENT_QUOTES)));
    $stock       = floatval($_POST['mod_stock']);
    $stock_min   = floatval($_POST['mod_stock_min']);
    $estado      = intval($_POST['mod_estado']);

    $sql = "UPDATE aparatos SET codigo_aparato='" . $codigo . "',
                                        nombre_aparato='" . $nombre . "',
                                        precio_aparato='" . $precio . "',
                                        fecha_vencimiento='" . $vencimiento . "',
                                        stock_aparato='" . $stock . "',
                                        stock_min_aparato='" . $stock_min . "',
                                        estado_aparato='" . $estado . "'
                            WHERE id_aparato='" . $id_aparato . "'";

    $query_update = mysqli_query($conexion, $sql);
    if ($query_update) {
        $messages[] = "Aparato ha sido actualizado con Exito.";
    } else {
        $errors[] = "Lo siento algo ha salido mal intenta nuevamente." . mysqli_error($conexion);
    }
} else {
    $errors[] = "Error desconocido.";
}

if (isset($errors)) {

    ?>
            <div class="alert alert-danger" role="alert">
                    <strong>Error!</strong>
                    <?php
foreach ($errors as $error) {
        echo $error;
    }
    ?>
            </div>
            <?php
}
if (isset($messages)) {

    ?>
                <div class="alert alert-success" role="alert">
                        <strong>¡Bien hecho!</strong>
                        <?php
foreach ($messages as $message) {
        echo $message;
    }
    ?>
                </div>
                <?php
}

?>