<?php
include 'is_logged.php'; //Archivo verifica que el usario que intenta acceder a la URL esta logueado
/*Inicia validacion del lado del servidor*/
if (empty($_POST['id_empleado'])) {
    $errors[] = "ID VACIO";
} else if (!empty($_POST['id_empleado'])) {
    /* Connect To Database*/
    require_once "../db.php";
    require_once "../php_conexion.php";
    //Archivo de funciones PHP
    require_once "../funciones.php";
    $session_id     = session_id();
    $motivog = mysqli_real_escape_string($conexion, strip_tags($_REQUEST["motivog"], ENT_QUOTES));
    $users          = intval($_SESSION['id_users']);
    $simbolo_moneda = get_row('perfil', 'moneda', 'id_perfil', 1);
    //Comprobamos si hay archivos en la tabla temporal
    $sql_count = mysqli_query($conexion, "select session_id, sucursal_tmp from tmp_des where session_id='" . $session_id . "'");
    $count     = mysqli_num_rows($sql_count);
    if ($count == 0) {
        echo "<script>
        swal({
          title: 'No hay Productos agregados en la factura',
          text: 'Intentar nuevamente',
          type: 'error',
          confirmButtonText: 'ok'
      })</script>";
        exit;
    }

    //$total_ft       = floatval($_POST['total_ft']);
    $date_added     = date("Y-m-d H:i:s");

   //Seleccionamos el ultimo compo numero_fatura y aumentamos una
   $sql        = mysqli_query($conexion, "select MAX(id_factura) as last from facturas_des");
   $rw         = mysqli_fetch_array($sql);
   $id_factura = $rw['last'] + 1;
    // consulta principal
    $nums           = 1;
    $impuesto       = get_row('perfil', 'impuesto', 'id_perfil', 1);
    $sumador_total  = 0;
    $sum_total      = 0;
    $total_impuesto = 0;
    $t_iva          = 0;
    $sql            = mysqli_query($conexion, "select * from medicamentos, tmp_des where medicamentos.id_medicamento =tmp_des.id_producto and tmp_des.session_id='" . $session_id . "'");
    while ($row = mysqli_fetch_array($sql)) {
        $id_tmp          = $row["id_tmp"];
        $id_producto     = $row['id_medicamento'];
        $codigo_producto = $row['codigo_medicamento'];
        $cantidad        = $row['cantidad_tmp'];
        $desc_tmp        = $row['desc_tmp'];
        $nombre_producto = $row['nombre_medicamento'];
        $costo_producto = $row['precio_medicamento'];
        $detalle = $row['detalle_tmp'];

        $precio_venta = (float)$row['precio_tmp'];
        $precio_total = $precio_venta * $cantidad;
        $final_items = rebajas($precio_total, $desc_tmp);

        $sumador_total += $final_items;
        $subtotal = number_format($sumador_total, 2, '.', '');
        $total_iva = 0;
        $total_impuesto += rebajas($total_iva, $desc_tmp) * $cantidad;
       
        /* FIN DEL IVA*/
        //Insert en la tabla detalle_factura
        $insert_detail = mysqli_query($conexion, "INSERT INTO detalle_fact_des VALUES (NULL,'$id_factura','$id_producto','$cantidad','$precio_venta','$precio_total','1', '$detalle')");
        // FIN
        // ACTUALIZA EN EL STOCK
        $sql2    = mysqli_query($conexion, "select stock_medicamento, id_medicamento FROM medicamentos where id_medicamento ='" . $id_producto . "'");
        $rw      = mysqli_fetch_array($sql2);
        $old_qty = $rw['stock_medicamento']; //Cantidad encontrada en el inventario
        $new_qty = $old_qty - $cantidad; //Nueva cantidad en el inventario
        $update  = mysqli_query($conexion, "UPDATE medicamentos SET stock_medicamento='" . $new_qty . "' WHERE id_medicamento ='" . $id_producto . "' and inv_medicamento=0"); //Actualizo la nueva cantidad en el inventario
        $nums++;
    }
    // Fin de la consulta Principal
    $total_factura    = $subtotal + $total_impuesto;
    
   
    $insert     = "INSERT INTO facturas_des VALUES (NULL,'$date_added','$total_factura','1','$users','1','$motivog')";
    $factura_id = '';
    if ($conexion->query($insert) === true) {
        $factura_id          = $conexion->insert_id;
        $valid['id_factura'] = $factura_id;
    }
   

    $delete = mysqli_query($conexion, "DELETE FROM tmp_des WHERE session_id='" . $session_id . "'");
    // SI TODO ESTA CORRECTO
    if ($insert) {
        echo "<script>   
    $('#modal_vuelto').modal('show');
</script>";
        #$messages[] = "Venta  ha sido Guardada satisfactoriamente.";
    } else {
        $errors[] = "Lo siento algo ha salido mal intenta nuevamente." . mysqli_error($conexion);
    }
} else {
    $errors[] = "Error desconocido.";
}

if (isset($errors)) {

?>
    <div class="alert alert-danger" role="alert">
        <strong>Error!</strong>
        <?php
        foreach ($errors as $error) {
            echo $error;
        }
        ?>
    </div>
<?php
}
if (isset($messages)) {

?>
    <div class="alert alert-success" role="alert">
        <strong>¡Bien hecho!</strong>
        <?php
        foreach ($messages as $message) {
            echo $message;
        }
        ?>
    </div>
<?php
}

?>
<!-- Modal -->
<div class="modal fade" id="modal_vuelto" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel"><i class='fa fa-edit'></i> DOCUMENTO: <?php echo $id_factura; ?></h4>
            </div>
            <div class="modal-body" align="center">
                <strong>
                    <h3>TOTAL</h3>
                </strong>
                <div class="alert alert-info" align="center">
                    <strong>
                        <h1>
                            <?php echo $simbolo_moneda . ' ' . $total_factura; ?>

                        </h1>
                    </strong>
                </div>

            </div>
            <div class="modal-footer">
                <button type="button" id="imprimir" class="btn btn-success btn-block btn-lg waves-effect waves-light" onclick=""><span class="fa fa-print"></span> Imprimir</button><br>
            </div>
        </div>
    </div>
</div>