
<?php
//include "is_logged.php"; //Archivo comprueba si el usuario esta logueado
/* Connect To Database*/
require_once "../db.php";
require_once "../php_conexion.php";
require_once "../funciones.php";

$query_id = mysqli_query($conexion, "SELECT RIGHT(cod_ref,6) as codigo FROM pacientes
  ORDER BY cod_ref DESC LIMIT 1")
or die('error ' . mysqli_error($conexion));
$count = mysqli_num_rows($query_id);
if ($count != 0) {
    $data_id    = mysqli_fetch_assoc($query_id);
    $cod_ref = $data_id['codigo'] + 1;
} else {
    $cod_ref = 1;
}
$date_added    = date("Y-m-d H:i:s");
$buat_id    = str_pad($cod_ref, 5, STR_PAD_LEFT);
$cod_ref = "$buat_id";
$target_dir    = "../../img/pacientes/";
$image_name    = time() . "_" . basename($_FILES["imagefile"]["name"]);
$target_file   = $target_dir . $image_name;
$imageFileType = pathinfo($target_file, PATHINFO_EXTENSION);
$imageFileZise = $_FILES["imagefile"]["size"];

/* Inicio Validacion*/
// Allow certain file formats
if (($imageFileType != "jpg" && $imageFileType != "png" && $imageFileType != "jpeg" && $imageFileType != "gif") and $imageFileZise > 0) {
    $errors[] = "<p>Lo sentimos, sólo se permiten archivos JPG , JPEG, PNG y GIF.</p>";
} else if ($imageFileZise > 1048576) {
//1048576 byte=1MB
    $errors[] = "<p>Lo sentimos, pero el archivo es demasiado grande. Selecciona logo de menos de 1MB</p>";
} else if (empty($cod_ref)) {
    $errors[] = "<p>Codigo del paciente está vacío.</p>";
} else {

    /* Fin Validacion*/
    if ($imageFileZise > 0) {
        move_uploaded_file($_FILES["imagefile"]["tmp_name"], $target_file);
        $imagen     = basename($_FILES["imagefile"]["name"]);
        $img_update = '../../img/pacientes/' . $image_name . ''; //GUARDA ESTA RUTA EN LA BASE DE DATOS

    } else { $img_update = "";}
    $sql              = "INSERT INTO detalle_img (url_img, fecha_added, ref_codigo) VALUES ('$img_update','$date_added','$cod_ref')";
    $query_img = mysqli_query($conexion, $sql);

    if ($query_img) {
        ?>
        <div class="text-center">
            <img class="img-thumbnail" width="200" height="250" src="../../img/pacientes/<?php echo $image_name; ?>">
        </div>
        <script type="text/javascript">
            $.Notification.notify('success', 'bottom center', 'NOTIFICACIÓN', 'IMAGEN GUARDADA CON EXITO')
        </script>
        <?php

    } else {
        $errors[] = "Lo sentimos, actualización falló. Intente nuevamente. " . mysqli_error($conexion);
    }
}

?>

<?php
if (isset($errors)) {
    ?>
    <div class="alert alert-danger">
        <strong>Error! </strong>
        <?php
        foreach ($errors as $error) {
            echo $error;
        }
        ?>
    </div>
    <?php
}
?>
<?php
if (isset($messages)) {
    ?>
    <div class="alert alert-success">
        <strong>Aviso! </strong>
        <?php
        foreach ($messages as $message) {
            echo $message;
        }
        ?>
    </div>
    <?php
}
?>