<?php
include 'is_logged.php'; //Archivo verifica que el usario que intenta acceder a la URL esta logueado
/*Inicia validacion del lado del servidor*/
if (empty($_POST['nombre'])) {
    $errors[] = "Nombre vacío";
} else if (!empty($_POST['nombre'])) {
    /* Connect To Database*/
    require_once "../db.php";
    require_once "../php_conexion.php";
    // escaping, additionally removing everything that could be (html/javascript-) code
    $codigo      = mysqli_real_escape_string($conexion, (strip_tags($_POST["codigo"], ENT_QUOTES)));
    $nombre      = mysqli_real_escape_string($conexion, (strip_tags($_POST["nombre"], ENT_QUOTES)));
    $precio      = floatval($_POST['precio']);
    $vencimiento = mysqli_real_escape_string($conexion, (strip_tags($_POST["vencimiento"], ENT_QUOTES)));
    $stock       = floatval($_POST['stock']);
    $stock_min   = floatval($_POST['stock_min']);
    $estado      = intval($_POST['estado']);
    $date_added  = date("Y-m-d H:i:s");
    // check if user or email address already exists
    $sql                   = "SELECT * FROM aparatos WHERE codigo_aparato ='" . $codigo . "';";
    $query_check_user_name = mysqli_query($conexion, $sql);
    $query_check_user      = mysqli_num_rows($query_check_user_name);
    if ($query_check_user == true) {
        $errors[] = "Codigo del Aparato ya está en uso.";
    } else {
        // write new user's data into database

        $sql = "INSERT INTO aparatos (codigo_aparato, nombre_aparato, precio_aparato, fecha_vencimiento, stock_aparato, stock_min_aparato,  estado_aparato, fecha_added)
    VALUES ('$codigo','$nombre','$precio','$vencimiento','$stock', '$stock_min','$estado','$date_added')";
        $query_new_insert = mysqli_query($conexion, $sql);

        if ($query_new_insert) {
            $messages[] = "Aparato ha sido ingresado con Exito.";
        } else {
            $errors[] = "Lo siento algo ha salido mal intenta nuevamente." . mysqli_error($conexion);
        }
    }
} else {
    $errors[] = "Error desconocido.";
}

if (isset($errors)) {

    ?>
            <div class="alert alert-danger" role="alert">
             <strong>Error!</strong>
             <?php
foreach ($errors as $error) {
        echo $error;
    }
    ?>
        </div>
        <?php
}
if (isset($messages)) {

    ?>
        <div class="alert alert-success" role="alert">
            <strong>¡Bien hecho!</strong>
            <?php
foreach ($messages as $message) {
        echo $message;
    }
    ?>
        </div>
        <?php
}

?>