<?php
include 'is_logged.php'; //Archivo verifica que el usario que intenta acceder a la URL esta logueado
/*Inicia validacion del lado del servidor*/
if (empty($_POST['nombre'])) {
    $errors[] = "Nombre vacío";
} else if (!empty($_POST['nombre'])) {
    /* Connect To Database*/
    require_once "../db.php";
    require_once "../php_conexion.php";
    // escaping, additionally removing everything that could be (html/javascript-) code
    $codigo     = mysqli_real_escape_string($conexion, (strip_tags($_POST["codigo"], ENT_QUOTES)));
    $nombre     = mysqli_real_escape_string($conexion, (strip_tags($_POST["nombre"], ENT_QUOTES)));
    $dui   = mysqli_real_escape_string($conexion, (strip_tags($_POST["dui"], ENT_QUOTES)));
    $tel   = mysqli_real_escape_string($conexion, (strip_tags($_POST["tel"], ENT_QUOTES)));
    $telf   = mysqli_real_escape_string($conexion, (strip_tags($_POST["telf"], ENT_QUOTES)));
    $direccion  = mysqli_real_escape_string($conexion, (strip_tags($_POST["direccion"], ENT_QUOTES)));
    $nac = mysqli_real_escape_string($conexion, (strip_tags($_POST["nac"], ENT_QUOTES)));
    $edad       = intval($_POST['edad']);
    $encargado  = mysqli_real_escape_string($conexion, (strip_tags($_POST["encargado"], ENT_QUOTES)));
    $docres     = mysqli_real_escape_string($conexion, (strip_tags($_POST["docres"], ENT_QUOTES)));
    $otros   = mysqli_real_escape_string($conexion, (strip_tags($_POST["otros"], ENT_QUOTES)));
    $fechemo  = mysqli_real_escape_string($conexion, (strip_tags($_POST["fechemo"], ENT_QUOTES)));
    $com      = mysqli_real_escape_string($conexion, (strip_tags($_POST["com"], ENT_QUOTES)));
    $estado     = intval($_POST['estado']);
    $date_added = date("Y-m-d H:i:s");
    $paciente_id = '';

    // check if user or email address already exists
    $sql         = "SELECT * FROM pacientes WHERE dui_paciente ='" . $dui . "';";
    $query_check = mysqli_query($conexion, $sql);
    $check       = mysqli_num_rows($query_check);
    if ($check == true) {
        $errors[] = "Lo sentimos , el documento ya está en uso.";
    } else {
        // write new user's data into database
        $sql_paciente = "INSERT INTO pacientes (nombre_paciente, dui_paciente, direccion_paciente, tel_paciente, dr_cabecera, encargado_paciente, tel_familia, fecha_nacimiento, edad_paciente, otros, fec_hemodialisis, comentarios, estado_paciente, date_addedd, cod_ref, fecha_cita)
                                            VALUES ('$nombre','$dui','$direccion', '$tel','$docres','$encargado','$telf','$nac', '$edad','$otros','$fechemo','$com','$estado','$date_added','$codigo','')";
        #$query_new_insert = mysqli_query($conexion, $sql);
        $paciente_id = '';
        if ($conexion->query($sql_paciente) === true) {
            $paciente_id          = $conexion->insert_id;
            $valid['id_consulta'] = $paciente_id;
        }

        $sql_ant          = "INSERT INTO antecedentes (id_paciente) VALUES ('$paciente_id')";
        $query_new_ant = mysqli_query($conexion, $sql_ant);

        // check if user or codigo address already exists
        $sqll         = "SELECT * FROM detalle_img WHERE ref_codigo='" . $codigo . "';";
        $query_checkk = mysqli_query($conexion, $sqll);
        $checkk       = mysqli_num_rows($query_checkk);
        if ($checkk == true) {
            $sql_up       = "UPDATE detalle_img SET  paciente_id='" . $paciente_id . "' WHERE ref_codigo='" . $codigo . "'";
            $query_update = mysqli_query($conexion, $sql_up);

        } else {
            $sql_img       = "INSERT INTO detalle_img (url_img, fecha_added, ref_codigo, paciente_id) VALUES ('','$date_added','$codigo','$paciente_id')";
            $query_img = mysqli_query($conexion, $sql_img);
        }

    }
    if ($paciente_id) {
        $messages[] = "Paciente ha sido ingresado con Exito.";

    } else {
        $errors[] = "Lo siento algo ha salido mal intenta nuevamente." . mysqli_error($conexion);
    }

} else {
    $errors[] = "Error desconocido.";
}

if (isset($errors)) {

    ?>
    <div class="alert alert-danger" role="alert">
       <strong>Error!</strong>
       <?php
foreach ($errors as $error) {
        echo $error;
    }
    ?>
</div>
<?php
}
if (isset($messages)) {

    ?>
    <div class="alert alert-success" role="alert">
        <strong>¡Bien hecho!</strong>
        <?php
foreach ($messages as $message) {
        echo $message;
    }
    ?>
    </div>
    <?php
}

?>