<?php
include 'is_logged.php'; //Archivo verifica que el usario que intenta acceder a la URL esta logueado
/*Inicia validacion del lado del servidor*/
if (empty($_POST['nombre'])) {
    $errors[] = "Nombre Vacío";
} else if (!empty($_POST['nombre'])) {
    /* Connect To Database*/
    require_once "../db.php";
    require_once "../php_conexion.php";
    // escaping, additionally removing everything that could be (html/javascript-) code
    $nombre    = mysqli_real_escape_string($conexion, (strip_tags($_POST["nombre"], ENT_QUOTES)));
    //$codigo    = mysqli_real_escape_string($conexion, (strip_tags($_POST["codigo"], ENT_QUOTES)));
    $nrc    = mysqli_real_escape_string($conexion, (strip_tags($_POST["nrc"], ENT_QUOTES)));
    $dui    = mysqli_real_escape_string($conexion, (strip_tags($_POST["dui"], ENT_QUOTES)));
    $nit    = mysqli_real_escape_string($conexion, (strip_tags($_POST["nit"], ENT_QUOTES)));
    $direccion = mysqli_real_escape_string($conexion, (strip_tags($_POST["direccion"], ENT_QUOTES)));
    $email      = mysqli_real_escape_string($conexion, (strip_tags($_POST["email"], ENT_QUOTES)));
    $telefono   = mysqli_real_escape_string($conexion, (strip_tags($_POST["telefono"], ENT_QUOTES)));
    $estado     = intval($_POST['estado']);
    $tipo       = intval($_POST['tipo']);
    $date_added = date("Y-m-d H:i:s");
    //$pais   = mysqli_real_escape_string($conexion, (strip_tags($_POST["pais"], ENT_QUOTES)));
    // check if user or email address already exists
    $sql                   = "SELECT * FROM proveedores WHERE fiscal_proveedor ='" . $nrc . "';";
    $query_check_user_name = mysqli_query($conexion, $sql);
    $query_check_user      = mysqli_num_rows($query_check_user_name);
    if ($query_check_user == true) {
        $errors[] = "Lo sentimos , el documento ó la dirección de correo electrónico ya está en uso.";
    } else {
        // write new user's data into database
        $sql              = "INSERT INTO proveedores (nombre_proveedor, fiscal_proveedor, nit_proveedor, dui_proveedor, direccion_proveedor, email_proveedor, telefono_proveedor, date_added, estado_proveedor, tipo_proveedor) VALUES ('$nombre','$nrc','$dui','','$direccion','$email','$telefono','$date_added','$estado','$tipo')";
        $query_new_insert = mysqli_query($conexion, $sql);
        if ($query_new_insert) {
            $messages[] = "Proveedor ha sido ingresado con Exito.";
        } else {
            $errors[] = "Lo siento algo ha salido mal intenta nuevamente." . mysqli_error($conexion);
        }
    }
} else {
    $errors[] = "Error desconocido.";
}

if (isset($errors)) {

?>
    <div class="alert alert-danger" role="alert">
        <strong>Error!</strong>
        <?php
        foreach ($errors as $error) {
            echo $error;
        }
        ?>
    </div>
<?php
}
if (isset($messages)) {

?>
    <div class="alert alert-success" role="alert">
        <strong>¡Bien hecho!</strong>
        <?php
        foreach ($messages as $message) {
            echo $message;
        }
        ?>
    </div>
<?php
}

?>