<?php
// Desactivar toda las notificaciónes del PHP
error_reporting(0);
session_start();
if (!isset($_SESSION['user_login_status']) and $_SESSION['user_login_status'] != 1) {
    header("location: ../../login.php");
    exit;
}
/* Connect To Database*/
require_once "../db.php"; //Contiene las variables de configuracion para conectar a la base de datos
require_once "../php_conexion.php"; //Contiene funcion que conecta a la base de datos
//Archivo de funciones PHP
require_once "../funciones.php";
//Inicia Control de Permisos
include "../permisos.php";
$user_id = $_SESSION['id_users'];
get_cadena($user_id);
$modulo = "Consultas";
permisos($modulo, $cadena_permisos);
//Finaliza Control de Permisos
$count       = mysqli_query($conexion, "select MAX(id_paciente) as id from pacientes");
$rw          = mysqli_fetch_array($count);
$paciente_id = $rw['id'] + 1;
if (isset($_GET['id'])) {
    $id_paciente   = intval($_GET['id']);
    $id_cita       = intval($_GET['cita']);
    $sql_pacientes = mysqli_query($conexion, "select * from pacientes where id_paciente='$id_paciente'");
    $count         = mysqli_num_rows($sql_pacientes);
    if ($count == 1) {
        $rw             = mysqli_fetch_array($sql_pacientes);
        $_SESSION['id'] = $id_paciente;
        $nombre_users   = $rw['nombre_paciente'];
        $apellido_users = $rw['apellido_paciente'];
        $telefono_users = $rw['telefono_paciente'];
        $email_users    = $rw['email_paciente'];
        $image_path     = $rw['image_path'];
        $url_img        = get_row('detalle_img', 'url_img', 'paciente_id', $id_paciente);

        if ($url_img == null) {
            $img = '../../img/pacientes/default.jpg';
        } else {
            $img = $url_img;
        }
    } else {
        header("location: ../html/principal.php");
        exit;
    }
} else {
    header("location: ../html/principal.php");
    exit;
}
?>
<?php require 'includes/header_start.php';?>
<link rel="stylesheet" href="build/css/bootstrap-datetimepicker.min.css">
<?php require 'includes/header_end.php';?>

<!-- Begin page -->
<div id="wrapper" class="forced enlarged">

	<?php require 'includes/menu.php';?>

	<!-- ============================================================== -->
	<!-- Start right Content here -->
	<!-- ============================================================== -->
	<div class="content-page">
		<!-- Start content -->
		<div class="content">
			<div class="container">
				<?php if ($permisos_ver == 1) {
    ?>

					<div class="col-lg-12">
						<div class="portlet">
							<div class="portlet-heading bg-primary">
								<h3 class="portlet-title">
									Nueva Consulta Medica
								</h3>
								<div class="portlet-widgets">
									<a href="javascript:;" data-toggle="reload"><i class="ion-refresh"></i></a>
									<span class="divider"></span>
									<a data-toggle="collapse" data-parent="#accordion1" href="#bg-primary"><i class="ion-minus-round"></i></a>
									<span class="divider"></span>
									<a href="#" data-toggle="remove"><i class="ion-close-round"></i></a>
								</div>
								<div class="clearfix"></div>
							</div>
							<div id="bg-primary" class="panel-collapse collapse show">
								<div class="portlet-body">
									<?php
if ($permisos_editar == 1) {
        include "../modal/editar_consulta.php";
        include "../modal/eliminar_consulta.php";
        include "../modal/editar_antecente.php";
        include "../modal/ver_cobros.php";
    }
    ?>
									<div class="row">
										<div class="col-xl-3 col-lg-3">
											<div class="text-center card-box">
												<div class="member-card">
													<div class="thumb-xl member-thumb m-b-10 center-block">
														<div id="load_imggg">
															<img src="<?php echo $img; ?>" class="thumb-img" alt="profile-image">
														</div>
													</div>

													<div>
														<h5><?php echo $nombre_users . ' ' . $apellido_users ?></h5>
													</div>

													<div class="text-left m-t-40">

														<table style="width:50%; font-size: 12pt;  padding: 5px;"> <!-- Lo cambiaremos por CSS -->
															<tr>
																<td rowspan="5" >
																</td>
															</tr>
															<tr>
																<td style="width: 100%; text-align: left; font-weight: bold;">Telefono:</td>
																<td><?php echo $telefono_users ?></td>
															</tr>
															<tr>
																<td style="width: 100%; text-align: left; font-weight: bold;">Email:</td>
																<td><?php echo $email_users ?></td>
															</tr>
															<tr>
																<td style="width: 100%; text-align: left; font-weight: bold;">Edad:</td>
																<td><?php echo $edad; ?> Años</td>
															</tr>
														</table>
														<div>
										<a href="#" class='btn btn-success btn-sm waves-effect waves-light' data-toggle="modal" style="color:white;" data-toggle="modal" data-target="#perfil"><i class="fa fa-search"></i> Antecedentes Personales
										</a>
									</div>
													</div>

												</div>

											</div> <!-- end card-box -->

										</div> <!-- end col -->
										<div class="col-xl-9 col-lg-3">
											<div class="text-center card-box">
												<div class="member-card">
													<form class="form-horizontal" method="post" id="guardar_consulta" name="guardar_consulta">
														<div id="resultados_ajax"></div>

														<ul class="nav nav-tabs">
															<li class="nav-item">
																<a href="#consulta" data-toggle="tab" aria-expanded="false" class="nav-link active">
																	Información Personal
																</a>
															</li>
															<li class="nav-item">
																<a href="#otros" data-toggle="tab" aria-expanded="true" class="nav-link">
																	Información Consulta
																</a>
															</li>
															<li class="nav-item">
																<a href="#receta" data-toggle="tab" aria-expanded="true" class="nav-link">
																	Receta Medica
																</a>
															</li>
															<li class="nav-item">
																<a href="#img" data-toggle="tab" aria-expanded="true" class="nav-link">
																	Imagenes
																</a>
															</li>
															<li class="nav-item">
																<a href="#cita" data-toggle="tab" aria-expanded="true" class="nav-link">
																	Próxima Cita
																</a>
															</li>
															<li class="nav-item">
																<a href="#historial" data-toggle="tab" aria-expanded="true" class="nav-link">
																	Historial Medico
																</a>
															</li>
														</ul>
														<div class="tab-content">
															<div class="tab-pane fade show active" id="consulta">

																<div class="row">
																	<div class="col-md-3">
																		<div class="form-group">
																			<input id="id_paciente" name="id_paciente" type='hidden' value="<?php echo $id_paciente ?>">
																			<input id="id_cita" name="id_cita" type='hidden' value="<?php echo $id_cita ?>">
																			<label for="estatura" class="control-label">Presión sistólica</label>
																			<input type="text" class="form-control UpperCase" id="sist" name="sist" pattern="^[0-9]{1,5}(\.[0-9]{0,2})?$" title="Ingresa sólo números con 0 ó 2 decimales" maxlength="4"  autocomplete="off" style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c" >
																		</div>
																	</div>
																	<div class="col-md-3">
																		<div class="form-group">
																			<label for="estatura" class="control-label">Presión diastólica</label>
																			<input type="text" class="form-control UpperCase" id="diast" name="diast" pattern="^[0-9]{1,5}(\.[0-9]{0,2})?$" title="Ingresa sólo números con 0 ó 2 decimales" maxlength="4"  autocomplete="off" style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c" >
																		</div>
																	</div>
																	<div class="col-md-3">
																		<div class="form-group">
																			<label for="talla" class="control-label">Pulsaciones(ppm)</label>
																			<input type="text" class="form-control UpperCase" id="ppm" name="ppm" pattern="^[0-9]{1,5}(\.[0-9]{0,2})?$" title="Ingresa sólo números con 0 ó 2 decimales" maxlength="4" autocomplete="off" style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c" >
																		</div>
																	</div>
																	<div class="col-md-3">
																		<div class="form-group">
																			<label for="estatura" class="control-label">Ritmo Resp.(rpm)</label>
																			<input type="text" class="form-control UpperCase" id="rpm" name="rpm" pattern="^[0-9]{1,5}(\.[0-9]{0,2})?$" title="Ingresa sólo números con 0 ó 2 decimales" maxlength="4"  autocomplete="off" style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c" >
																		</div>
																	</div>
																</div>
																<div class="row">
																	<div class="col-md-3">
																		<div class="form-group">
																			<label for="estatura" class="control-label">Temperatura (°C)</label>
																			<input type="text" class="form-control UpperCase" id="temp" name="temp" pattern="^[0-9]{1,5}(\.[0-9]{0,2})?$" title="Ingresa sólo números con 0 ó 2 decimales" maxlength="4"  autocomplete="off" style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c" >
																		</div>
																	</div>
																	<div class="col-md-3">
																		<div class="form-group">
																			<label for="altura" class="control-label">Altura(cms)</label>
																			<input type="text" class="form-control UpperCase" id="altura" name="altura"  pattern="^[0-9]{1,5}(\.[0-9]{0,2})?$" title="Ingresa sólo números con 0 ó 2 decimales" maxlength="4" autocomplete="off" style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c" >
																		</div>
																	</div>
																	<div class="col-md-3">
																		<div class="form-group">
																			<label for="peso" class="control-label">Peso Actual (kgrs)</label>
																			<input type="text" class="form-control UpperCase" id="peso" name="peso"  pattern="^[0-9]{1,5}(\.[0-9]{0,2})?$" title="Ingresa sólo números con 0 ó 2 decimales" maxlength="4" autocomplete="off" style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c" >
																		</div>
																	</div>
																	<div class="col-md-3">
																		<div class="form-group">
																			<label for="imc" class="control-label">IMC(kl/m^2)</label>
																			<input type="text" class="form-control UpperCase" id="imc" name="imc" pattern="^[0-9]{1,5}(\.[0-9]{0,2})?$" title="Ingresa sólo números con 0 ó 2 decimales" maxlength="4" autocomplete="off" style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c" >
																		</div>
																	</div>

																</div>

															</div>
															<div class="tab-pane fade" id="otros">
																<div class="row">
																	<div class="col-md-6">
																		<div class="form-group">
																			<label for="anamnesis" class="control-label">Anamnesis:</label>
																			<textarea class="form-control UpperCase"  id="anamnesis" name="anamnesis" maxlength="500" autocomplete="off" style=" background-color:#A9D0F5; border-radius: 5px; border: 1px solid #39c"></textarea>
																		</div>
																	</div>
																	<div class="col-md-6">
																		<div class="form-group">
																			<label for="fisico" class="control-label">Exploración física:</label>
																			<textarea class="form-control UpperCase"  id="fisico" name="fisico" maxlength="500" autocomplete="off" style=" background-color:#D2B4DE; border-radius: 5px; border: 1px solid #39c"></textarea>
																		</div>
																	</div>
																</div>
																<div class="row">
																	<div class="col-md-6">
																		<div class="form-group">
																			<label for="diagnostico" class="control-label">Diagnóstico:</label>
																			<textarea class="form-control UpperCase"  id="diagnostico" name="diagnostico" maxlength="500" autocomplete="off" style=" background-color:#F5B7B1; border-radius: 5px; border: 1px solid #39c"></textarea>
																		</div>
																	</div>
																	<div class="col-md-6">
																		<div class="form-group">
																			<label for="tratamiento" class="control-label">Tratamiento:</label>
																			<textarea class="form-control UpperCase"  id="tratamiento" name="tratamiento" maxlength="500" autocomplete="off" style=" background-color:#F9E79F; border-radius: 5px; border: 1px solid #39c"></textarea>
																		</div>
																	</div>
																</div>
																<div class="row">
																	<div class="col-md-6">
																		<div class="form-group">
																			<label for="obs" class="control-label">Observación:</label>
																			<textarea class="form-control UpperCase"  id="obs" name="obs" maxlength="255" autocomplete="off" style=" background-color:#CCD1D1; border-radius: 5px; border: 1px solid #39c"></textarea>
																		</div>
																	</div>
																</div>
															</div>
															<div class="tab-pane fade" id="receta">

																<table class="table table-condensed table-sm" id="productTable">
																	<thead>
																		<tr>
																			<th style="width:25%;">Medicamento</th>
																			<!--<th style="width:10%;">Cant.</th>-->
																			<th style="width:35%;">Indicación</th>
																			<th style="width:10%;"></th>
																		</tr>
																	</thead>
																	<tbody>
																		<?php
$arrayNumber = 0;
    for ($x = 1; $x < 3; $x++) {
        ?>
																			<tr id="row<?php echo $x; ?>" class="<?php echo $arrayNumber; ?>">
																				<td style="margin-left:20px;">
																					<div class="form-group">
																						<select class="form-control select2-single" name="productName[]" id="productName<?php echo $x; ?>" onchange="validar(this.value)" required >
																							<option value="">-- Selecciona --</option>
																							<?php
$productSql  = "SELECT * FROM medicamentos WHERE  estado_medicamento = 1 order by nombre_medicamento";
        $productData = $conexion->query($productSql);

        while ($row = $productData->fetch_array()) {
            echo "<option value='" . $row['id_medicamento'] . "' id='changeProduct" . $row['id_medicamento'] . "'>" . $row['nombre_medicamento'] . "</option>";
        } // /while

        ?>
    </select>
</div>
</td>
<!--<td style="padding-left:20px;">
	<div class="form-group">
		<input type="number" name="quantity[]" id="quantity<?php echo $x; ?>" onkeyup="getTotal(<?php echo $x ?>)" autocomplete="off" class="form-control" min="1" />
	</div>
</td>-->
<td style="padding-left:20px;">
	<textarea type="text" name="rate[]" id="rate<?php echo $x; ?>" autocomplete="off" class="form-control UpperCase" required style=" background-color:#A9D0F5; border-radius: 5px; border: 1px solid #39c"></textarea>
	<input type="hidden" name="rateValue[]" id="rateValue<?php echo $x; ?>" autocomplete="off" class="form-contro UpperCase" />
</td>
<td>
	<button class="btn btn-danger waves-effect waves-light removeProductRowBtn" type="button" id="removeProductRowBtn" onclick="removeProductRow(<?php echo $x; ?>)"><i class="fa fa-remove"></i></button>
</td>
</tr>
<?php
$arrayNumber++;
    } // /for
    ?>
</tbody>
</table>
<div class="form-group submitButtonFooter" align="center">
	<div class="col-sm-offset-2 col-sm-10">
		<button type="button" class="btn btn-success  waves-effect waves-light" onclick="addRow()" id="addRowBtn" data-loading-text="Cargando..."> <i class="fa fa-plus"></i> Añadir fila </button>
		<!--<button type="reset" class="btn btn-default waves-effect waves-light" onclick="resetOrderForm()"><i class="fa fa-erase"></i> Reiniciar</button>-->
	</div>
</div>



</div>

<div class="tab-pane fade" id="img">

	<div class="row">
		<div class="col-md-4">
			<div class="form-group">
				<label for="edad" class="control-label">Titulo de Imagen</label>
				<input type="text"  class="form-control UpperCase" id="titulo" name="titulo" autocomplete="off">
			</div>
		</div>
		<div class="col-md-8">
			<div class="form-group">
				<label for="visita" class="control-label">Descripcion</label>
				<input type="text" class="form-control" id="des" name="des" autocomplete="off">
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-md-6">
			<div class="form-group">
				<label for="image" class="col-sm-2 control-label">Imagen</label>
				<div class="col-sm-10">
					<input type="file" class='form-control' name="imagefile" id="imagefile" onchange="upload_image(<?php echo $id_paciente; ?>);">
				</div>
			</div>
		</div>
		<div class="col-sm-6">

			<div id="load_img">
				<img src="../../img/pacientes/default.jpg" class="img-thumbnail" width="200" height="250" alt="Bussines profile picture">
			</div>

		</div>
	</div>

</div>
<div class="tab-pane fade" id="cita">
	<div class="row">
		<div class="col-md-3">
			<div class="form-group">
				<label for="estatura" class="control-label">Costo de Consulta:</label>
				<input type="text" class="form-control" id="costo" name="costo" pattern="^[0-9]{1,5}(\.[0-9]{0,2})?$" required autocomplete="off"  style=" background-color:#F7DC6F; border-radius: 5px; border: 1px solid #39c">
			</div>
		</div>
		<div class="col-md-4">
			<div class="form-group">
				<label for="estatura" class="control-label">Proxima Cita:</label>
				<input type="text" name="start" class="form-control txt_valid" id="start" style=" background-color:#82E0AA; border-radius: 5px; border: 1px solid #39c">
			</div>
		</div>
	</div>
</div>
<div class="tab-pane fade" id="historial">

	<div class="historial"></div><!-- Datos ajax Final -->

</div>
</div>



</div>
<div class="modal-footer">
	<button type="submit" class="btn btn-primary waves-effect waves-light" id="guardar_datos">Guardar Consulta</button>
</div>
</form>

</div>
</div> <!-- end card-box -->
</div> <!-- end col -->
</div>

<div class="mensaje"></div>
<div class="datos_ajax_delete"></div><!-- Datos ajax Final -->


</div>
</div>
</div>
</div>


</div>
<!-- end container -->
<?php
} else {
    ?>
	<section class="content">
		<div class="alert alert-danger" align="center">
			<h3>Acceso denegado! </h3>
			<p>No cuentas con los permisos necesario para acceder a este módulo.</p>
		</div>
	</section>
	<?php
}
?>
</div>
<!-- end content -->

<?php require 'includes/pie.php';?>

</div>
<!-- ============================================================== -->
<!-- End Right content here -->
<!-- ============================================================== -->


</div>
<!-- END wrapper -->

<?php require 'includes/footer_start.php'
?>
<!-- ============================================================== -->
<!-- Todo el codigo js aqui -->
<!-- ============================================================== -->
<script type="text/javascript" src="../../js/consultas.js"></script>
<script type="text/javascript" src="../../js/VentanaCentrada.js"></script>
<!-- librerias para la busqueda de clientes -->
<script src='fullcalendar/locale/es-do.js'></script>
<script src="build/js/bootstrap-datetimepicker.min.js"></script>
<script>
	$(document).ready(function () {
		$('.txt_valid').off('blur');
		$('.txt_valid').on('blur',function(event){
			var keycode = (event.keyCode ? event.keyCode : event.which);
        // if(keycode == '13'){
        	start = $(this).val();

        	$.ajax({
        		type: "POST",
        		url: "../ajax/validar_fecha.php",
        		data: "start=" + start,
        		success: function(datos) {
    		//$.Notification.notify('success','bottom center','EXITO!', 'DESCUENTO ACTUALIZADO CORRECTAMENTE')
    		$(".datos_ajax_delete").html(datos);

    	}
    });
        // }
    })

	});
</script>

<script type="text/javascript">
	$(function () {
		var date = new Date();
		var today = new Date(date.getFullYear(), date.getMonth(), date.getDate());
		$('#start').datetimepicker({
			format: 'YYYY-MM-DD HH:mm:00',
			sideBySide: true,
			daysOfWeekDisabled: [0, 7]
		});

	});
</script>

<script>
	$(function() {
		$("#nombre_paciente").autocomplete({
			source: "../ajax/autocomplete/pacientes.php",
			minLength: 2,
			appendTo: "#nuevaConsulta",
			select: function(event, ui) {
				event.preventDefault();
				$('#id_paciente').val(ui.item.id_paciente);
				$('#nombre_paciente').val(ui.item.nombre_paciente);
				$('#edad').val(ui.item.fecha_nacimiento);
				$('#visita').val(ui.item.total_visitas);
				$("#outer_img").load("../ajax/upload_img.php?id_paciente="+ui.item.id_paciente);
				$visita= ui.item.total_visitas;
					//$visita= 1;
					if ($visita==1) {
						$("#outer_resumen").load("../ajax/campo_resumen.php");
					}else{
						$("#outer_resumen").load("../ajax/campo_resumen2.php");
					}
				}
			});

	});

	$("#nombre_paciente" ).on( "keydown", function( event ) {
		if (event.keyCode== $.ui.keyCode.LEFT || event.keyCode== $.ui.keyCode.RIGHT || event.keyCode== $.ui.keyCode.UP || event.keyCode== $.ui.keyCode.DOWN || event.keyCode== $.ui.keyCode.DELETE || event.keyCode== $.ui.keyCode.BACKSPACE )
		{
			$("#id_paciente" ).val("");
			$("#edad" ).val("");
			$("#visita" ).val("");
			$("#outer_resumen").load("../ajax/campo_resumen2.php");
		}
		if (event.keyCode==$.ui.keyCode.DELETE){
			$("#nombre_paciente" ).val("");
			$("#id_paciente" ).val("");
			$("#edad" ).val("");
			$("#visita" ).val("");
			$("#outer_resumen").load("../ajax/campo_resumen2.php");
		}
	});
</script>
<script>
	function editar(id) {
		var parametros = {
			"action": "ajax",
			"id": id
		};
		$.ajax({
			url: '../modal/editar/consulta.php',
			data: parametros,
			beforeSend: function(objeto) {
				$("#loader2").html("<img src='../../img/ajax-loader.gif'> Cargando...");
			},
			success: function(data) {
				$(".outer_div2").html(data).fadeIn('slow');
				$("#loader2").html("");
			}
		})
	}
	function editar_aparatos(id) {
		var parametros = {
			"action": "ajax",
			"id": id
		};
		$.ajax({
			url: '../modal/editar/editar_aparatos.php',
			data: parametros,
			beforeSend: function(objeto) {
				$("#loader3").html("<img src='../../img/ajax-loader.gif'> Cargando...");
			},
			success: function(data) {
				$(".outer_div3").html(data).fadeIn('slow');
				$("#loader3").html("");
			}
		})
	}
</script>
<script>
	function carga_img(paciente_id) {
		$(".outer_img").load("../ajax/img.php?paciente_id=" + paciente_id);
	}
</script>
<script>
	function obtener_cobros(id_consulta) {
		$(".outer_cobros").load("../modal/cobros.php?id_consulta=" + id_consulta);
	}
</script>
<script>
	function validar(id_med) {



      $(".outer_cobros").load("../ajax/verificar_stock.php?id_med=" + id_med);

  }
</script>
<script>
	function upload_image(paciente_id){
		$("#load_img").text('Cargando...');
		var inputFileImage = document.getElementById("imagefile");
		var file = inputFileImage.files[0];
		var data = new FormData();
		var titulo = $("#titulo").val();
		var des = $("#des").val();
		data.append('titulo', titulo);
		data.append('des', des);
		data.append('imagefile',file);
		data.append('paciente_id',paciente_id);
		if (titulo=='') {
			$.Notification.notify('error', 'bottom center', 'NOTIFICACIÓN', 'EL CAMPO TITULO ES OBLIGATORIO')
			$("#titulo").focus();
			$("#imagefile" ).val("");
			return false;
		}
		if (des=='') {
			$.Notification.notify('error', 'bottom center', 'NOTIFICACIÓN', 'EL CAMPO DESCRIPCION ES OBLIGATORIO')
			$("#des").focus();
			$("#imagefile" ).val("");
			return false;
		}
		$.ajax({
					url: "../ajax/imagen_paciente_ajax3.php",        // Url to which the request is send
					type: "POST",             // Type of request to be send, called as method
					data: data, 			  // Data sent to server, a set of key/value pairs (i.e. form fields and values)
					contentType: false,       // The content type used when sending data to the server.
					cache: false,             // To unable request pages to be cached
					processData:false,        // To send DOMDocument or non processed data file it is set to false
					success: function(data)   // A function to be called if request succeeds
					{
						$("#titulo" ).val("");
						$("#des" ).val("");
						$("#imagefile" ).val("");
						$("#load_img").html(data);

					}
				});
	}
</script>
<script>
	function carga_img(paciente_id) {
		$(".outer_img").load("../ajax/img.php?paciente_id=" + paciente_id);
	}
</script>

<script>
	$(document).ready( function () {
		$(".UpperCasee").on("keypress", function () {
			$input=$(this);
			setTimeout(function () {
				$input.val($input.val().toUpperCase());
			},50);
		})
	})
</script>
<script>
	$( ".select2-single, .select2-multiple" ).select2( {
		theme: "bootstrap",
		placeholder: "Select a State",
		maximumSelectionSize: 6,
		containerCssClass: ':all:'
	} );

	$( ":checkbox" ).on( "click", function() {
		$( this ).parent().nextAll( "select" ).prop( "disabled", !this.checked );
	});
</script>
<script>
	function imprimir_receta(id_consulta) {
		VentanaCentrada('../pdf/documentos/rep_consulta.php?id_consulta=' + id_consulta, 'Reporte', '', '800', '600', 'true');
	}
	function imprimir_receta2(id_consulta) {
		VentanaCentrada('../pdf/documentos/rep_receta.php?id_consulta=' + id_consulta, 'Reporte', '', '800', '600', 'true');
	}
</script>


<?php require 'includes/footer_end.php'
?>

