<?php
// Desactivar toda las notificaciónes del PHP
error_reporting(0);
session_start();
if (!isset($_SESSION['user_login_status']) and $_SESSION['user_login_status'] != 1) {
    header("location: ../../login.php");
    exit;
}
/* Connect To Database*/
require_once "../db.php"; //Contiene las variables de configuracion para conectar a la base de datos
require_once "../php_conexion.php"; //Contiene funcion que conecta a la base de datos
//Archivo de funciones PHP
require_once "../funciones.php";
//Inicia Control de Permisos
include "../permisos.php";
$user_id = $_SESSION['id_users'];
get_cadena($user_id);
$modulo = "Consultas";
permisos($modulo, $cadena_permisos);
//Finaliza Control de Permisos
$count       = mysqli_query($conexion, "select MAX(id_paciente) as id from pacientes");
$rw          = mysqli_fetch_array($count);
$paciente_id = $rw['id'] + 1;
?>
<?php require 'includes/header_start.php';?>
<link rel="stylesheet" href="build/css/bootstrap-datetimepicker.min.css">
<?php require 'includes/header_end.php';?>

<!-- Begin page -->
<div id="wrapper">

	<?php require 'includes/menu.php';?>

	<!-- ============================================================== -->
	<!-- Start right Content here -->
	<!-- ============================================================== -->
	<div class="content-page">
		<!-- Start content -->
		<div class="content">
			<div class="container">
				<?php if ($permisos_ver == 1) {
    ?>

					<div class="col-lg-12">
						<div class="portlet">
							<div class="portlet-heading bg-primary">
								<h3 class="portlet-title">
									Consultas Medicas
								</h3>
								<div class="portlet-widgets">
									<a href="javascript:;" data-toggle="reload"><i class="ion-refresh"></i></a>
									<span class="divider"></span>
									<a data-toggle="collapse" data-parent="#accordion1" href="#bg-primary"><i class="ion-minus-round"></i></a>
									<span class="divider"></span>
									<a href="#" data-toggle="remove"><i class="ion-close-round"></i></a>
								</div>
								<div class="clearfix"></div>
							</div>
							<div id="bg-primary" class="panel-collapse collapse show">
								<div class="portlet-body">
									<?php
if ($permisos_editar == 1) {
        include '../modal/registro_consulta.php';
        include "../modal/editar_consulta.php";
        include "../modal/eliminar_consulta.php";
        include "../modal/editar_antecente.php";
        include "../modal/ver_cobros.php";
    }
    ?>
									<form class="form-horizontal" role="form" id="datos_cotizacion">
										<div class="form-group row">
											<div class="col-md-4">
												<div class="input-group">
													<input type="text" class="form-control" id="q" placeholder="Buscar: Nombre, Apellido" onkeyup='load(1);' style=" background-color:#A9D0F5; border-radius: 5px; border: 1px solid #39c" autocomplete="off">
													<span class="input-group-btn">
														<button type="button" class="btn btn-outline-primary waves-effect waves-light" onclick='load(1);'>
															<span class="fa fa-search" ></span></button>
														</span>
													</div>
												</div>
												<div class="col-md-4">
													<span id="loader"></span>
												</div>

												<div class="col-md-4">
													<div class="btn-group pull-center">
														<button type="button" class="btn btn-success waves-effect waves-light" data-toggle="modal" data-target="#nuevaConsulta"><i class="fa fa-plus"></i> Nueva Consulta</button>
													</div>

												</div>

											</div>
										</form>
										<div class="mensaje"></div>
										<div class="datos_ajax_delete"></div><!-- Datos ajax Final -->
										<div class='outer_div'></div><!-- Carga los datos ajax -->

									</div>
								</div>
							</div>
						</div>


					</div>
					<!-- end container -->
					<?php
} else {
    ?>
					<section class="content">
						<div class="alert alert-danger" align="center">
							<h3>Acceso denegado! </h3>
							<p>No cuentas con los permisos necesario para acceder a este módulo.</p>
						</div>
					</section>
					<?php
}
?>
			</div>
			<!-- end content -->

			<?php require 'includes/pie.php';?>

		</div>
		<!-- ============================================================== -->
		<!-- End Right content here -->
		<!-- ============================================================== -->


	</div>
	<!-- END wrapper -->

	<?php require 'includes/footer_start.php'
?>
	<!-- ============================================================== -->
	<!-- Todo el codigo js aqui -->
	<!-- ============================================================== -->
	<script type="text/javascript" src="../../js/consultas.js"></script>
	<script type="text/javascript" src="../../js/VentanaCentrada.js"></script>
	<!-- librerias para la busqueda de clientes -->
	<script src='fullcalendar/locale/es-do.js'></script>
	<script src="build/js/bootstrap-datetimepicker.min.js"></script>
	<script>
	$(document).ready(function () {
		$('.txt_valid').off('blur');
		$('.txt_valid').on('blur',function(event){
			var keycode = (event.keyCode ? event.keyCode : event.which);
        // if(keycode == '13'){
        	start = $(this).val();

        	$.ajax({
        		type: "POST",
        		url: "../ajax/validar_fecha.php",
        		data: "start=" + start,
        		success: function(datos) {
    		//$.Notification.notify('success','bottom center','EXITO!', 'DESCUENTO ACTUALIZADO CORRECTAMENTE')
    		$(".datos_ajax_delete").html(datos);

    	}
    });
        // }
    })

	});
</script>
	<script type="text/javascript">
		$(function () {
			$('#start').datetimepicker({
				format: 'YYYY-MM-DD HH:mm',
				sideBySide: true,
				daysOfWeekDisabled: [0, 7]

			});
			var date = new Date();
			var today = new Date(date.getFullYear(), date.getMonth(), date.getDate());
			$('#end').datetimepicker({
				format: 'YYYY-MM-DD HH:mm',
				sideBySide: true,
				minDate: today ,
			//daysOfWeekDisabled: [0, 7]//el dia domingo desabilitado
		});
			$('#mod_end').datetimepicker({
				format: 'YYYY-MM-DD HH:mm',
				sideBySide: true,
				minDate: today ,
			//daysOfWeekDisabled: [0, 7]//el dia domingo desabilitado
		});
		});
	</script>

	<script>
		$(function() {
			$("#nombre_paciente").autocomplete({
				source: "../ajax/autocomplete/pacientes.php",
				minLength: 2,
				appendTo: "#nuevaConsulta",
				select: function(event, ui) {
					event.preventDefault();
					$('#id_paciente').val(ui.item.id_paciente);
					$('#nombre_paciente').val(ui.item.nombre_paciente);
					$('#edad').val(ui.item.fecha_nacimiento);
					$('#visita').val(ui.item.total_visitas);
					$("#outer_img").load("../ajax/upload_img.php?id_paciente="+ui.item.id_paciente);
					$visita= ui.item.total_visitas;
					//$visita= 1;
					if ($visita==1) {
						$("#outer_resumen").load("../ajax/campo_resumen.php");
					}else{
						$("#outer_resumen").load("../ajax/campo_resumen2.php");
					}
				}
			});

		});

		$("#nombre_paciente" ).on( "keydown", function( event ) {
			if (event.keyCode== $.ui.keyCode.LEFT || event.keyCode== $.ui.keyCode.RIGHT || event.keyCode== $.ui.keyCode.UP || event.keyCode== $.ui.keyCode.DOWN || event.keyCode== $.ui.keyCode.DELETE || event.keyCode== $.ui.keyCode.BACKSPACE )
			{
				$("#id_paciente" ).val("");
				$("#edad" ).val("");
				$("#visita" ).val("");
				$("#outer_resumen").load("../ajax/campo_resumen2.php");
			}
			if (event.keyCode==$.ui.keyCode.DELETE){
				$("#nombre_paciente" ).val("");
				$("#id_paciente" ).val("");
				$("#edad" ).val("");
				$("#visita" ).val("");
				$("#outer_resumen").load("../ajax/campo_resumen2.php");
			}
		});
	</script>
	<script>
		function editar(id) {
			var parametros = {
				"action": "ajax",
				"id": id
			};
			$.ajax({
				url: '../modal/editar/consulta.php',
				data: parametros,
				beforeSend: function(objeto) {
					$("#loader2").html("<img src='../../img/ajax-loader.gif'> Cargando...");
				},
				success: function(data) {
					$(".outer_div2").html(data).fadeIn('slow');
					$("#loader2").html("");
				}
			})
		}
		function editar_aparatos(id) {
			var parametros = {
				"action": "ajax",
				"id": id
			};
			$.ajax({
				url: '../modal/editar/editar_aparatos.php',
				data: parametros,
				beforeSend: function(objeto) {
					$("#loader3").html("<img src='../../img/ajax-loader.gif'> Cargando...");
				},
				success: function(data) {
					$(".outer_div3").html(data).fadeIn('slow');
					$("#loader3").html("");
				}
			})
		}
	</script>
	<script>
		function obtener_cobros(id_consulta) {
			$(".outer_cobros").load("../modal/cobros.php?id_consulta=" + id_consulta);
		}
	</script>
	<script>
		function validar(id_med) {



      $(".outer_cobros").load("../ajax/verificar_stock.php?id_med=" + id_med);

  }
</script>
<script>
	function upload_image(paciente_id){
		$("#load_img").text('Cargando...');
		var inputFileImage = document.getElementById("imagefile");
		var file = inputFileImage.files[0];
		var data = new FormData();
		var titulo = $("#titulo").val();
		var des = $("#des").val();
		data.append('titulo', titulo);
		data.append('des', des);
		data.append('imagefile',file);
		data.append('paciente_id',paciente_id);
		if (titulo=='') {
			$.Notification.notify('error', 'bottom center', 'NOTIFICACIÓN', 'EL CAMPO TITULO ES OBLIGATORIO')
			$("#titulo").focus();
			$("#imagefile" ).val("");
			return false;
		}
		if (des=='') {
			$.Notification.notify('error', 'bottom center', 'NOTIFICACIÓN', 'EL CAMPO DESCRIPCION ES OBLIGATORIO')
			$("#des").focus();
			$("#imagefile" ).val("");
			return false;
		}
		$.ajax({
					url: "../ajax/imagen_paciente_ajax3.php",        // Url to which the request is send
					type: "POST",             // Type of request to be send, called as method
					data: data, 			  // Data sent to server, a set of key/value pairs (i.e. form fields and values)
					contentType: false,       // The content type used when sending data to the server.
					cache: false,             // To unable request pages to be cached
					processData:false,        // To send DOMDocument or non processed data file it is set to false
					success: function(data)   // A function to be called if request succeeds
					{
						$("#titulo" ).val("");
						$("#des" ).val("");
						$("#imagefile" ).val("");
						$("#load_img").html(data);

					}
				});
	}
</script>
<script>
	function carga_img(paciente_id) {
		$(".outer_img").load("../ajax/img.php?paciente_id=" + paciente_id);
	}
</script>

<script>
	$(document).ready( function () {
		$(".UpperCasee").on("keypress", function () {
			$input=$(this);
			setTimeout(function () {
				$input.val($input.val().toUpperCase());
			},50);
		})
	})
</script>
<script>
	$( ".select2-single, .select2-multiple" ).select2( {
		theme: "bootstrap",
		placeholder: "Select a State",
		maximumSelectionSize: 6,
		containerCssClass: ':all:'
	} );

	$( ":checkbox" ).on( "click", function() {
		$( this ).parent().nextAll( "select" ).prop( "disabled", !this.checked );
	});
</script>
<?php require 'includes/footer_end.php'
?>

