<?php
session_start();
if (!isset($_SESSION['user_login_status']) and $_SESSION['user_login_status'] != 1) {
	header("location: ../../login.php");
	exit;
}
/* Connect To Database*/
require_once "../db.php"; //Contiene las variables de configuracion para conectar a la base de datos
require_once "../php_conexion.php"; //Contiene funcion que conecta a la base de datos
//Archivo de funciones PHP
require_once "../funciones.php";
//Inicia Control de Permisos
include "../permisos.php";
$user_id = $_SESSION['id_users'];
//$sucursal = get_row('sucursales', 'nombre_sucursal', 'id_sucursal', $sucursal_users);
$nombre_users          = get_row('usuarios', 'nombre_users', 'id_users', $user_id);
$apellido_users        = get_row('usuarios', 'apellido_users', 'id_users', $user_id);
get_cadena($user_id);
$modulo = "Citas";
permisos($modulo, $cadena_permisos);
//Finaliza Control de Permisos
//$nombre_usuario = get_row('usuario', 'usuario_users', 'id_users', $user_id);
//consulta para elegir el comprobante
$query = $conexion->query("select * from comprobantes");
$tipo  = array();
while ($r = $query->fetch_object()) {
	$tipo[] = $r;
}
?>

<?php require 'includes/header_start.php'; ?>

<?php require 'includes/header_end.php'; ?>

<!-- Begin page -->
<div id="wrapper">
	<!-- DESACTIVA EL MENU -->

	<?php require 'includes/menu.php'; ?>

	<!-- ============================================================== -->
	<!-- Start right Content here -->
	<!-- ============================================================== -->
	<div class="content-page">
		<!-- Start content -->
		<?php verificarEstadoCaja($conexion);?>
		<div class="content">
			<div class="container">
				<?php if ($permisos_ver == 1) {
				?>
					<div class="col-lg-12">
						<div class="portlet">
							<div class="portlet-heading bg-primary">
								<h3 class="portlet-title">
									Nueva Remision
								</h3>
								
								<div class="clearfix"></div>
							</div>
							<div id="bg-primary" class="panel-collapse collapse show">
								<div class="portlet-body">
									<?php
									include "../modal/buscar_productos_ventas.php";
									?>
									<div class="row">
										<div class="col-lg-8">
											<div style=" border-radius: 5px; border: 1px solid #39c;" class="card-box">

												<div class="widget-chart">
													<div id="resultados_ajaxf" class='col-md-12' style="margin-top:10px"></div><!-- Carga los datos ajax -->
													<form class="form-horizontal" role="form" id="barcode_form">
														<div class="form-group row">
															<label for="barcode_qty" class="col-md-1 control-label">CANT:</label>
															<div class="col-md-2">
																<input style=" border-radius: 5px; border: 1px solid #39c; text-align: center;" type="text" class="form-control" id="barcode_qty" value="1" autocomplete="off">
															</div>

															<label for="condiciones" class="control-label">CODIGO:</label>
															<div class="col-md-5" align="left">
																<div class="input-group">
																	<input style=" border-radius: 5px; border: 1px solid #39c;" type="text" class="form-control" id="barcode" autocomplete="off" tabindex="1" autofocus="true">
																	<span class="input-group-btn">
																		<button type="submit" class="btn btn-default"><span class="fa fa-barcode"></span></button>
																	</span>
																</div>
															</div>

															<div class="col-md-2">
																<button type="button" accesskey="a" class="btn btn-primary waves-effect waves-light" data-toggle="modal" data-target="#buscar">
																	<span class="fa fa-search"></span> Buscar
																</button>
															</div>
														</div>
													</form>

													<div id="resultados" class='col-md-12' style="margin-top:10px"></div><!-- Carga los datos ajax -->

												</div>
											</div>

										</div>

										<div class="col-lg-4">
											<div style="border-radius: 5px; border: 1px solid #39c;" class="card-box">
												<div class="widget-chart">
													<form role="form" id="datos_factura">
														

														<div class="row">
															<div class="col-md-12">
																<div class="form-group">
																	<label for="fiscal">USUARIO:</label>
																	<input style=" border-radius: 5px; border: 1px solid #39c;" type="text" id="nombre_empleado" class="form-control" placeholder="BUSCAR POR NOMBRE" required tabindex="2" value="<?php echo $nombre_users . ' ' . $apellido_users ?>" autocomplete="off" disabled>
																	<input id="id_empleado" name="id_empleado" type='hidden' value="<?php echo $user_id ?>">
																</div>
															</div>
														</div>
														<div class="row">
															<div class="col-md-12">
																<div class="form-group">
																	<label for="motivog">MOTIVO GENERAL:</label>
																	<input style=" background-color:#FEF9E7; border-radius: 5px; border: 1px solid #39c;" type="text" id="motivog" name="motivog" class="form-control" placeholder="Escribir Motivo" autocomplete="off">
																</div>
															</div>
															<!--<div class="col-md-4">
																<div class="form-group">
																	<label for="comision">COMISION:</label>
																	<input type="number" style=" background-color:#C5E1A5; border-radius: 5px; border: 1px solid #39c;" class="form-control" autocomplete="off" id="comision" value="0" name="comision">

																</div>
															</div>

														</div>-->
													



														<div class="col-md-12" align="center">
															<button type="submit" id="guardar_factura" class="btn btn-danger btn-block btn-lg waves-effect waves-light" aria-haspopup="true" aria-expanded="false"><span class="fa fa-save"></span> Procesar</button>
															<!--<br><br>
															<button type="button" id="imprimir" class="btn btn-default waves-effect waves-light" onclick="printOrder('1');" accesskey="t" ><span class="fa fa-print"></span> Ticket</button>
															<button type="button" id="imprimir2" class="btn btn-default waves-effect waves-light" onclick="printFactura('1');" accesskey="p"><span class="fa fa-print"></span> Factura</button>-->
														</div>
													</form>

												</div>
											</div>

										</div>

									</div>
									<!-- end row -->


								</div>
							</div>
						</div>
					</div>
				<?php
				} else {
				?>
					<section class="content">
						<div class="alert alert-danger" align="center">
							<h3>Acceso denegado! </h3>
							<p>No cuentas con los permisos necesario para acceder a este módulo.</p>
						</div>
					</section>
				<?php
				}
				?>

			</div>
			<!-- end container -->
		</div>
		<!-- end content -->

		<?php require 'includes/pie.php'; ?>

	</div>
	<!-- ============================================================== -->
	<!-- End Right content here -->
	<!-- ============================================================== -->


</div>
<!-- END wrapper -->

<?php require 'includes/footer_start.php'
?>
<!-- ============================================================== -->
<!-- Todo el codigo js aqui-->
<!-- ============================================================== -->
<script type="text/javascript" src="../../js/VentanaCentrada.js"></script>
<script type="text/javascript" src="../../js/des.js"></script>
<!-- ============================================================== -->
<!-- Codigos Para el Auto complete de Clientes -->



<!-- FIN -->
<script>
	// print order function
	function printOrder(id_factura) {
		//$('#modal_vuelto').modal('hide');//CIERRA LA MODAL
		if (id_factura) {
			$.ajax({
				url: '../pdf/documentos/imprimir_venta.php',
				type: 'post',
				data: {
					id_factura: id_factura
				},
				dataType: 'text',
				success: function(response) {
					var mywindow = window.open('', 'Stock Management System', 'height=400,width=600');
					mywindow.document.write('<html><head><title>Facturación</title>');
					mywindow.document.write('</head><body>');
					mywindow.document.write(response);
					mywindow.document.write('</body></html>');
					mywindow.document.close(); // necessary for IE >= 10
					mywindow.focus(); // necessary for IE >= 10
					mywindow.print();
					mywindow.close();
				} // /success function

			}); // /ajax function to fetch the printable order
		} // /if orderId
	} // /print order function
</script>
<script>
	// print order function
	function printFactura(id_factura) {
		//$('#modal_vuelto').modal('hide');
		if (id_factura) {
			$.ajax({
				//url: '../pdf/documentos/imprimir_factura_venta.php',
				url: '../pdf/documentos/imprimir_consumidor.php',
				type: 'post',
				data: {
					id_factura: id_factura
				},
				dataType: 'text',
				success: function(response) {
					var mywindow = window.open('', 'Stock Management System', 'height=400,width=600');
					mywindow.document.write('<html><head><title>Facturación</title>');
					mywindow.document.write('</head><body>');
					mywindow.document.write(response);
					mywindow.document.write('</body></html>');
					mywindow.document.close(); // necessary for IE >= 10
					mywindow.focus(); // necessary for IE >= 10
					mywindow.print();
					mywindow.close();

				} // /success function

			}); // /ajax function to fetch the printable order
		} // /if orderId
	} // /print order function
</script>
<script>
	// print order function
	function printFactura2(id_factura) {
		//$('#modal_vuelto').modal('hide');
		if (id_factura) {
			$.ajax({
				//url: '../pdf/documentos/imprimir_factura_Credito.php',
				url: '../pdf/documentos/imprimir_credito.php',
				type: 'post',
				data: {
					id_factura: id_factura
				},
				dataType: 'text',
				success: function(response) {
					var mywindow = window.open('', 'Stock Management System', 'height=400,width=600');
					mywindow.document.write('<html><head><title>Facturación</title>');
					mywindow.document.write('</head><body>');
					mywindow.document.write(response);
					mywindow.document.write('</body></html>');
					mywindow.document.close(); // necessary for IE >= 10
					mywindow.focus(); // necessary for IE >= 10
					mywindow.print();
					mywindow.close();

				} // /success function

			}); // /ajax function to fetch the printable order
		} // /if orderId
	} // /print order function
</script>
<?php require 'includes/footer_end.php'
?>