<?php
if (isset($conexion)) {
    ?>
    <div aria-hidden="true" aria-labelledby="myModalLabel" class="modal fade" id="editarConsulta" role="dialog" style="display: none;" tabindex="-1">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button aria-hidden="true" class="close" data-dismiss="modal" type="button">×</button>
                    <h4 class="modal-title">
                        <i class="fa fa-edit">
                        </i>
                        Editar Consulta
                    </h4>
                </div>
                <div class="modal-body">
                    <form class="form-horizontal" id="editar_consulta" method="post" name="editar_consulta">
                        <div id="resultados_ajax2">
                        </div>
                        <ul class="nav nav-tabs">
                            <li class="nav-item">
                                <a aria-expanded="false" class="nav-link active" data-toggle="tab" href="#consulta2">
                                    Información Personal
                                </a>
                            </li>
                            <li class="nav-item">
                                <a aria-expanded="true" class="nav-link" data-toggle="tab" href="#otros2">
                                    Información Consulta
                                </a>
                            </li>
                            <li class="nav-item">
                                <a aria-expanded="true" class="nav-link" data-toggle="tab" href="#receta2">
                                    Receta Medica
                                </a>
                            </li>

                        </ul>
                        <div class="tab-content">
                            <div class="tab-pane fade show active" id="consulta2">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="control-label" for="mod_nombre_paciente">
                                                Paciente:
                                            </label>
                                            <input autocomplete="off" class="form-control" disabled="true" id="mod_nombre_paciente" par="" placeholder="Buscar Paciente por Nombre" required="" type="text">
                                            <input id="mod_id_consulta" name="mod_id_consulta" type="hidden">
                                            <input id="mod_id_paciente" name="mod_id_paciente" type="hidden">
                                        </input>
                                    </input>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label class="control-label" for="mod_visita">
                                        Edad:
                                    </label>
                                    <input autocomplete="off" class="form-control" disabled="true" id="mod_edad" name="mod_edad" type="text">
                                </input>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label class="control-label" for="mod_visita">
                                    Fecha:
                                </label>
                                <input autocomplete="off" class="form-control" disabled="true" id="mod_fecha" name="mod_visita" type="text">
                            </input>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="estatura" class="control-label">Presión sistólica</label>
                            <input type="text" class="form-control UpperCase" id="sist2" name="sist2" pattern="^[0-9]{1,5}(\.[0-9]{0,2})?$" title="Ingresa sólo números con 0 ó 2 decimales" maxlength="4"  autocomplete="off" style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c" >
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="estatura" class="control-label">Presión diastólica</label>
                            <input type="text" class="form-control UpperCase" id="diast2" name="diast2" pattern="^[0-9]{1,5}(\.[0-9]{0,2})?$" title="Ingresa sólo números con 0 ó 2 decimales" maxlength="4"  autocomplete="off" style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c" >
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="talla" class="control-label">Pulsaciones(ppm)</label>
                            <input type="text" class="form-control UpperCase" id="ppm2" name="ppm2" pattern="^[0-9]{1,5}(\.[0-9]{0,2})?$" title="Ingresa sólo números con 0 ó 2 decimales" maxlength="4" autocomplete="off" style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c" >
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="estatura" class="control-label">Ritmo Resp.(rpm)</label>
                            <input type="text" class="form-control UpperCase" id="rpm2" name="rpm2" pattern="^[0-9]{1,5}(\.[0-9]{0,2})?$" title="Ingresa sólo números con 0 ó 2 decimales" maxlength="4"  autocomplete="off" style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c" >
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="estatura" class="control-label">Temperatura (°C)</label>
                            <input type="text" class="form-control UpperCase" id="temp2" name="temp2" pattern="^[0-9]{1,5}(\.[0-9]{0,2})?$" title="Ingresa sólo números con 0 ó 2 decimales" maxlength="4"  autocomplete="off" style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c" >
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="altura" class="control-label">Altura(cms)</label>
                            <input type="text" class="form-control UpperCase" id="altura2" name="altura2"  pattern="^[0-9]{1,5}(\.[0-9]{0,2})?$" title="Ingresa sólo números con 0 ó 2 decimales" maxlength="4" autocomplete="off" style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c" >
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="peso" class="control-label">Peso Actual (kgrs)</label>
                            <input type="text" class="form-control UpperCase" id="peso2" name="peso2"  pattern="^[0-9]{1,5}(\.[0-9]{0,2})?$" title="Ingresa sólo números con 0 ó 2 decimales" maxlength="4" autocomplete="off" style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c" >
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="imc" class="control-label">IMC(kl/m^2)</label>
                            <input type="text" class="form-control UpperCase" id="imc2" name="imc2" pattern="^[0-9]{1,5}(\.[0-9]{0,2})?$" title="Ingresa sólo números con 0 ó 2 decimales" maxlength="4" autocomplete="off" style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c" >
                        </div>
                    </div>

                </div>
            </div>
            <div class="tab-pane fade" id="otros2">


                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="anamnesis" class="control-label">Anamnesis:</label>
                            <textarea class="form-control UpperCase"  id="anamnesis2" name="anamnesis2" maxlength="500" autocomplete="off" style=" background-color:#A9D0F5; border-radius: 5px; border: 1px solid #39c"></textarea>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="fisico" class="control-label">Exploración física:</label>
                            <textarea class="form-control UpperCase"  id="fisico2" name="fisico2" maxlength="500" autocomplete="off" style=" background-color:#D2B4DE; border-radius: 5px; border: 1px solid #39c"></textarea>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="diagnostico" class="control-label">Diagnóstico:</label>
                            <textarea class="form-control UpperCase"  id="diagnostico2" name="diagnostico2" maxlength="500" autocomplete="off" style=" background-color:#F5B7B1; border-radius: 5px; border: 1px solid #39c"></textarea>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="tratamiento" class="control-label">Tratamiento:</label>
                            <textarea class="form-control UpperCase"  id="tratamiento2" name="tratamiento2" maxlength="500" autocomplete="off" style=" background-color:#F9E79F; border-radius: 5px; border: 1px solid #39c"></textarea>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="obs" class="control-label">Observación:</label>
                            <textarea class="form-control UpperCase"  id="obs2" name="obs2" maxlength="255" autocomplete="off" style=" background-color:#CCD1D1; border-radius: 5px; border: 1px solid #39c"></textarea>
                        </div>
                    </div>
                </div>

            </div>
            <div class="tab-pane fade" id="receta2">
                <div class="text-center" id="loader2"></div>
                <div class="outer_div2">
                </div>

            </div>

        </div>
    </div>
    <div class="modal-footer">
        <button class="btn btn-secondary waves-effect" data-dismiss="modal" type="button">
            Cerrar
        </button>
        <button class="btn btn-primary waves-effect waves-light" id="actualizar_datos" type="submit">
            Actualizar Consulta
        </button>
    </div>
</form>
</div>
</div>
</div>
<!-- /.modal -->
<?php
}
?>
