<?php
if (isset($conexion)) {
    ?>
	<div id="editarPaciente" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="display: none;">
		<div class="modal-dialog modal-lg">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
					<h4 class="modal-title"><i class='fa fa-edit'></i> Nuevo Paciente</h4>
				</div>
				<div class="modal-body">
					<form class="form-horizontal" method="post" id="editar_paciente" name="editar_paciente">
						<div id="resultados_ajax2"></div>
						<ul class="nav nav-tabs">
							<li class="nav-item">
								<a href="#mod_info" data-toggle="tab" aria-expanded="false" class="nav-link active">
									Datos Personales
								</a>
							</li>
							<li class="nav-item">
								<a href="#img2" data-toggle="tab" aria-expanded="true" class="nav-link">
									Fotografía
								</a>
							</li>
						</ul>
						<div class="tab-content">
							<div class="tab-pane fade show active" id="mod_info">
							<div class="row">
									<div class="col-md-6">
										<div class="form-group">
											<label for="mod_nombre" class="control-label">Nombre:</label>
											<input type="text" class="form-control UpperCase" id="mod_nombre" name="mod_nombre" autocomplete="off" required style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c">
											<input type="hidden" name="mod_id" id="mod_id">
											<div id="cod_resultado"></div><!-- Carga los datos ajax del incremento del codigo -->
										</div>
									</div>
									<div class="col-md-3">
										<div class="form-group">
											<label for="mod_dui" class="control-label">DUI:</label>
											<input type="text" class="form-control UpperCase" id="mod_dui" name="mod_dui" autocomplete="off" required style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c">
										</div>
									</div>
									<div class="col-md-3">
										<div class="form-group">
											<label for="mod_tel" class="control-label">Telefono</label>
											<input type="text" class="form-control UpperCase" id="mod_tel" name="mod_tel" autocomplete="off" required style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c">
										</div>
									</div>
								</div>
								<div class="row">
									<div class="col-md-6">
										<div class="form-group">
											<label for="mod_direccion" class="control-label">Dirección:</label>
											<input type="text" class="form-control UpperCase" id="mod_direccion" name="mod_direccion" autocomplete="off" style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c">
										</div>
									</div>
									<div class="col-md-3">
										<div class="form-group">
											<label for="mod_nac" class="control-label">Fecha de Nacimento</label>
											<input type="date" class="form-control" id="mod_nac" name="mod_nac" required style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c">
										</div>
									</div>
									<div class="col-md-3">
										<div class="form-group">
											<label for="mod_edad" class="control-label">Edad:</label>
											<input type="text" class="form-control" id="mod_edad" name="mod_edad" autocomplete="off" style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c">
										</div>
									</div>
									
								</div>

								<div class="row">
									<div class="col-md-5">
										<div class="form-group">
											<label for="mod_encargado" class="control-label">Familiar Responsable:</label>
											<input type="text" class="form-control UpperCase" id="mod_encargado" name="mod_encargado" autocomplete="off" style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c">
										</div>
									</div>
									<div class="col-md-3">
										<div class="form-group">
											<label for="telR" class="control-label">Telefono Responsable:</label>
											<input type="text" class="form-control UpperCase" id="mod_telf" name="mod_telf" autocomplete="off" style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c">
										</div>
									</div>
									<div class="col-md-4">
										<div class="form-group">
											<label for="mod_docres" class="control-label">Dr. Cabecera</label>
											<select name='mod_docres' id='mod_docres' class="form-control" style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c">
                  <option value="">-- Selecciona Medico --</option>
                  <?php
$query_users = mysqli_query($conexion, "SELECT * FROM medicos ORDER BY nombre");
while ($rr = mysqli_fetch_array($query_users)) {
    $selected = ($rr['id_medico'] == $id_medico) ? ' selected' : '';
    printf('<option value="%s"%s>%s</option>', $rr['id_medico'], $selected, $rr['nombre']);
}

?>
                </select>
										</div>
									</div>
								</div>
								<div class="row">
									
									<div class="col-md-8">
										<div class="form-group">
											<label for="mod_otros" class="control-label">Otros Padecimientos</label>
											<input type="text" class="form-control UpperCase" id="mod_otros" name="mod_otros" autocomplete="off" required style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c">
										</div>
									</div>
									<div class="col-md-4">
										<div class="form-group">
											<label for="mod_fechemo" class="control-label">Fecha Inical</label>
											<input type="date" class="form-control" id="mod_fechemo" name="mod_fechemo" required style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c">
										</div>
									</div>
								</div>
								<div class="row">
								<div class="col-md-8">
										<div class="form-group">
											<label for="mod_com" class="control-label">Comentarios:</label>
											<input type="text" class="form-control" id="mod_com" name="mod_com" autocomplete="off" style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c">
										</div>
									</div>
									<div class="col-md-4">
										<div class="form-group">
											<label for="mod_estado" class="control-label">Estado:</label>
											<select class="form-control" id="mod_estado" name="mod_estado" required style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c">
												<option value="">-- Selecciona --</option>
												<option value="1" selected>Activo</option>
												<option value="0">Inactivo</option>
											</select>
										</div>
									</div>

								</div>
							</div>
							<div class="tab-pane fade" id="img2">

								<div class="outer_img"></div>


							</div>

						</div>
					</div>
					<div class="modal-footer">
						<button type="button" class="btn btn-secondary waves-effect" data-dismiss="modal">Cerrar</button>
						<button type="submit" class="btn btn-primary waves-effect waves-light" id="actualizar_datos">Actualizar</button>
					</div>
				</form>
			</div>
		</div>
	</div><!-- /.modal -->
	<?php
}
?>