<?php
if (isset($conexion)) {
    ?>
	<div id="nuevaConsulta" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="display: none;">
		<div class="modal-dialog modal-lg">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
					<h4 class="modal-title"><i class='fa fa-edit'></i> Nueva Consulta</h4>
				</div>
				<div class="modal-body">
					<form class="form-horizontal" method="post" id="guardar_consulta" name="guardar_consulta">
						<div id="resultados_ajax"></div>

						<ul class="nav nav-tabs">
							<li class="nav-item">
								<a href="#consulta" data-toggle="tab" aria-expanded="false" class="nav-link active">
									Información Personal
								</a>
							</li>
							<li class="nav-item">
								<a href="#otros" data-toggle="tab" aria-expanded="true" class="nav-link">
									Información Consulta
								</a>
							</li>
							<li class="nav-item">
								<a href="#receta" data-toggle="tab" aria-expanded="true" class="nav-link">
									Receta Medica
								</a>
							</li>
							<li class="nav-item">
								<a href="#img" data-toggle="tab" aria-expanded="true" class="nav-link">
									Imagenes
								</a>
							</li>
							<li class="nav-item">
								<a href="#cita" data-toggle="tab" aria-expanded="true" class="nav-link">
									Próxima Cita
								</a>
							</li>
						</ul>
						<div class="tab-content">
							<div class="tab-pane fade show active" id="consulta">
								<div class="row">
									<div class="col-md-6">
										<div class="form-group">
											<label for="nombre_paciente" class="control-label">Paciente (Elegir y Enter)</label>
											<input type="text" class="form-control" placeholder="Buscar Paciente por Nombre" id="nombre_paciente" par autocomplete="off" style=" background-color:#A9D0F5; border-radius: 5px; border: 1px solid #39c" required>
											<input id="id_paciente" name="id_paciente" type='hidden'>
										</div>
									</div>
									<div class="col-md-3">
										<div class="form-group">
											<label for="edad" class="control-label">Edad</label>
											<input type="text"  style="background-color:#DAF7A6; text-align: center; font-weight: bold" class="form-control" id="edad" name="edad" autocomplete="off" readonly="">
										</div>
									</div>
									<div class="col-md-3">
										<div class="form-group">
											<label for="visita" class="control-label">Visitas</label>
											<input type="text" style="background-color:#F7DC6F;text-align: center;font-weight: bold" class="form-control" id="visita" name="visita" autocomplete="off" readonly="">
										</div>
									</div>
								</div>


								<div class="row">
									<div class="col-md-3">
										<div class="form-group">
											<label for="estatura" class="control-label">Presión sistólica</label>
											<input type="text" class="form-control UpperCase" id="sist" name="sist" pattern="^[0-9]{1,5}(\.[0-9]{0,2})?$" title="Ingresa sólo números con 0 ó 2 decimales" maxlength="4"  autocomplete="off" style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c" >
										</div>
									</div>
									<div class="col-md-3">
										<div class="form-group">
											<label for="estatura" class="control-label">Presión diastólica</label>
											<input type="text" class="form-control UpperCase" id="diast" name="diast" pattern="^[0-9]{1,5}(\.[0-9]{0,2})?$" title="Ingresa sólo números con 0 ó 2 decimales" maxlength="4"  autocomplete="off" style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c" >
										</div>
									</div>
									<div class="col-md-3">
										<div class="form-group">
											<label for="talla" class="control-label">Pulsaciones(ppm)</label>
											<input type="text" class="form-control UpperCase" id="ppm" name="ppm" pattern="^[0-9]{1,5}(\.[0-9]{0,2})?$" title="Ingresa sólo números con 0 ó 2 decimales" maxlength="4" autocomplete="off" style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c" >
										</div>
									</div>
									<div class="col-md-3">
										<div class="form-group">
											<label for="estatura" class="control-label">Ritmo Resp.(rpm)</label>
											<input type="text" class="form-control UpperCase" id="rpm" name="rpm" pattern="^[0-9]{1,5}(\.[0-9]{0,2})?$" title="Ingresa sólo números con 0 ó 2 decimales" maxlength="4"  autocomplete="off" style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c" >
										</div>
									</div>
								</div>
								<div class="row">
									<div class="col-md-3">
										<div class="form-group">
											<label for="estatura" class="control-label">Temperatura (°C)</label>
											<input type="text" class="form-control UpperCase" id="temp" name="temp" pattern="^[0-9]{1,5}(\.[0-9]{0,2})?$" title="Ingresa sólo números con 0 ó 2 decimales" maxlength="4"  autocomplete="off" style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c" >
										</div>
									</div>
									<div class="col-md-3">
										<div class="form-group">
											<label for="altura" class="control-label">Altura(cms)</label>
											<input type="text" class="form-control UpperCase" id="altura" name="altura"  pattern="^[0-9]{1,5}(\.[0-9]{0,2})?$" title="Ingresa sólo números con 0 ó 2 decimales" maxlength="4" autocomplete="off" style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c" >
										</div>
									</div>
									<div class="col-md-3">
										<div class="form-group">
											<label for="peso" class="control-label">Peso Actual (kgrs)</label>
											<input type="text" class="form-control UpperCase" id="peso" name="peso"  pattern="^[0-9]{1,5}(\.[0-9]{0,2})?$" title="Ingresa sólo números con 0 ó 2 decimales" maxlength="4" autocomplete="off" style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c" >
										</div>
									</div>
									<div class="col-md-3">
										<div class="form-group">
											<label for="imc" class="control-label">IMC(kl/m^2)</label>
											<input type="text" class="form-control UpperCase" id="imc" name="imc" pattern="^[0-9]{1,5}(\.[0-9]{0,2})?$" title="Ingresa sólo números con 0 ó 2 decimales" maxlength="4" autocomplete="off" style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c" >
										</div>
									</div>

								</div>

							</div>
							<div class="tab-pane fade" id="otros">
								<div class="row">
									<div class="col-md-6">
										<div class="form-group">
											<label for="anamnesis" class="control-label">Anamnesis:</label>
											<textarea class="form-control UpperCase"  id="anamnesis" name="anamnesis" maxlength="500" autocomplete="off" style=" background-color:#A9D0F5; border-radius: 5px; border: 1px solid #39c"></textarea>
										</div>
									</div>
									<div class="col-md-6">
										<div class="form-group">
											<label for="fisico" class="control-label">Exploración física:</label>
											<textarea class="form-control UpperCase"  id="fisico" name="fisico" maxlength="500" autocomplete="off" style=" background-color:#D2B4DE; border-radius: 5px; border: 1px solid #39c"></textarea>
										</div>
									</div>
								</div>
								<div class="row">
									<div class="col-md-6">
										<div class="form-group">
											<label for="diagnostico" class="control-label">Diagnóstico:</label>
											<textarea class="form-control UpperCase"  id="diagnostico" name="diagnostico" maxlength="500" autocomplete="off" style=" background-color:#F5B7B1; border-radius: 5px; border: 1px solid #39c"></textarea>
										</div>
									</div>
									<div class="col-md-6">
										<div class="form-group">
											<label for="tratamiento" class="control-label">Tratamiento:</label>
											<textarea class="form-control UpperCase"  id="tratamiento" name="tratamiento" maxlength="500" autocomplete="off" style=" background-color:#F9E79F; border-radius: 5px; border: 1px solid #39c"></textarea>
										</div>
									</div>
								</div>
								<div class="row">
									<div class="col-md-6">
										<div class="form-group">
											<label for="obs" class="control-label">Observación:</label>
											<textarea class="form-control UpperCase"  id="obs" name="obs" maxlength="255" autocomplete="off" style=" background-color:#CCD1D1; border-radius: 5px; border: 1px solid #39c"></textarea>
										</div>
									</div>
								</div>
							</div>
							<div class="tab-pane fade" id="receta">

								<table class="table table-condensed table-sm" id="productTable">
									<thead>
										<tr>
											<th style="width:25%;">Medicamento</th>
											<!--<th style="width:10%;">Cant.</th>-->
											<th style="width:35%;">Indicación</th>
											<th style="width:10%;"></th>
										</tr>
									</thead>
									<tbody>
										<?php
$arrayNumber = 0;
    for ($x = 1; $x < 3; $x++) {
        ?>
											<tr id="row<?php echo $x; ?>" class="<?php echo $arrayNumber; ?>">
												<td style="margin-left:20px;">
													<div class="form-group">
														<select class="form-control select2-single" name="productName[]" id="productName<?php echo $x; ?>" onchange="validar(this.value)" required >
															<option value="">-- Selecciona --</option>
															<?php
$productSql  = "SELECT * FROM medicamentos WHERE  estado_medicamento = 1 order by nombre_medicamento";
        $productData = $conexion->query($productSql);

        while ($row = $productData->fetch_array()) {
            echo "<option value='" . $row['id_medicamento'] . "' id='changeProduct" . $row['id_medicamento'] . "'>" . $row['nombre_medicamento'] . "</option>";
        } // /while

        ?>
    </select>
</div>
</td>
<!--<td style="padding-left:20px;">
	<div class="form-group">
		<input type="number" name="quantity[]" id="quantity<?php echo $x; ?>" onkeyup="getTotal(<?php echo $x ?>)" autocomplete="off" class="form-control" min="1" />
	</div>
</td>-->
<td style="padding-left:20px;">
	<textarea type="text" name="rate[]" id="rate<?php echo $x; ?>" autocomplete="off" class="form-control UpperCase" required style=" background-color:#A9D0F5; border-radius: 5px; border: 1px solid #39c"></textarea>
	<input type="hidden" name="rateValue[]" id="rateValue<?php echo $x; ?>" autocomplete="off" class="form-contro UpperCase" />
</td>
<td>
	<button class="btn btn-danger waves-effect waves-light removeProductRowBtn" type="button" id="removeProductRowBtn" onclick="removeProductRow(<?php echo $x; ?>)"><i class="fa fa-remove"></i></button>
</td>
</tr>
<?php
$arrayNumber++;
    } // /for
    ?>
</tbody>
</table>
<div class="form-group submitButtonFooter" align="center">
	<div class="col-sm-offset-2 col-sm-10">
		<button type="button" class="btn btn-success  waves-effect waves-light" onclick="addRow()" id="addRowBtn" data-loading-text="Cargando..."> <i class="fa fa-plus"></i> Añadir fila </button>
		<!--<button type="reset" class="btn btn-default waves-effect waves-light" onclick="resetOrderForm()"><i class="fa fa-erase"></i> Reiniciar</button>-->
	</div>
</div>



</div>

<div class="tab-pane fade" id="img">

	<div id="outer_img"></div><!-- Carga img CON AJAX -->

</div>
<div class="tab-pane fade" id="cita">
<div class="row">
		<div class="col-md-3">
			<div class="form-group">
				<label for="estatura" class="control-label">Costo de Consulta:</label>
				<input type="text" class="form-control" id="costo" name="costo" pattern="^[0-9]{1,5}(\.[0-9]{0,2})?$" required autocomplete="off"  style=" background-color:#F7DC6F; border-radius: 5px; border: 1px solid #39c">
			</div>
		</div>
		<div class="col-md-4">
			<div class="form-group">
				<label for="estatura" class="control-label">Proxima Cita:</label>
				<input type="text" name="start" class="form-control txt_valid" id="start" style=" background-color:#82E0AA; border-radius: 5px; border: 1px solid #39c">
			</div>
		</div>
	</div>
</div>
</div>



</div>
<div class="modal-footer">
	<button type="button" class="btn btn-secondary waves-effect" data-dismiss="modal">Cerrar</button>
	<button type="submit" class="btn btn-primary waves-effect waves-light" id="guardar_datos">Guardar Consulta</button>
</div>
</form>
</div>
</div>
</div><!-- /.modal -->
<?php
}
?>