<?php
include 'is_logged.php'; //Archivo verifica que el usario que intenta acceder a la URL esta logueado
/* Connect To Database*/
require_once "../../db.php";
require_once "../../php_conexion.php";
//Inicia Control de Permisos
include "../../permisos.php";
//Archivo de funciones PHP
require_once "../../funciones.php";
//Ontengo variables pasadas por GET
$q      = mysqli_real_escape_string($conexion, (strip_tags($_REQUEST['q'], ENT_QUOTES)));
$tipo   = intval($_REQUEST['tipo']);
$sTable = "creditos, pacientes, usuarios";
$sWhere = "";
$sWhere .= " WHERE creditos.id_cliente=pacientes.id_paciente and creditos.id_vendedor=usuarios.id_users";
if ($tipo > 0) {
    $sWhere .= " and creditos.estado_credito = '" . $tipo . "' ";
}
if ($_GET['q'] != "") {
    $sWhere .= " and  (pacientes.nombre_paciente like '%$q%' or pacientes.apellido_paciente like '%$q%' or creditos.numero_factura like '%$q%')";

}

$sWhere .= " order by creditos.id_credito desc";
// Consulta la manda a la siguiente pagina
$query = mysqli_query($conexion, "SELECT * FROM  $sTable $sWhere");
// get the HTML
ob_start();
include dirname(__FILE__) . '/res/rep_gen_html.php';
$content = ob_get_clean();

// convert to PDF
require_once dirname(__FILE__) . '/../html2pdf.class.php';
try
{
    $html2pdf = new HTML2PDF('L', 'A4', 'es', true, 'UTF-8', 3);
    $html2pdf->pdf->SetDisplayMode('fullpage');
    $html2pdf->writeHTML($content, isset($_GET['vuehtml']));
    ob_end_clean();
    $html2pdf->Output('pagos.pdf');
} catch (HTML2PDF_exception $e) {
    echo $e;
    exit;
}
