<?php
include 'is_logged.php'; //Archivo verifica que el usario que intenta acceder a la URL esta logueado
/* Connect To Database*/
require_once "../../db.php";
require_once "../../php_conexion.php";
//Archivo de funciones PHP
require_once "../../funciones.php";
//Ontengo variables pasadas por GET
$logo = get_row('perfil', 'logo_url', 'id_perfil', 1);
$daterange   = mysqli_real_escape_string($conexion, (strip_tags($_REQUEST['daterange'], ENT_QUOTES)));
$employee_id = intval($_REQUEST['employee_id']);
if ($employee_id == 0) {
    echo "<script>alert('No hay Paciente Seleccionado')</script>";
    echo "<script>window.close();</script>";
    exit;
}
$tables = "consulta_general,  pacientes, detalle_consulta";
$campos = "*";
$sWhere = "pacientes.id_paciente=consulta_general.paciente_id and consulta_general.id_consulta=detalle_consulta.consulta_id";
if ($employee_id > 0) {
    $sWhere .= " and consulta_general.paciente_id = '" . $employee_id . "' ";
}
if (!empty($daterange)) {
    list($f_inicio, $f_final)                    = explode(" - ", $daterange); //Extrae la fecha inicial y la fecha final en formato espa?ol
    list($dia_inicio, $mes_inicio, $anio_inicio) = explode("/", $f_inicio); //Extrae fecha inicial
    $fecha_inicial                               = "$anio_inicio-$mes_inicio-$dia_inicio 00:00:00"; //Fecha inicial formato ingles
    list($dia_fin, $mes_fin, $anio_fin)          = explode("/", $f_final); //Extrae la fecha final
    $fecha_final                                 = "$anio_fin-$mes_fin-$dia_fin 23:59:59";

    $sWhere .= " and consulta_general.date_added between '$fecha_inicial' and '$fecha_final' ";
}
$sWhere .= " order by consulta_general.id_consulta";
// Consulta la manda a la siguiente pagina
$query = mysqli_query($conexion, "SELECT $campos FROM  $tables where $sWhere ");

// get the HTML
ob_start();
include dirname(__FILE__) . '/res/rep_historial_html.php';
$content = ob_get_clean();

// Convertir a PDF
require_once dirname(__FILE__) . '/../html2pdf.class.php';
try {
    $html2pdf = new HTML2PDF('P', 'A4', 'es', true, 'UTF-8', 3);
    $html2pdf->pdf->SetDisplayMode('fullpage');
    $html2pdf->writeHTML($content, isset($_GET['vuehtml']));
    ob_end_clean();

    // Configurar el logotipo
    $logoPath = "../" . $logo; // Ruta de la imagen del logotipo
    $logoX = 10; // Posición X del logotipo
    $logoY = 5; // Posición Y del logotipo
    $logoWidth = 30; // Ancho del logotipo
    $logoHeight = 30; // Alto del logotipo

    // Obtener el objeto TCPDF desde HTML2PDF
    $tcpdf = $html2pdf->pdf;

    // Agregar el logotipo al PDF
    $tcpdf->Image($logoPath, $logoX, $logoY, $logoWidth, $logoHeight);

    $html2pdf->Output('Historial.pdf');
} catch (HTML2PDF_exception $e) {
    echo $e;
    exit;
}