<?php
/*-------------------------
Autor: Delmar Lopez
Web: softwys.com
Mail: softwysop@gmail.com
---------------------------*/
session_start();
if (!isset($_SESSION['user_login_status']) and $_SESSION['user_login_status'] != 1) {
    header("location: ../../../login.php");
    exit;
}

/* Connect To Database*/
include "../../db.php";
include "../../php_conexion.php";
//Archivo de funciones PHP
include "../../funciones.php";
$logo = get_row('perfil', 'logo_url', 'id_perfil', 1);
$id_factura = intval($_GET['id_factura']);
$sql_count  = mysqli_query($conexion, "select * from facturas_ventas where id_factura='" . $id_factura . "'");
$count      = mysqli_num_rows($sql_count);
if ($count == 0) {
    echo "<script>alert('Factura no encontrada')</script>";
    echo "<script>window.close();</script>";
    exit;
}
$sql_factura    = mysqli_query($conexion, "select * from facturas_ventas where id_factura='" . $id_factura . "'");
$rw_factura     = mysqli_fetch_array($sql_factura);
$numero_factura = $rw_factura['numero_factura'];
$id_paciente    = $rw_factura['id_cliente'];
$id_vendedor    = $rw_factura['id_vendedor'];
$fecha_factura  = $rw_factura['fecha_factura'];
$condiciones    = $rw_factura['condiciones'];
$simbolo_moneda = get_row('perfil', 'moneda', 'id_perfil', 1);

/// get the HTML
ob_start();
include dirname(__FILE__) . '/res/ver_factura_html.php';
$content = ob_get_clean();

// Convertir a PDF
require_once dirname(__FILE__) . '/../html2pdf.class.php';
try {
    $html2pdf = new HTML2PDF('P', 'A4', 'es', true, 'UTF-8', 3);
    $html2pdf->pdf->SetDisplayMode('fullpage');
    $html2pdf->writeHTML($content, isset($_GET['vuehtml']));
    ob_end_clean();

    // Configurar el logotipo
    $logoPath = "../" . $logo; // Ruta de la imagen del logotipo
    $logoX = 5; // Posición X del logotipo
    $logoY = 5; // Posición Y del logotipo
    $logoWidth = 30; // Ancho del logotipo
    $logoHeight = 30; // Alto del logotipo

    // Obtener el objeto TCPDF desde HTML2PDF
    $tcpdf = $html2pdf->pdf;

    // Agregar el logotipo al PDF
    $tcpdf->Image($logoPath, $logoX, $logoY, $logoWidth, $logoHeight);

    $html2pdf->Output('Factura.pdf');
} catch (HTML2PDF_exception $e) {
    echo $e;
    exit;
}
