		$(document).ready(function() {
		    load(1);
		});

		function load(page) {
		    var q = $("#q").val();
		    var id_turno = $("#id_turno").val();
			var range=$("#range").val();
		    $("#loader").fadeIn('slow');
		    $.ajax({
		        url: '../ajax/buscar_citas2.php?action=ajax&page=' + page + '&q=' + q + '&id_turno=' + id_turno + '&range=' + range,
		        beforeSend: function(objeto) {
		            $('#loader').html('<img src="../../img/ajax-loader.gif"> Cargando...');
		        },
		        success: function(data) {
		            $(".outer_div").html(data).fadeIn('slow');
		            $('#loader').html('');
		            $('[data-toggle="tooltip"]').tooltip({
		                html: true
		            });
		        }
		    })
		}
		$("#guardar_cita").submit(function(event) {
		    $('#guardar_datos').attr("disabled", true);
		    var parametros = $(this).serialize();
		    $.ajax({
		        type: "POST",
		        url: "../ajax/registrar_cita2.php",
		        data: parametros,
		        beforeSend: function(objeto) {
		            $("#resultados_ajax").html('<img src="../../img/ajax-loader.gif"> Cargando...');
		        },
		        success: function(datos) {
		            $("#resultados_ajax").html(datos);
		            $('#guardar_datos').attr("disabled", false);
		            load(1);
		            //resetea el formulario
		            $("#guardar_cita")[0].reset();
		            $("#codigo").focus();
		            //desaparecer la alerta
		            window.setTimeout(function() {
		                $(".alert").fadeTo(200, 0).slideUp(200, function() {
		                    $(this).remove();
		                });
		            }, 2000);
		        }
		    });
		    event.preventDefault();
		})
		$("#editar_cita").submit(function(event) {
		    $('#actualizar_datos').attr("disabled", true);
		    var parametros = $(this).serialize();
		    $.ajax({
		        type: "POST",
		        url: "../ajax/editar_cita2.php",
		        data: parametros,
		        beforeSend: function(objeto) {
		            $("#resultados_ajax2").html('<img src="../../img/ajax-loader.gif"> Cargando...');
		        },
		        success: function(datos) {
		            $("#resultados_ajax2").html(datos);
		            $('#actualizar_datos').attr("disabled", false);
		            load(1);
		            //desaparecer la alerta
		            window.setTimeout(function() {
		                $(".alert").fadeTo(200, 0).slideUp(200, function() {
		                    $(this).remove();
		                });
		            }, 2000);
		        }
		    });
		    event.preventDefault();
		})
		$('#dataDelete').on('show.bs.modal', function(event) {
		    var button = $(event.relatedTarget) // Botón que activó el modal
		    var id = button.data('id') // Extraer la información de atributos de datos
		    var modal = $(this)
		    modal.find('#id_cita').val(id)
		})
		$("#eliminarDatos").submit(function(event) {
		    var parametros = $(this).serialize();
		    $.ajax({
		        type: "POST",
		        url: "../ajax/eliminar_cita2.php",
		        data: parametros,
		        beforeSend: function(objeto) {
		            $(".datos_ajax_delete").html('<img src="../../img/ajax-loader.gif"> Cargando...');
		        },
		        success: function(datos) {
		            $(".datos_ajax_delete").html(datos);
		            $('#dataDelete').modal('hide');
		            load(1);
		            //desaparecer la alerta
		            window.setTimeout(function() {
		                $(".alert").fadeTo(200, 0).slideUp(200, function() {
		                    $(this).remove();
		                });
		            }, 2000);
		        }
		    });
		    event.preventDefault();
		});

		function obtener_datos(id) {
		    var fecha = $("#fecha" + id).val();
		    var numero = $("#numero" + id).val();
		    var id_paciente = $("#id_paciente" + id).val();
		    var nombre_paciente = $("#nombre_paciente" + id).val();
		    var tel_paciente = $("#tel_paciente" + id).val();
		    var id_medico = $("#id_medico" + id).val();
		    var nomMedico = $("#nomMedico" + id).val();
		    var turno = $("#turno" + id).val();
		    var tipo = $("#tipo" + id).val();
		   
		    $("#fecha2").val(fecha);
		    $("#numero2").val(numero);
		    $("#id_paciente2").val(id_paciente);
		    $("#nombre_paciente2").val(nombre_paciente);
		    $("#tel2").val(tel_paciente);
		    $("#id_medico2").val(id_medico);
		    $("#doctor2").val(nomMedico);
		    $("#turno2").val(turno);
		    $("#tip2").val(tipo);
		    $("#mod_id").val(id);
		}

		// Función para cargar los detalles del tratamiento en el modal
function cargarTratamiento(id_cita) {
    $.ajax({
        url: '../ajax/carga_detalle.php',  // Cambia por la ruta correcta
        method: 'POST',
        data: { id_cita: id_cita },
        beforeSend: function() {
            $('#detallesTratamiento').html('Cargando datos...');
        },
        success: function(response) {
            $('#detallesTratamiento').html(response); // Mostrar los detalles en el modal
        },
        error: function() {
            $('#detallesTratamiento').html('Error al cargar los detalles del tratamiento.');
        }
    });
}

function printTicket() {
    var contenido = document.getElementById('detallesTratamiento').innerHTML;

    var ventana = window.open('', '', 'height=600,width=800');
    ventana.document.write('<html><head><title>Imprimir Ticket</title>');
    ventana.document.write('<style>');
    ventana.document.write('body { font-family: Arial, sans-serif; margin: 20px; }');
    ventana.document.write('table { width: 100%; border-collapse: collapse; }');
    ventana.document.write('th, td { border: 1px solid #ddd; padding: 8px; }');
    ventana.document.write('th { background-color: #f4f4f4; text-align: left; }');
    ventana.document.write('</style>');
    ventana.document.write('</head><body>');
    ventana.document.write('<h2>Detalles del Tratamiento</h2>');
    ventana.document.write(contenido);
    ventana.document.write('</body></html>');

    ventana.document.close();
    ventana.focus();
    ventana.print();
    
    // Espera a que la impresión se haya completado antes de cerrar la ventana
    ventana.onafterprint = function() {
        ventana.close();
    };
}

		