		$(document).ready(function() {
			$('#outer_img').load('../ajax/upload_img.php')
			$('#historial').load('../ajax/buscar_historial.php')
		    load(1);
		});

		function load(page) {
		    var q = $("#q").val();
		    $("#loader").fadeIn('slow');
		    $.ajax({
		        url: '../ajax/buscar_consultas.php?action=ajax&page=' + page + '&q=' + q,
		        beforeSend: function(objeto) {
		            $('#loader').html('<img src="../../img/ajax-loader.gif"> Cargando...');
		        },
		        success: function(data) {
		            $(".outer_div").html(data).fadeIn('slow');
		            $('#loader').html('');
		        }
		    })
		}
		$("#guardar_consulta").submit(function(event) {
		    $('#guardar_datos').attr("disabled", true);
		    var parametros = $(this).serialize();
		    $.ajax({
		        type: "POST",
		        url: "../ajax/nueva_consulta.php",
		        data: parametros,
		        beforeSend: function(objeto) {
		            $("#resultados_ajax").html('<img src="../../img/ajax-loader.gif"> Cargando...');
		        },
		        success: function(datos) {
		            $("#resultados_ajax").html(datos);
		            $('#guardar_datos').attr("disabled", false);
		            $("#resultados_citas").load("../ajax/carga_citas.php");
		            $("#resultados_citas_total").load("../ajax/carga_citas_total.php");
		            load(1);
		            //resetea el formulario
		            $("#guardar_consulta")[0].reset();
		            $("#nombre_paciente").focus();
		            //desaparecer la alerta
		            window.setTimeout(function() {
		                $(".alert").fadeTo(200, 0).slideUp(200, function() {
		                    $(this).remove();
		                });
		            }, 2000);
		        }
		    });
		    event.preventDefault();
		})
		$("#editar_consulta").submit(function(event) {
		    $('#actualizar_datos').attr("disabled", true);
		    var parametros = $(this).serialize();
		    $.ajax({
		        type: "POST",
		        url: "../ajax/editar_consulta.php",
		        data: parametros,
		        beforeSend: function(objeto) {
		            $("#resultados_ajax2").html('<img src="../../img/ajax-loader.gif"> Cargando...');
		        },
		        success: function(datos) {
		            $("#resultados_ajax2").html(datos);
		            $('#actualizar_datos').attr("disabled", false);
		            load(1);
		            //desaparecer la alerta
		            window.setTimeout(function() {
		                $(".alert").fadeTo(200, 0).slideUp(200, function() {
		                    $(this).remove();
		                });
		            }, 2000);
		        }
		    });
		    event.preventDefault();
		})
		$("#editar_ant").submit(function(event) {
		    $('#actualizar_datos2').attr("disabled", true);
		    var parametros = $(this).serialize();
		    $.ajax({
		        type: "POST",
		        url: "../ajax/editar_ant.php",
		        data: parametros,
		        beforeSend: function(objeto) {
		            $("#resultados_ajax3").html('<img src="../../img/ajax-loader.gif"> Cargando...');
		        },
		        success: function(datos) {
		            $("#resultados_ajax3").html(datos);
		            $('#actualizar_datos2').attr("disabled", false);
		            load(1);
		            //desaparecer la alerta
		            window.setTimeout(function() {
		                $(".alert").fadeTo(200, 0).slideUp(200, function() {
		                    $(this).remove();
		                });
		            }, 2000);
		        }
		    });
		    event.preventDefault();
		})
		$('#dataDelete').on('show.bs.modal', function(event) {
		    var button = $(event.relatedTarget) // Botón que activó el modal
		    var id = button.data('id') // Extraer la información de atributos de datos
		    var modal = $(this)
		    modal.find('#id_consulta').val(id)
		})
		$("#eliminarDatos").submit(function(event) {
		    var parametros = $(this).serialize();
		    $.ajax({
		        type: "POST",
		        url: "../ajax/eliminar_consulta.php",
		        data: parametros,
		        beforeSend: function(objeto) {
		            $(".datos_ajax_delete").html('<img src="../../img/ajax-loader.gif"> Cargando...');
		        },
		        success: function(datos) {
		            $(".datos_ajax_delete").html(datos);
		            $('#dataDelete').modal('hide');
		            load(1);
		            //desaparecer la alerta
		            window.setTimeout(function() {
		                $(".alert").fadeTo(200, 0).slideUp(200, function() {
		                    $(this).remove();
		                });
		            }, 2000);
		        }
		    });
		    event.preventDefault();
		});

		function obtener_datos(id) {
		    var nombre_paciente = $("#nombre_paciente" + id).val();
		    var anamnesis = $("#anamnesis" + id).val();
		    var fisico = $("#fisico" + id).val();
		    var diagnostico = $("#diagnostico" + id).val();
		    var tratamiento = $("#tratamiento" + id).val();
		    var obs = $("#obs" + id).val();
		    var sist = $("#sist" + id).val();
		    var diast = $("#diast" + id).val();
		    var ppm = $("#ppm" + id).val();
		    var rpm = $("#rpm" + id).val();
		    var temp = $("#temp" + id).val();
		    var altura = $("#altura" + id).val();
		    var peso = $("#peso" + id).val();
		    var imc = $("#imc" + id).val();
		    $("#mod_nombre_paciente").val(nombre_paciente);
		    $("#anamnesis2").val(anamnesis);
		    $("#fisico2").val(fisico);
		    $("#diagnostico2").val(diagnostico);
		    $("#tratamiento2").val(tratamiento);
		    $("#obs2").val(obs);
		    $("#sist2").val(sist);
		    $("#diast2").val(diast);
		    $("#ppm2").val(ppm);
		    $("#rpm2").val(rpm);
		    $("#temp2").val(temp);
		    $("#altura2").val(altura);
		    $("#peso2").val(peso);
		    $("#imc2").val(imc);
		    $("#mod_id_consulta").val(id);
		    $("#mod_id_paciente").val(id);
		}

		function obtener_datos_ant(id) {
		    var alergias_ant = $("#alergias_ant" + id).val();
		    var enfermedades_ant = $("#enfermedades_ant" + id).val();
		    var vacunas_ant = $("#vacunas_ant" + id).val();
		    var quirurgico_ant = $("#quirurgico_ant" + id).val();
		    $("#mod_alegia").val(alergias_ant);
		    $("#mod_enfermedad").val(enfermedades_ant);
		    $("#mod_vacuna").val(vacunas_ant);
		    $("#mod_quir").val(quirurgico_ant);
		    $("#modd_id").val(id);
		}
		/*--------------------------------------------------------------*/
		/* AGREGAR MEDICAMENTOS
		/*--------------------------------------------------------------*/
		function addRow() {
		    $("#addRowBtn").button("loading");
		    var tableLength = $("#productTable tbody tr").length;
		    var tableRow;
		    var arrayNumber;
		    var count;
		    if (tableLength > 0) {
		        tableRow = $("#productTable tbody tr:last").attr('id');
		        arrayNumber = $("#productTable tbody tr:last").attr('class');
		        count = tableRow.substring(3);
		        count = Number(count) + 1;
		        arrayNumber = Number(arrayNumber) + 1;
		    } else {
		        // no table row
		        count = 1;
		        arrayNumber = 0;
		    }
		    $.ajax({
		        url: "../ajax/query.php",
		        type: "post",
		        dataType: "json",
		        success: function(response) {
		            $("#addRowBtn").button("reset");
		            var tr = '<tr id="row' + count + '" class="' + arrayNumber + '">' + '<td>' + '<div class="form-group">' + '<select class="form-control select2-single" name="productName[]" id="productName' + count + '" onchange="getProductData(' + count + ')" >' + '<option value="">-- seleccionar --</option>';
		            // console.log(response);
		            $.each(response, function(index, value) {
		                tr += '<option value="' + value[0] + '">' + value[1] + '</option>';
		            });
		            tr += '</select>' + '</div>' + '</td>' + '<td style="padding-left:20px;"">' + '<textarea type="text" name="rate[]" id="rate' + count + '" autocomplete="off" class="form-control" style=" background-color:#A9D0F5; border-radius: 5px; border: 1px solid #39c"></textarea>' + '<input type="hidden" name="rateValue[]" id="rateValue' + count + '" autocomplete="off" class="form-control" />' + '</td>' + '<td>' + '<button class="btn btn-danger waves-effect waves-light removeProductRowBtn" type="button" onclick="removeProductRow(' + count + ')"><i class="fa fa-remove"></i></button>' + '</td>' + '</tr>';
		            if (tableLength > 0) {
		                $("#productTable tbody tr:last").after(tr);
		            } else {
		                $("#productTable tbody").append(tr);
		            }
		        } // /success
		    }); // get the product data
		} // /add row
		function removeProductRow(row = null) {
		    if (row) {
		        $("#row" + row).remove();
		        subAmount();
		    } else {
		        alert('error! Refresh the page again');
		    }
		}
		/*--------------------------------------------------------------*/
		/* AGREGAR APARATOS
		/*--------------------------------------------------------------*/
		function addRow2() {
		    $("#addRowBtn2").button("loading");
		    var tableLength = $("#productTable2 tbody tr").length;
		    var tableRow;
		    var arrayNumber;
		    var count;
		    if (tableLength > 0) {
		        tableRow = $("#productTable2 tbody tr:last").attr('id');
		        arrayNumber = $("#productTable2 tbody tr:last").attr('class');
		        count = tableRow.substring(3);
		        count = Number(count) + 1;
		        arrayNumber = Number(arrayNumber) + 1;
		    } else {
		        // no table row
		        count = 1;
		        arrayNumber = 0;
		    }
		    $.ajax({
		        url: "../ajax/query.php",
		        type: "post",
		        dataType: "json",
		        success: function(response) {
		            $("#addRowBtn2").button("reset");
		            var tr = '<tr id="row2' + count + '" class="' + arrayNumber + '">' + '<td>' + '<div class="form-group">' + '<select class="form-control" name="id_aparato[]" id="id_aparato' + count + '" onchange="getProductData(' + count + ')" >' + '<option value="">-- seleccionar --</option>';
		            // console.log(response);
		            $.each(response, function(index, value) {
		                tr += '<option value="' + value[0] + '">' + value[1] + '</option>';
		            });
		            tr += '</select>' + '</div>' + '</td>' + '<td style="padding-left:20px;">' + '<div class="form-group">' + '<input type="number" name="cantidad[]" id="cantidad' + count + '" onkeyup="getTotal(' + count + ')" autocomplete="off" class="form-control" min="1" />' + '</div>' + '</td>' + '<td>' + '<button class="btn btn-danger waves-effect waves-light removeProductRowBtn" type="button" onclick="removeProductRow2(' + count + ')"><i class="fa fa-remove"></i></button>' + '</td>' + '</tr>';
		            if (tableLength > 0) {
		                $("#productTable2 tbody tr:last").after(tr);
		            } else {
		                $("#productTable2 tbody").append(tr);
		            }
		        } // /success
		    }); // get the product data
		} // /add row
		function removeProductRow2(row = null) {
		    if (row) {
		        $("#row2" + row).remove();
		        subAmount();
		    } else {
		        alert('error! Refresh the page again');
		    }
		}
		/*--------------------------------------------------------------*/
		/* EDITAR LISTA DE MEDICAMENTOS
		/*--------------------------------------------------------------*/
		function addRowEdit() {
		    $("#addRowBtn3").button("loading");
		    var tableLength = $("#productTable3 tbody tr").length;
		    var tableRow;
		    var arrayNumber;
		    var count;
		    if (tableLength > 0) {
		        tableRow = $("#productTable3 tbody tr:last").attr('id');
		        arrayNumber = $("#productTable3 tbody tr:last").attr('class');
		        count = tableRow.substring(3);
		        count = Number(count) + 1;
		        arrayNumber = Number(arrayNumber) + 1;
		    } else {
		        // no table row
		        count = 1;
		        arrayNumber = 0;
		    }
		    $.ajax({
		        url: "../ajax/query.php",
		        type: "post",
		        dataType: "json",
		        success: function(response) {
		            $("#addRowBtn3").button("reset");
		            var tr = '<tr id="row3' + count + '" class="' + arrayNumber + '">' + '<td>' + '<div class="form-group">' + '<select class="form-control select2-single" name="productName[]" id="productName' + count + '" onchange="getProductData(' + count + ')" >' + '<option value="">-- seleccionar --</option>';
		            // console.log(response);
		            $.each(response, function(index, value) {
		                tr += '<option value="' + value[0] + '">' + value[1] + '</option>';
		            });
		            tr += '</select>' + '</div>' + '</td>' + '<td style="padding-left:20px;"">' + '<textarea type="text" name="rate[]" id="rate' + count + '" autocomplete="off" class="form-control" style=" background-color:#A9D0F5; border-radius: 5px; border: 1px solid #39c"></textarea>' + '<input type="hidden" name="rateValue[]" id="rateValue' + count + '" autocomplete="off" class="form-control" />' + '</td>' + '<td>' + '<button class="btn btn-danger waves-effect waves-light removeProductRowBtn3" type="button" onclick="removeProductRow3(' + count + ')"><i class="fa fa-remove"></i></button>' + '</td>' + '</tr>';
		            if (tableLength > 0) {
		                $("#productTable3 tbody tr:last").after(tr);
		            } else {
		                $("#productTable3 tbody").append(tr);
		            }
		        } // /success
		    }); // get the product data
		} // /add row
		function removeProductRow3(row = null) {
		    if (row) {
		        $("#row3" + row).remove();
		        subAmount();
		    } else {
		        alert('error! Refresh the page again');
		    }
		}
		/*--------------------------------------------------------------*/
		/* EDITAR LISTA DE APARATOS
		/*--------------------------------------------------------------*/
		function addRowEdit2() {
		    $("#addRowBtn4").button("loading");
		    var tableLength = $("#productTable4 tbody tr").length;
		    var tableRow;
		    var arrayNumber;
		    var count;
		    if (tableLength > 0) {
		        tableRow = $("#productTable4 tbody tr:last").attr('id');
		        arrayNumber = $("#productTable4 tbody tr:last").attr('class');
		        count = tableRow.substring(3);
		        count = Number(count) + 1;
		        arrayNumber = Number(arrayNumber) + 1;
		    } else {
		        // no table row
		        count = 1;
		        arrayNumber = 0;
		    }
		    $.ajax({
		        url: "../ajax/query.php",
		        type: "post",
		        dataType: "json",
		        success: function(response) {
		            $("#addRowBtn4").button("reset");
		            var tr = '<tr id="row4' + count + '" class="' + arrayNumber + '">' + '<td>' + '<div class="form-group">' + '<select class="form-control" name="id_aparato[]" id="id_aparato' + count + '" onchange="getProductData(' + count + ')" >' + '<option value="">-- seleccionar --</option>';
		            // console.log(response);
		            $.each(response, function(index, value) {
		                tr += '<option value="' + value[0] + '">' + value[1] + '</option>';
		            });
		            tr += '</select>' + '</div>' + '</td>' + '<td style="padding-left:20px;">' + '<div class="form-group">' + '<input type="number" name="cantidad[]" id="cantidad' + count + '" onkeyup="getTotal(' + count + ')" autocomplete="off" class="form-control" min="1" />' + '</div>' + '</td>' + '<td>' + '<button class="btn btn-danger waves-effect waves-light removeProductRowBtn4" type="button" onclick="removeProductRow4(' + count + ')"><i class="fa fa-remove"></i></button>' + '</td>' + '</tr>';
		            if (tableLength > 0) {
		                $("#productTable4 tbody tr:last").after(tr);
		            } else {
		                $("#productTable4 tbody").append(tr);
		            }
		        } // /success
		    }); // get the product data
		} // /add row
		function removeProductRow4(row = null) {
		    if (row) {
		        $("#row4" + row).remove();
		        subAmount();
		    } else {
		        alert('error! Refresh the page again');
		    }
		}
		$('#cobros').on('show.bs.modal', function(event) {
		    var button = $(event.relatedTarget) // Botón que activó el modal
		    var id = button.data('id') // Extraer la información de atributos de datos
		    var modal = $(this)
		})
		$("#guardar_cobros").submit(function(event) {
		    $('#guardar_datosc').attr("disabled", true);
		    var parametros = $(this).serialize();
		    $.ajax({
		        type: "POST",
		        url: "../ajax/nuevo_cobro.php",
		        data: parametros,
		        beforeSend: function(objeto) {
		            $("#mensaje").html('<img src="../../img/ajax-loader.gif"> Cargando...');
		        },
		        success: function(datos) {
		            $("#mensaje").html(datos);
		            $('#guardar_datosc').attr("disabled", false);
		            $('#cobros').modal('hide');
		            load(1);
		            //resetea el formulario
		            $("#guardar_cobros")[0].reset();
		            $("#monto").focus();
		            //desaparecer la alerta
		            window.setTimeout(function() {
		                $(".alert").fadeTo(200, 0).slideUp(200, function() {
		                    $(this).remove();
		                });
		            }, 2000);
		        }
		    });
		    event.preventDefault();
		})

		function imprimir_r(id_consulta) {
		    VentanaCentrada('../pdf/documentos/rep_receta.php?id_consulta=' + id_consulta, 'Reporte', '', '800', '600', 'true');
		}

		function imprimir_recibo(id_ingreso) {
		    VentanaCentrada('../pdf/documentos/rep_comprobante.php?id_ingreso=' + id_ingreso, 'Reporte', '', '800', '600', 'true');
		}

