$(document).ready(function () {
  $("#resultados").load("../ajax/agregar_tmp_des.php");
  $(".total").load("../ajax/carga_total_desp.php");
  $("#datos_factura").load();
  $("#barcode").focus();
  load(1);
});

function load(page) {
  var q = $("#q").val();
  var id_sucursal = $("#id_sucursal").val();
  var categoria = $("#categoria").val();
  $("#loader").fadeIn("slow");
  $.ajax({
    url:
      "../ajax/productos_modal_compras.php?action=ajax&page=" +
      page +
      "&q=" +
      q +
      "&id_sucursal=" +
      id_sucursal +
      "&categoria=" +
      categoria,
    beforeSend: function (objeto) {
      $("#loader").html('<img src="../../img/ajax-loader.gif"> Cargando...');
    },
    success: function (data) {
      $(".outer_div").html(data).fadeIn("slow");
      $("#loader").html("");
    },
  });
}

function agregar(id) {
  var costo_producto = document.getElementById('costo_producto_' + id).value;
  var cantidad = document.getElementById('cantidad_' + id).value;
  //Inicia validacion
  if (isNaN(cantidad)) {
      $.Notification.notify('error', 'bottom center', 'ERROR!', 'LA CANTIDAD DIGITADA NO ES UN FORMATO VALIDO')
      document.getElementById('cantidad_' + id).focus();
      return false;
  }
  if (isNaN(costo_producto)) {
      $.Notification.notify('error', 'bottom center', 'ERROR!', 'EL COSTO DIGITADO NO ES UN FORMATO VALIDO')
      document.getElementById('costo_producto_' + id).focus();
      return false;
  }
  //Fin validacion
  $.ajax({
      type: "POST",
      url: "../ajax/agregar_tmp_modaldes.php",
      data: "id=" + id + "&costo_producto=" + costo_producto + "&cantidad=" + cantidad,
      beforeSend: function(objeto) {
          $("#resultados").html('<img src="../../img/ajax-loader.gif"> Cargando...');
      },
      success: function(datos) {
          $("#resultados").html(datos);
          $.Notification.notify('success', 'bottom center', 'EXITO!', 'PRODUCTO AGREGADO A LA FACTURA CORRECTAMENTE')
      }
  });
}
//CONTROLA EL FORMULARIO DEL CODIGO DE BARRA
$("#barcode_form").submit(function (event) {
  var id = $("#barcode").val();
  var cantidad = $("#barcode_qty").val();
  var id_sucursal = 0;
  //Inicia validacion
  if (isNaN(cantidad)) {
    $.Notification.notify(
      "error",
      "bottom center",
      "NOTIFICACIÓN",
      "LA CANTIDAD NO ES UN NUMERO, INTENTAR DE NUEVO"
    );
    $("#barcode_qty").focus();
    return false;
  }
  //Fin validacion
  parametros = {
    operacion: 1,
    id: id,
    id_sucursal: id_sucursal,
    cantidad: cantidad,
  };
  $.ajax({
    type: "POST",
    url: "../ajax/agregar_tmp_des.php",
    data: parametros,
    beforeSend: function (objeto) {
      $("#resultados").html(
        '<img src="../../img/ajax-loader.gif"> Cargando...'
      );
    },
    success: function (datos) {
      $("#resultados").html(datos);
      $("#id").val("");
      $("#id").focus();
      $("#barcode").val("");
      $("#f_resultado").load("../ajax/incrementa_factura.php"); //Actualizamos el numero de Factura
      $(".total").load("../ajax/carga_total.php");
    },
  });
  event.preventDefault();
});

function eliminar(id) {
  $.ajax({
    type: "GET",
    url: "../ajax/agregar_tmp_des.php",
    data: "id=" + id,
    beforeSend: function (objeto) {
      $("#resultados").html(
        '<img src="../../img/ajax-loader.gif"> Cargando...'
      );
    },
    success: function (datos) {
      $("#resultados").html(datos);
      $(".total").load("../ajax/carga_total.php");
    },
  });
}

$("#datos_factura").submit(function (event) {
  $("#guardar_factura").attr("disabled", true);
 
  var parametros = $(this).serialize();
  $.ajax({
    type: "POST",
    url: "../ajax/guardar_des.php",
    data: parametros,
    beforeSend: function (objeto) {
      $("#resultados_ajaxf").html(
        '<img src="../../img/ajax-loader.gif"> Cargando...'
      );
    },
    success: function (datos) {
      $("#resultados_ajaxf").html(datos);
      $("#guardar_factura").attr("disabled", false);
      //resetea el formulario
      //$('#modal_vuelto').modal('show');
      $("#datos_factura")[0].reset(); //Recet al formilario de el cliente
      $("#barcode_form")[0].reset(); // Recet al formulario de la fatura
      $("#resultados").load("../ajax/agregar_tmp_des.php"); // carga los datos nuevamente
      $("#f_resultado").load("../ajax/incrementa_factura.php"); // carga la caja de incrementar la factura
      $("#resultados2").load("../ajax/carga_caja.php"); // carga la caja total del dia
      $("#barcode").focus();
      load(1);
      //desaparecer la alerta
      $(".alert-success")
        .delay(400)
        .show(10, function () {
          $(this)
            .delay(2000)
            .hide(10, function () {
              $(this).remove();
            });
        }); // /.alert
    },
  });
  event.preventDefault();
});


$("#dataDelete").on("show.bs.modal", function (event) {
  var button = $(event.relatedTarget); // Botón que activó el modal
  var id = button.data("id"); // Extraer la información de atributos de datos
  var modal = $(this);
  modal.find("#id_factura").val(id);
});
$("#eliminarDatos").submit(function (event) {
  var parametros = $(this).serialize();
  $.ajax({
    type: "POST",
    url: "../ajax/anular_factura.php",
    data: parametros,
    beforeSend: function (objeto) {
      $(".datos_ajax_delete").html(
        '<img src="../../img/ajax-loader.gif"> Cargando...'
      );
    },
    success: function (datos) {
      $(".datos_ajax_delete").html(datos);
      $("#dataDelete").modal("hide");
      load(1);
      //desaparecer la alerta
      window.setTimeout(function () {
        $(".alert")
          .fadeTo(200, 0)
          .slideUp(200, function () {
            $(this).remove();
          });
      }, 2000);
    },
  });
  event.preventDefault();
});

function imprimir_factura(user_id) {
  VentanaCentrada(
    "../pdf/documentos/corte_caja.php?user_id=" + user_id,
    "Corte",
    "",
    "724",
    "568",
    "true"
  );
}

