		$(document).ready(function() {
		    $("#cod_resultado").load("../ajax/incrementa_cod_paciente.php");
		    load(1);
		});

		function load(page) {
		    var q = $("#q").val();
			var employee_id=$("#employee_id").val();
		    $("#loader").fadeIn('slow');
		    $.ajax({
		        url: '../ajax/buscar_pacientes.php?action=ajax&page=' + page + '&q=' + q + '&employee_id=' + employee_id,
		        beforeSend: function(objeto) {
		            $('#loader').html('<img src="../../img/ajax-loader.gif"> Cargando...');
		        },
		        success: function(data) {
		            $(".outer_div").html(data).fadeIn('slow');
		            $('#loader').html('');
		            $('[data-toggle="tooltip"]').tooltip({
		                html: true
		            });
		        }
		    })
		}
		$("#guardar_paciente").submit(function(event) {
		    $('#guardar_datos').attr("disabled", true);
		    var parametros = $(this).serialize();
		    $.ajax({
		        type: "POST",
		        url: "../ajax/nuevo_paciente.php",
		        data: parametros,
		        beforeSend: function(objeto) {
		            $("#resultados_ajax").html('<img src="../../img/ajax-loader.gif"> Cargando...');
		        },
		        success: function(datos) {
		            $("#resultados_ajax").html(datos);
		            $('#guardar_datos').attr("disabled", false);
		            load(1);
		            //resetea el formulario
		            $("#guardar_paciente")[0].reset();
		            $("#nombre").focus();
		            //desaparecer la alerta
		            window.setTimeout(function() {
		                $(".alert").fadeTo(200, 0).slideUp(200, function() {
		                    $(this).remove();
		                });
		            }, 2000);
		        }
		    });
		    event.preventDefault();
		})
		$("#editar_paciente").submit(function(event) {
		    $('#actualizar_datos').attr("disabled", true);
		    var parametros = $(this).serialize();
		    $.ajax({
		        type: "POST",
		        url: "../ajax/editar_paciente.php",
		        data: parametros,
		        beforeSend: function(objeto) {
		            $("#resultados_ajax2").html('<img src="../../img/ajax-loader.gif"> Cargando...');
		        },
		        success: function(datos) {
		            $("#resultados_ajax2").html(datos);
		            $('#actualizar_datos').attr("disabled", false);
		            load(1);
		            //desaparecer la alerta
		            window.setTimeout(function() {
		                $(".alert").fadeTo(200, 0).slideUp(200, function() {
		                    $(this).remove();
		                });
		            }, 2000);
		        }
		    });
		    event.preventDefault();
		})
		$("#editar_ant").submit(function(event) {
		    $('#actualizar_datos2').attr("disabled", true);
		    var parametros = $(this).serialize();
		    $.ajax({
		        type: "POST",
		        url: "../ajax/editar_ant.php",
		        data: parametros,
		        beforeSend: function(objeto) {
		            $("#resultados_ajax3").html('<img src="../../img/ajax-loader.gif"> Cargando...');
		        },
		        success: function(datos) {
		            $("#resultados_ajax3").html(datos);
		            $('#actualizar_datos2').attr("disabled", false);
		            load(1);
		            //desaparecer la alerta
		            window.setTimeout(function() {
		                $(".alert").fadeTo(200, 0).slideUp(200, function() {
		                    $(this).remove();
		                });
		            }, 2000);
		        }
		    });
		    event.preventDefault();
		})
		$('#dataDelete').on('show.bs.modal', function(event) {
		    var button = $(event.relatedTarget) // Botón que activó el modal
		    var id = button.data('id') // Extraer la información de atributos de datos
		    var modal = $(this)
		    modal.find('#id_paciente').val(id)
		})
		$("#eliminarDatos").submit(function(event) {
		    var parametros = $(this).serialize();
		    $.ajax({
		        type: "POST",
		        url: "../ajax/eliminar_paciente.php",
		        data: parametros,
		        beforeSend: function(objeto) {
		            $(".datos_ajax_delete").html('<img src="../../img/ajax-loader.gif"> Cargando...');
		        },
		        success: function(datos) {
		            $(".datos_ajax_delete").html(datos);
		            $('#dataDelete').modal('hide');
		            load(1);
		            //desaparecer la alerta
		            window.setTimeout(function() {
		                $(".alert").fadeTo(200, 0).slideUp(200, function() {
		                    $(this).remove();
		                });
		            }, 2000);
		        }
		    });
		    event.preventDefault();
		});

		function obtener_datos(id) {
		    var nombre_paciente = $("#nombre_paciente" + id).val();
		    var dui_paciente = $("#dui_paciente" + id).val();
		    var direccion_paciente = $("#direccion_paciente" + id).val();
		    var tel_paciente = $("#tel_paciente" + id).val();
		    var telf2 = $("#telf2" + id).val();
		    var dr_cabecera = $("#dr_cabecera" + id).val();
		    var encargado_paciente = $("#encargado_paciente" + id).val();
		    var fecha_nacimiento = $("#fecha_nacimiento" + id).val();
		    var edad_paciente = $("#edad_paciente" + id).val();
		    var otros = $("#otros" + id).val();
		    var fec_hemodialisis = $("#fec_hemodialisis" + id).val();
		    var comentarios = $("#comentarios" + id).val();
		    var status_cliente = $("#status_cliente" + id).val();
		    var fecha_cita = $("#fecha_cita" + id).val();
		    $("#mod_nombre").val(nombre_paciente);
		    $("#mod_dui").val(dui_paciente);
		    $("#mod_direccion").val(direccion_paciente);
		    $("#mod_tel").val(tel_paciente);
		    $("#mod_telf").val(telf2);
		    $("#mod_docres").val(dr_cabecera);
		    $("#mod_encargado").val(encargado_paciente);
		    $("#mod_nac").val(fecha_nacimiento);
		    $("#mod_edad").val(edad_paciente);
		    $("#mod_otros").val(otros);
		    $("#mod_fechemo").val(fec_hemodialisis);
		    $("#mod_com").val(comentarios);
		    $("#mod_estado").val(status_cliente);
		    $("#mod_cita").val(fecha_cita);
		    $("#mod_id").val(id);
		}

		function obtener_datos_ant(id) {
		    var alergias_ant = $("#alergias_ant" + id).val();
		    var enfermedades_ant = $("#enfermedades_ant" + id).val();
		    var vacunas_ant = $("#vacunas_ant" + id).val();
		    var quirurgico_ant = $("#quirurgico_ant" + id).val();
		    $("#mod_alegia").val(alergias_ant);
		    $("#mod_enfermedad").val(enfermedades_ant);
		    $("#mod_vacuna").val(vacunas_ant);
		    $("#mod_quir").val(quirurgico_ant);
		    $("#modd_id").val(id);
		}