<?php
/*-------------------------
Autor: Obed Alvarado
Web: obedalvarado.pw
Mail: info@obedalvarado.pw
---------------------------*/
include 'is_logged.php'; //Archivo verifica que el usario que intenta acceder a la URL esta logueado
$session_id = session_id();
/* Connect To Database*/
require_once "../db.php";
require_once "../php_conexion.php";
//Archivo de funciones PHP
require_once "../funciones.php";

if (isset($_POST['id'])) {
    $id = $_POST['id'];
}
if (isset($_POST['cantidad'])) {
    $cantidad = $_POST['cantidad'];
}
if (isset($_POST['costo_producto'])) {
    $precio_venta = $_POST['costo_producto'];
}

if (!empty($id) and !empty($cantidad) and !empty($precio_venta)) {
    //Cmprobamos si agregamos un producto a la tabla tmp_compra
    $comprobar = mysqli_query($conexion, "select * from tmp_compra where id_producto='" . $id . "' and session_id='" . $session_id . "'");
    if ($row = mysqli_fetch_array($comprobar)) {
        $cant = $row['cantidad_tmp'] + $cantidad;

        $sql          = "UPDATE tmp_compra SET cantidad_tmp='" . $cant . "', costo_tmp='" . $precio_venta . "' WHERE id_producto='" . $id . "' and session_id='" . $session_id . "'";
        $query_update = mysqli_query($conexion, $sql);
    } else {

        $insert_tmp = mysqli_query($conexion, "INSERT INTO tmp_compra (id_producto,cantidad_tmp,costo_tmp,session_id) VALUES ('$id','$cantidad','$precio_venta','$session_id')");
    }
}
if (isset($_GET['id'])) //codigo elimina un elemento del array
{
    $id_tmp = intval($_GET['id']);
    $delete = mysqli_query($conexion, "DELETE FROM tmp_compra WHERE id_tmp='" . $id_tmp . "'");
}
$simbolo_moneda = get_row('perfil', 'moneda', 'id_perfil', 1);
?>
<div class="table-responsive">
    <table class="table table-sm">
        <thead style=" background-color:#9E9E9E;" class="thead-black">
            <tr>
                <th class='text-center'>CODIGO</th>
                <th class='text-center'>CANTIDAD</th>
                <th>PRODUCTO</th>
                <th class='text-center'>COSTO UNI.</th>
                <th class='text-right'>TOTAL</th>
                <th></th>
            </tr>
        </thead>
        <tbody>

            <?php
            $sumador_total = 0;
            $sql           = mysqli_query($conexion, "select * from medicamentos, tmp_compra where medicamentos.id_medicamento=tmp_compra.id_producto and tmp_compra.session_id='" . $session_id . "'");
            while ($row = mysqli_fetch_array($sql)) {
                $id_tmp          = $row["id_tmp"];
                $codigo_producto = $row['codigo_medicamento'];
                $cantidad        = $row['cantidad_tmp'];
                $nombre_producto = $row['nombre_medicamento'];

                $precio_costo   = $row['costo_tmp'];
                $precio_costo_f = formato($precio_costo); //Formateo variables
                $precio_costo_r = str_replace(",", "", $precio_costo_f); //Reemplazo las comas
                $precio_total   = $precio_costo_r * $cantidad;
                $precio_total_f = formato($precio_total); //Precio total formateado
                $precio_total_r = str_replace(",", "", $precio_total_f); //Reemplazo las comas
                $sumador_total += $precio_total_r; //Sumador

            ?>
                <tr>
                    <td class='text-center'><?php echo $codigo_producto; ?></td>
                    <td class='text-center' width="15%">
                        <input style=" background-color:#A9DFBF; border-radius: 5px; border: 1px solid #39c; text-align: center" type="text" class="form-control txt_cant2" value="<?php echo $cantidad; ?>" id="<?php echo $id_tmp; ?>">
                    </td>
                    <td><?php echo $nombre_producto; ?></td>
                    <td align="right" width="18%">
                        <input type="text" class="form-control txt_costo" value="<?php echo formato($precio_costo); ?>" id="<?php echo $id_tmp; ?>">
                    </td>
                    <td class='text-right'><?php echo $simbolo_moneda . ' ' . $precio_total_f; ?></td>
                    <td class='text-center'>
                        <a href="#" class='btn btn-danger btn-sm waves-effect waves-light' onclick="eliminar('<?php echo $id_tmp ?>')"><i class="fa fa-remove"></i>
                        </a>
                    </td>
                </tr>
            <?php
            }
            $impuesto      = get_row('perfil', 'impuesto', 'id_perfil', 1);
            $nom_impuesto  = get_row('perfil', 'nom_impuesto', 'id_perfil', 1);
            $subtotal      = formato($sumador_total);
            //$total_iva     = ($subtotal * $impuesto) / 100;
            //$total_iva     = $total_iva;
            $total_factura = $subtotal;

            ?>
            <!--<tr>
                <td class='text-right' colspan=4>SUBTOTAL <?php echo $simbolo_moneda; ?></td>
                <td class='text-right'><b><?php echo $subtotal; ?></b></td>
                <td></td>
            </tr>
            <tr>
                <td class='text-right' colspan=4><?php echo $impuesto; ?>% <?php echo $nom_impuesto; ?> </td>
                <td class='text-right'><?php echo $simbolo_moneda . ' ' . formato(0); ?></td>
                <td></td>
            </tr>
            <tr>
                <td style="font-size: 14pt;" class='text-right' colspan=4><b>TOTAL <?php echo $simbolo_moneda; ?> </b></td>
                <td style="font-size: 14pt;" class='text-right'><b><?php echo $total_factura; ?></b></td>
                <td></td>
            </tr>-->
            <tr>
                <td class='text-right' colspan=4>Sumas</td>
                <td class='text-right'><b><?php echo $simbolo_moneda . ' ' . formato($subtotal); ?></b></td>
                <td></td>
            </tr>
            <tr>
                <td class='text-right' colspan=4>13% IVA</td>
                <td class='text-right'><?php 
                    //$iva = 0.13 * $subtotal; // Cálculo del 13% de IVA
                    echo $simbolo_moneda . ' ' . formato(0); 
                ?></td>
                <td></td>
            </tr>
            <tr>
                <td class='text-right' colspan=4>Sub - Total</td>
                <td class='text-right'><?php 
                    $otros_descuentos = 0; // Cambiar si se aplica algún descuento adicional
                    echo $simbolo_moneda . ' ' . formato($otros_descuentos); 
                ?></td>
                <td></td>
            </tr>
            <tr>
                <td class='text-right' colspan=4>(-) IVA Retenido</td>
                <td class='text-right'><?php 
                    $otros_descuentos = 0; // Cambiar si se aplica algún descuento adicional
                    echo $simbolo_moneda . ' ' . formato($otros_descuentos); 
                ?></td>
                <td></td>
            </tr>
            <tr>
                <td class='text-right' colspan=4>(-) Ventas Excentas</td>
                <td class='text-right'><?php 
                    $otros_descuentos = 0; // Cambiar si se aplica algún descuento adicional
                    echo $simbolo_moneda . ' ' . formato($otros_descuentos); 
                ?></td>
                <td></td>
            </tr>
            <tr>
                <td style="font-size: 20pt;" class='text-right' colspan=4><b>Venta Total <?php echo $simbolo_moneda; ?></b></td>
                <td style="font-size: 20pt; background: #F5B7B1;" class='text-right'><b><?php 
                    $total_factura = $subtotal ; 
                    echo formato($total_factura); 
                ?></b></td>
                <td></td>
            </tr>
        </tbody>
    </table>
</div>
<script>
    $(document).ready(function() {
        $('.txt_costo').off('blur');
        $('.txt_costo').on('blur', function(event) {
            var keycode = (event.keyCode ? event.keyCode : event.which);
            // if(keycode == '13'){
            id_tmp = $(this).attr("id");
            costo = $(this).val();
            //Inicia validacion
            if (isNaN(costo)) {
                $.Notification.notify('error', 'bottom center', 'ERROR!', 'EL COSTO DIGITADO NO ES UN FORMATO VALIDO')
                $(this).focus();
                return false;
            }
            //Fin validacion
            $.ajax({
                type: "POST",
                url: "../ajax/editar_costo_compra.php",
                data: "id_tmp=" + id_tmp + "&costo=" + costo,
                success: function(datos) {
                    $("#resultados").load("../ajax/agregar_tmp_compra.php");
                    $.Notification.notify('success', 'bottom center', 'EXITO!', 'COSTO ACTUALIZADO CORRECTAMENTE')
                }
            });
            // }
        });

        $(".txt_cant2").on("blur", function(event) {
            id_tmp = $(this).attr("id");
            cant = $(this).val();
            //Inicia validacion
            if (isNaN(cant)) {
                $.Notification.notify('error', 'bottom center', 'ERROR', 'DIGITAR LA CANTIDAD')
                $(this).focus();
                return false;
            }
            $.ajax({
                type: "POST",
                url: "../ajax/editar_cant_compra.php",
                data: "id_tmp=" + id_tmp + "&cant=" + cant,
                success: function(datos) {
                    $("#resultados").load("../ajax/agregar_tmp_compra.php");
                    $.Notification.notify('success', 'bottom center', 'EXITO!', 'CANTIDAD ACTUALIZADA CORRECTAMENTE')
                }
            });
        });

    });
</script>