<?php
/*-------------------------
Autor: Delmar Lopez
Web: www.softwys.com
Mail: softwysop@gmail.com
---------------------------*/
include 'is_logged.php'; //Archivo verifica que el usario que intenta acceder a la URL esta logueado
$session_id = session_id();
/* Connect To Database*/
require_once "../db.php";
require_once "../php_conexion.php";
//Archivo de funciones PHP
require_once "../funciones.php";
if (isset($_POST['id'])) {
    $id = $_POST['id'];
}
if (isset($_POST['cantidad'])) {
    $cantidad = $_POST['cantidad'];
}
if (isset($_POST['costo_producto'])) {
    $precio_venta = $_POST['costo_producto'];
}

if (!empty($id) and !empty($cantidad) and !empty($precio_venta)) {
    // consulta para comparar el stock con la cantidad resibida
    $query = mysqli_query($conexion, "select stock_medicamento, inv_medicamento from medicamentos where id_medicamento = '$id'");
    $rw    = mysqli_fetch_array($query);
    $stock = $rw['stock_medicamento'];
    $inv   = $rw['inv_medicamento'];

    //Comprobamos si agregamos un producto a la tabla tmp_compra
    $comprobar = mysqli_query($conexion, "select * from tmp_des, medicamentos where medicamentos.id_medicamento = tmp_des.id_producto and tmp_des.id_producto='" . $id . "' and tmp_des.session_id='" . $session_id . "'");
    if ($row = mysqli_fetch_array($comprobar)) {
        $cant = $row['cantidad_tmp'] + $cantidad;
        // condicion si el stock e menor que la cantidad requerida
        if ($cant > $row['stock_medicamento'] and $inv == 0) {
            echo "<script>swal('LA CATIDAD SUPERA AL STOCK', 'INTENTAR NUEVAMENTE', 'error')
            $('#resultados').load('../ajax/agregar_tmp.php');
            </script>";
            exit;
        } else {
            $sql          = "UPDATE tmp_des SET cantidad_tmp='" . $cant . "', precio_tmp='" . $precio_venta . "' WHERE id_producto='" . $id . "' and session_id='" . $session_id . "'";
            $query_update = mysqli_query($conexion, $sql);
            echo "<script> $.Notification.notify('success','bottom center','NOTIFICACIÓN', 'PRODUCTO AGREGADO A LA FACTURA CORRECTAMENTE')</script>";
        }
        // fin codicion cantaidad

    } else {
        // condicion si el stock e menor que la cantidad requerida
        if ($cantidad > $stock and $inv == 0) {
            echo "<script>swal('LA CATIDAD SUPERA AL STOCK', 'INTENTAR NUEVAMENTE', 'error')
            $('#resultados').load('../ajax/agregar_tmp.php');
            </script>";
            exit;
        } else {
            $insert_tmp = mysqli_query($conexion, "INSERT INTO tmp_des (id_producto,cantidad_tmp,precio_tmp,desc_tmp,session_id, sucursal_tmp) VALUES ('$id','$cantidad','$precio_venta','0','$session_id','1')");
            echo "<script> $.Notification.notify('success','bottom center','NOTIFICACIÓN', 'PRODUCTO AGREGADO A LA FACTURA CORRECTAMENTE')</script>";
        }
        // fin codicion cantaidad
    }
}
if (isset($_GET['id'])) //codigo elimina un elemento del array
{
    $id_tmp = intval($_GET['id']);
    $delete = mysqli_query($conexion, "DELETE FROM tmp_des WHERE id_tmp='" . $id_tmp . "'");
}
$simbolo_moneda = get_row('perfil', 'moneda', 'id_perfil', 1);

?>
<div class="table-responsive">
    <table class="table table-sm">
        <thead style=" background-color:#9E9E9E;" class="thead-black">
        <tr>
            <th class='text-center'>COD</th>
                <th class='text-center'>CANT.</th>
                <th class='text-center'>DESCRIP.</th>
                <th class='text-center'>VALOR <?php echo $simbolo_moneda; ?></th>
                <th class='text-center'>MOTIVO</th>
                <th class='text-right'>TOTAL</th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            <?php
            $impuesto       = get_row('perfil', 'impuesto', 'id_perfil', 1);
            $sumador_total  = 0;
            $total_iva      = 0;
            $total_impuesto = 0;
            $subtotal       = 0;
            $t              = 0;
            $sql            = mysqli_query($conexion, "select * from medicamentos, tmp_des where medicamentos.id_medicamento=tmp_des.id_producto and tmp_des.session_id='" . $session_id . "'");
            while ($row = mysqli_fetch_array($sql)) {
                $id_tmp          = $row["id_tmp"];
                $id_producto     = $row['id_medicamento'];
                $codigo_producto = $row['codigo_medicamento'];
                $cantidad        = $row['cantidad_tmp'];
                $desc_tmp        = $row['desc_tmp'];
                $detalle_tmp        = $row['detalle_tmp'];
                $nombre_producto = $row['nombre_medicamento'];

                $precio_venta = (float)$row['precio_tmp'];
                $precio_total = $precio_venta * $cantidad;
                $final_items = rebajas($precio_total, $desc_tmp);

                $sumador_total += $final_items;
                $subtotal = number_format($sumador_total, 2, '.', '');

                //$total_iva = $row['iva_producto'] == 1 ? iva($precio_venta) : 0;
                //$total_impuesto += rebajas($total_iva, $desc_tmp) * $cantidad;
                //$total_iva_full = rebajas($total_impuesto, $desc_tmp);
                $t = $subtotal * 0.01;
            ?>
                <tr>
                    <td class='text-center'><?php echo $codigo_producto; ?></td>
                    <td class='text-center' width="10%">
                        <input style=" background-color:#A9DFBF; border-radius: 5px; border: 1px solid #39c; text-align: center" type="text" class="form-control txt_cant" value="<?php echo $cantidad; ?>" id="<?php echo $id_tmp; ?>">
                    </td>
                    <td><?php echo $nombre_producto; ?></td>
                    <td class='text-center' width="12%">
                        <div class="input-group">
                        <select id="<?php echo htmlspecialchars($id_tmp); ?>" class="form-control employee_id">
                            <option selected disabled value="<?php echo htmlspecialchars($precio_venta); ?>"><?php echo number_format($precio_venta, 2); ?></option>
                            <?php if ($precios): ?>
                                <option value="<?php echo htmlspecialchars($precios['valor1_producto']); ?>">PV <?php echo number_format($precios['valor1_producto'], 2); ?></option>
                                <option value="<?php echo htmlspecialchars($precios['valor2_producto']); ?>">PM <?php echo number_format($precios['valor2_producto'], 2); ?></option>
                                <option value="<?php echo htmlspecialchars($precios['valor3_producto']); ?>">PE <?php echo number_format($precios['valor3_producto'], 2); ?></option>
                                <option value="<?php echo htmlspecialchars($precios['valor4_producto']); ?>">PP <?php echo number_format($precios['valor4_producto'], 2); ?></option>
                            <?php endif; ?>
                        </select>
                        </div>
                    </td>
                    <td align="right" width="25%">
                        <input type="text" class="form-control txt_desc" value="<?php echo $detalle_tmp; ?>" id="<?php echo $id_tmp; ?>">
                    </td>
                    <td class='text-right'><?php echo $simbolo_moneda . ' ' . number_format($final_items, 2); ?></td>
                    <!--<td class='text-right'><?php echo $simbolo_moneda . ' ' . number_format($total_iva, 2); ?></td>-->
                    <td class='text-center'>
                        <a href="#" class='btn btn-danger btn-sm waves-effect waves-light' onclick="eliminar('<?php echo $id_tmp ?>')"><i class="fa fa-remove"></i>
                        </a>
                    </td>
                </tr>
            <?php
            }

            $total_factura = $subtotal + $total_impuesto;

            ?>
            <tr>
                <td class='text-right' colspan=5>SUBTOTAL</td>
                <td class='text-right'><b><?php echo $simbolo_moneda . ' ' . formato($subtotal, 2); ?></b></td>
                <td></td>
            </tr>
            <tr>
                <td class='text-right' colspan=5>IVA </td>
                <td class='text-right'><?php echo $simbolo_moneda . ' ' . formato($total_impuesto); ?></td>
                <td></td>
            </tr>
            <tr>
                <td style="font-size: 20pt;" class='text-right' colspan=5><b>TOTAL <?php echo $simbolo_moneda; ?></b></td>
                <td style="font-size: 20pt; background: #F5B7B1;" class='text-right'><b><?php echo formato($total_factura); ?></b></td>
                <td></td>
            </tr>
        </tbody>
    </table>
</div>
<script>
    $(document).ready(function() {
        $('.txt_desc').off('blur');
        $('.txt_desc').on('blur', function(event) {
            var keycode = (event.keyCode ? event.keyCode : event.which);
            // if(keycode == '13'){
            id_tmp = $(this).attr("id");
            desc = $(this).val();
            $.ajax({
                type: "POST",
                url: "../ajax/editar_desc_desp.php",
                data: "id_tmp=" + id_tmp + "&desc=" + desc,
                success: function(datos) {
                    $("#resultados").load("../ajax/agregar_tmp_des.php");
                    $("#total").load("../ajax/carga_total.php");
                    $.Notification.notify('success', 'bottom center', 'EXITO!', 'DESCUENTO ACTUALIZADO CORRECTAMENTE')
                }
            });
            // }
        });

        $(".employee_id").on("change", function(event) {
            id_tmp = $(this).attr("id");
            precio = $(this).val();
            $.ajax({
                type: "POST",
                url: "../ajax/editar_precio_desp.php",
                data: "id_tmp=" + id_tmp + "&precio=" + precio,
                success: function(datos) {
                    $("#resultados").load("../ajax/agregar_tmp_des.php");
                    $("#total").load("../ajax/carga_total.php");
                    $.Notification.notify('success', 'bottom center', 'EXITO!', 'PRECIO ACTUALIZADO CORRECTAMENTE')
                }
            });
        });

        $(".txt_cant").on("blur", function(event) {
            id_tmp = $(this).attr("id");
            cant = $(this).val();
            //Inicia validacion
            if (isNaN(cant)) {
                $.Notification.notify('error', 'bottom center', 'ERROR', 'DIGITAR LA CANTIDAD')
                $(this).focus();
                return false;
            }
            $.ajax({
                type: "POST",
                url: "../ajax/editar_cant_desp.php",
                data: "id_tmp=" + id_tmp + "&cant=" + cant,
                success: function(datos) {
                    $("#resultados").load("../ajax/agregar_tmp_des.php");
                    $("#total").load("../ajax/carga_total.php");
                    $.Notification.notify('success', 'bottom center', 'EXITO!', 'CANTIDAD ACTUALIZADA CORRECTAMENTE')
                }
            });
        });

    });
</script>