<?php
// Desactivar toda las notificaciónes del PHP
error_reporting(0);
include 'is_logged.php'; //Archivo verifica que el usario que intenta acceder a la URL esta logueado
/*Inicia validacion del lado del servidor*/
if (empty($_POST['mod_id_consulta'])) {
    $errors[] = "ID vacío";
} else if (empty($_POST['mod_id_paciente'])) {
    $errors[] = "ID de paciente vacío";
} else if (
    !empty($_POST['mod_id_consulta'])
) {
    /* Connect To Database*/
    require_once "../db.php";
    require_once "../php_conexion.php";
    // escaping, additionally removing everything that could be (html/javascript-) code
    $anamnesis   = mysqli_real_escape_string($conexion, (strip_tags($_POST["anamnesis2"], ENT_QUOTES)));
    $fisico      = mysqli_real_escape_string($conexion, (strip_tags($_POST["fisico2"], ENT_QUOTES)));
    $diagnostico = mysqli_real_escape_string($conexion, (strip_tags($_POST["diagnostico2"], ENT_QUOTES)));
    $tratamiento = mysqli_real_escape_string($conexion, (strip_tags($_POST["tratamiento2"], ENT_QUOTES)));
    $obs         = mysqli_real_escape_string($conexion, (strip_tags($_POST["obs2"], ENT_QUOTES)));
    $sist        = intval($_POST['sist2']);
    $diast       = intval($_POST['diast2']);
    $ppm         = intval($_POST['ppm2']);
    $sist        = intval($_POST['sist2']);
    $rpm         = intval($_POST['rpm2']);
    $temp        = intval($_POST['temp2']);
    $altura      = floatval($_POST['altura2']);
    $peso        = floatval($_POST['peso2']);
    $imc         = floatval($_POST['imc2']);
    $id_consulta = intval($_POST['mod_id_consulta']);
    $id_paciente = intval($_POST['mod_id_paciente']);

    $sql = "UPDATE consulta_general SET anamnesis='" . $anamnesis . "',
                                        fisico='" . $fisico . "',
                                        diagnostico='" . $diagnostico . "',
                                        tratamiento='" . $tratamiento . "',
                                        obs='" . $obs . "'
                                        WHERE id_consulta='" . $id_consulta . "'";
    $query_update = mysqli_query($conexion, $sql);

    $sql_detalle = "UPDATE detalle_consulta SET sist_detalle='" . $sist . "',
                                        diast_detalle='" . $diast . "',
                                        ppm_detalle='" . $ppm . "',
                                        rpm_detalle='" . $rpm . "',
                                        temp_detalle='" . $temp . "',
                                        altura_detalle='" . $altura . "',
                                        peso_detalle='" . $peso . "',
                                        imc_detalle='" . $imc . "'
                                        WHERE consulta_id='" . $id_consulta . "'";
    $query_update = mysqli_query($conexion, $sql_detalle);

    $readyToUpdateOrderItem = false;
    // add the quantity from the order item to product table
    for ($x = 0; $x < count($_POST['productName']); $x++) {
        //  Tabla de Medicamentos
        $updateProductQuantitySql  = "SELECT medicamentos.stock_medicamento FROM medicamentos WHERE medicamentos.id_medicamento = " . $_POST['productName'][$x] . "";
        $updateProductQuantityData = $conexion->query($updateProductQuantitySql);

        while ($updateProductQuantityResult = $updateProductQuantityData->fetch_row()) {

            if (count($_POST['productName']) == count($_POST['productName'])) {
                $readyToUpdateOrderItem = true;
            }
        } // /for quantity

        // Eeimina todos los Medicamentor relacionados a la consulta
        for ($x = 0; $x < count($_POST['productName']); $x++) {
            $removeOrderSql = "DELETE FROM recetas_medica WHERE id_consulta = {$id_consulta}";
            $conexion->query($removeOrderSql);
        } // /for quantity

        if ($readyToUpdateOrderItem) {
            //insertar los datos del artículo de la receta
            for ($x = 0; $x < count($_POST['productName']); $x++) {
                $updateProductQuantitySql  = "SELECT medicamentos.stock_medicamento FROM medicamentos WHERE medicamentos.id_medicamento = " . $_POST['productName'][$x] . "";
                $updateProductQuantityData = $conexion->query($updateProductQuantitySql);

                while ($updateProductQuantityResult = $updateProductQuantityData->fetch_row()) {
                    /*$updateQuantity[$x] = $updateProductQuantityResult[0];
                    // Actualiza la cabtidad en la tabla de Medicamentos
                    $updateProductTable = "UPDATE medicamentos SET stock_medicamento = '" . $updateQuantity[$x] . "' WHERE id_medicamento = " . $_POST['productName'][$x] . "";
                    $conexion->query($updateProductTable);*/
                    // add into order_item

                    $orderItemSql = "INSERT INTO recetas_medica (id_consulta, id_paciente, medicamento_receta, cant_receta, indicacion_receta)
                                    VALUES ('$id_consulta', '$id_paciente', '" . $_POST['productName'][$x] . "','0','" . $_POST['rate'][$x] . "')";

                    $conexion->query($orderItemSql);
                } // while
            } // /for quantity
        }

        $conexion->close();

    }
    // /if $_POST

    if ($query_update) {
        $messages[] = "Consulta ha sido actualizada con Exito.";
    } else {
        $errors[] = "Lo siento algo ha salido mal intenta nuevamente.";
    }
} else {
    $errors[] = "Error desconocido.";
}

if (isset($errors)) {

    ?>
            <div class="alert alert-danger" role="alert">
                    <strong>Error!</strong>
                    <?php
foreach ($errors as $error) {
        echo $error;
    }
    ?>
            </div>
            <?php
}
if (isset($messages)) {

    ?>
                <div class="alert alert-success" role="alert">
                        <strong>¡Bien hecho!</strong>
                        <?php
foreach ($messages as $message) {
        echo $message;
    }
    ?>
                </div>
                <?php
}

?>