<?php
include 'is_logged.php'; //Archivo verifica que el usario que intenta acceder a la URL esta logueado
/*Inicia validacion del lado del servidor*/
if (empty($_POST['mod_id'])) {
    $errors[] = "ID vacío";
} else if (empty($_POST['mod_nombre'])) {
    $errors[] = "Nombre vacío";
} else if ($_POST['mod_estado'] == "") {
    $errors[] = "Selecciona un Estado";
} else if (
    !empty($_POST['mod_id']) &&
    !empty($_POST['mod_nombre']) &&
    $_POST['mod_estado'] != ""
) {
    /* Connect To Database*/
    require_once "../db.php";
    require_once "../php_conexion.php";
    // escaping, additionally removing everything that could be (html/javascript-) code
    // escaping, additionally removing everything that could be (html/javascript-) code
    $codigo         = mysqli_real_escape_string($conexion, (strip_tags($_POST["mod_codigo"], ENT_QUOTES)));
    $nombre         = mysqli_real_escape_string($conexion, (strip_tags($_POST["mod_nombre"], ENT_QUOTES)));
    $consentracion  = mysqli_real_escape_string($conexion, (strip_tags($_POST["mod_consentracion"], ENT_QUOTES)));
    $forma          = mysqli_real_escape_string($conexion, (strip_tags($_POST["mod_forma"], ENT_QUOTES)));
    $precentacion   = mysqli_real_escape_string($conexion, (strip_tags($_POST["mod_precentacion"], ENT_QUOTES)));
    $stock          = mysqli_real_escape_string($conexion, (strip_tags($_POST["mod_stock"], ENT_QUOTES)));
    $precio         = mysqli_real_escape_string($conexion, (strip_tags($_POST["mod_precio"], ENT_QUOTES)));
    $estado         = intval($_POST['mod_estado']);
    $control        = intval($_POST['mod_control']);
    $id_medicamento = intval($_POST['mod_id']);

    $sql = "UPDATE medicamentos SET codigo_medicamento='" . $codigo . "',
                                        nombre_medicamento='" . $nombre . "',
                                        conc_medicamento='" . $consentracion . "',
                                        forma_medicamento='" . $forma . "',
                                        presentacion_medicamento='" . $precentacion . "',
                                        stock_medicamento='" . $stock . "',
                                        precio_medicamento='" . $precio . "',
                                        estado_medicamento='" . $estado . "',
                                        inv_medicamento='" . $control . "'
                                        WHERE id_medicamento='" . $id_medicamento . "'";

    $query_update = mysqli_query($conexion, $sql);
    if ($query_update) {
        $messages[] = "Medicamneto ha sido actualizado con Exito.";
    } else {
        $errors[] = "Lo siento algo ha salido mal intenta nuevamente." . mysqli_error($conexion);
    }
} else {
    $errors[] = "Error desconocido.";
}

if (isset($errors)) {

    ?>
            <div class="alert alert-danger" role="alert">
                    <strong>Error!</strong>
                    <?php
foreach ($errors as $error) {
        echo $error;
    }
    ?>
            </div>
            <?php
}
if (isset($messages)) {

    ?>
                <div class="alert alert-success" role="alert">
                        <strong>¡Bien hecho!</strong>
                        <?php
foreach ($messages as $message) {
        echo $message;
    }
    ?>
                </div>
                <?php
}

?>