<?php
include 'is_logged.php'; // Archivo verifica que el usuario que intenta acceder a la URL está logueado

if (empty($_POST['nombre2'])) {
    $errors[] = "Nombres vacíos";
} elseif (!empty($_POST['nombre2'])) {
    require_once "../db.php";
    require_once "../php_conexion.php";

    // Escaping y removiendo todo lo que pueda ser código (html/javascript)
    $nombre = mysqli_real_escape_string($conexion, strip_tags($_POST["nombre2"], ENT_QUOTES));
    $telefono = mysqli_real_escape_string($conexion, strip_tags($_POST["tel2"], ENT_QUOTES));
    $email = mysqli_real_escape_string($conexion, strip_tags($_POST["email2"], ENT_QUOTES));
    $estado = intval($_POST['estado2']);
    $id = intval($_POST['mod_id']);

    // Actualizar los datos del usuario en la base de datos
    $sql = "UPDATE medicos SET nombre='$nombre',
                            telefono='$telefono',
                            email='$email',
                            estado='$estado'
                            WHERE id_medico='$id';";
    $query_update = mysqli_query($conexion, $sql);

    // Si el usuario ha sido actualizado con éxito
    if ($query_update) {
        $messages[] = "La cuenta ha sido modificada con éxito.";
    } else {
        $errors[] = "Lo sentimos, el registro falló. Por favor, regrese y vuelva a intentarlo.";
    }
} else {
    $errors[] = "Un error desconocido ocurrió.";
}

// Mostrar errores si existen
if (isset($errors)) {
    echo '<div class="alert alert-danger" role="alert">';
    echo '<strong>Error!</strong> ';
    foreach ($errors as $error) {
        echo $error . "<br>";
    }
    echo '</div>';
}

// Mostrar mensajes si existen
if (isset($messages)) {
    echo '<div class="alert alert-success" role="alert">';
    echo '<strong>¡Bien hecho!</strong> ';
    foreach ($messages as $message) {
        echo $message . "<br>";
    }
    echo '</div>';
}
?>
