<?php
include 'is_logged.php'; //Archivo verifica que el usario que intenta acceder a la URL esta logueado
/*Inicia validacion del lado del servidor*/
if (empty($_POST['mod_id'])) {
    $errors[] = "ID vacío";
} else if (empty($_POST['mod_nombre'])) {
    $errors[] = "Nombre vacío";
}  else if ($_POST['mod_estado'] == "") {
    $errors[] = "Selecciona el estado del Paciente";
} else if (
    !empty($_POST['mod_id']) &&
    !empty($_POST['mod_nombre']) &&
    $_POST['mod_estado'] != ""
) {
    /* Connect To Database*/
    require_once "../db.php";
    require_once "../php_conexion.php";
    // escaping, additionally removing everything that could be (html/javascript-) code
    //$codigo     = mysqli_real_escape_string($conexion, (strip_tags($_POST["codigo"], ENT_QUOTES)));
    $id_paciente  = intval($_POST['mod_id']);
    $nombre     = mysqli_real_escape_string($conexion, (strip_tags($_POST["mod_nombre"], ENT_QUOTES)));
    $dui   = mysqli_real_escape_string($conexion, (strip_tags($_POST["mod_dui"], ENT_QUOTES)));
    $tel   = mysqli_real_escape_string($conexion, (strip_tags($_POST["mod_tel"], ENT_QUOTES)));
    $telf   = mysqli_real_escape_string($conexion, (strip_tags($_POST["mod_telf"], ENT_QUOTES)));
    $direccion  = mysqli_real_escape_string($conexion, (strip_tags($_POST["mod_direccion"], ENT_QUOTES)));
    $nac = mysqli_real_escape_string($conexion, (strip_tags($_POST["mod_nac"], ENT_QUOTES)));
    $edad       = intval($_POST['mod_edad']);
    $encargado  = mysqli_real_escape_string($conexion, (strip_tags($_POST["mod_encargado"], ENT_QUOTES)));
    $docres     = mysqli_real_escape_string($conexion, (strip_tags($_POST["mod_docres"], ENT_QUOTES)));
    $otros   = mysqli_real_escape_string($conexion, (strip_tags($_POST["mod_otros"], ENT_QUOTES)));
    $fechemo  = mysqli_real_escape_string($conexion, (strip_tags($_POST["mod_fechemo"], ENT_QUOTES)));
    $com      = mysqli_real_escape_string($conexion, (strip_tags($_POST["mod_com"], ENT_QUOTES)));
    $estado     = intval($_POST['mod_estado']);
    $id_medico     = intval($_POST['mod_docres']);
    //$cita        = mysqli_real_escape_string($conexion, (strip_tags($_POST["mod_cita"], ENT_QUOTES)));

    $sql = "UPDATE pacientes SET nombre_paciente='" . $nombre . "',
                                        dui_paciente='" . $dui . "',
                                        direccion_paciente='" . $direccion . "',
                                        tel_paciente='" . $tel . "',
                                        dr_cabecera='" . $docres . "',
                                        encargado_paciente='" . $encargado . "',
                                        tel_familia='" . $telf . "',
                                        fecha_nacimiento='" . $nac . "',
                                        edad_paciente='" . $edad . "',
                                        otros='" . $otros . "',
                                        fec_hemodialisis='" . $fechemo . "',
                                        comentarios='" . $com . "',
                                        estado_paciente='" . $estado . "',
                                        medico_id='" . $id_medico . "'
                                        WHERE id_paciente='" . $id_paciente . "'";
    $query_update = mysqli_query($conexion, $sql);
    if ($query_update) {
        $messages[] = "Paciente ha sido actualizado con Exito.";
    } else {
        $errors[] = "Lo siento algo ha salido mal intenta nuevamente." . mysqli_error($conexion);
    }
} else {
    $errors[] = "Error desconocido.";
}

if (isset($errors)) {

    ?>
            <div class="alert alert-danger" role="alert">
                    <strong>Error!</strong>
                    <?php
foreach ($errors as $error) {
        echo $error;
    }
    ?>
            </div>
            <?php
}
if (isset($messages)) {

    ?>
                <div class="alert alert-success" role="alert">
                        <strong>¡Bien hecho!</strong>
                        <?php
foreach ($messages as $message) {
        echo $message;
    }
    ?>
                </div>
                <?php
}

?>