<?php
require_once "../db.php"; 
require_once "../php_conexion.php"; 
$fecha_inicio = $_POST['fecha_inicio'];
$fecha_fin = $_POST['fecha_fin'];

// Consultar ventas dentro del rango de fechas
$ventas_query = "SELECT id_factura, fecha_factura, monto_factura, id_cliente, numero_factura, concepto 
                 FROM facturas_ventas 
                 WHERE DATE(fecha_factura) BETWEEN '$fecha_inicio' AND '$fecha_fin'";
$ventas_result = mysqli_query($conexion, $ventas_query);
$ventas = [];
while ($venta = mysqli_fetch_assoc($ventas_result)) {
    $ventas[] = $venta;
}

// Consultar gastos dentro del rango de fechas
$gastos_query = "SELECT id_egreso, referencia_egreso, monto, fecha_added 
                 FROM egresos 
                 WHERE DATE(fecha_added) BETWEEN '$fecha_inicio' AND '$fecha_fin'";
$gastos_result = mysqli_query($conexion, $gastos_query);
$gastos = [];
while ($gasto = mysqli_fetch_assoc($gastos_result)) {
    $gastos[] = $gasto;
}

// Devolver los datos como JSON
echo json_encode(['ventas' => $ventas, 'gastos' => $gastos]);
?>
