<?php
include 'is_logged.php'; //Archivo verifica que el usario que intenta acceder a la URL esta logueado
/*Inicia validacion del lado del servidor*/
if (empty($_POST['id_paciente'])) {
    $errors[] = "ID Paciente vacío";
} else if (!empty($_POST['id_paciente'])) {
    /* Connect To Database*/
    require_once "../db.php";
    require_once "../php_conexion.php";
    // escaping, additionally removing everything that could be (html/javascript-) code
    $id_paciente = intval($_POST['id_paciente']);
    $id_medico   = intval($_POST['medico']);
    $mensaje     = mysqli_real_escape_string($conexion, (strip_tags($_POST["mensaje"], ENT_QUOTES)));
    $asunto      = mysqli_real_escape_string($conexion, (strip_tags($_POST["asunto"], ENT_QUOTES)));
    $date_added  = date("Y-m-d H:i:s");
    $user_id     = $_SESSION['id_users'];

    // write new user's data into database
    $sql_cita = "INSERT INTO mensajes (id_paciente, id_medico, asunto, mensaje, fecha_added, estado_sms,  users)
                          values ('$id_paciente', '$id_medico', '$asunto', '$mensaje','$date_added','1','$user_id')";
    $query_new = mysqli_query($conexion, $sql_cita);
    if ($query_new) {
        $messages[] = "Mensaje ha sido Enviado con Exito.";
    } else {
        $errors[] = "Lo siento algo ha salido mal intenta nuevamente." . mysqli_error($conexion);
    }

} else {
    $errors[] = "Error desconocido.";
}

if (isset($errors)) {

    ?>
            <div class="alert alert-danger" role="alert">
             <strong>Error!</strong>
             <?php
foreach ($errors as $error) {
        echo $error;
    }
    ?>
        </div>
        <?php
}
if (isset($messages)) {

    ?>
        <div class="alert alert-success" role="alert">
            <strong>¡Bien hecho!</strong>
            <?php
foreach ($messages as $message) {
        echo $message;
    }
    ?>
        </div>
        <?php
}

?>