<?php
/* Connect To Database*/
require_once "../db.php";
require_once "../php_conexion.php";
require_once "../funciones.php";
$date_added    = date("Y-m-d H:i:s");
$paciente_id   = intval($_REQUEST['paciente_id']);
$titulo        = mysqli_real_escape_string($conexion, (strip_tags($_REQUEST['titulo'], ENT_QUOTES)));
$des           = mysqli_real_escape_string($conexion, (strip_tags($_REQUEST['des'], ENT_QUOTES)));
$target_dir    = "../../img/consulta/";
$image_name    = time() . "_" . basename($_FILES["imagefile"]["name"]);
$target_file   = $target_dir . $image_name;
$imageFileType = pathinfo($target_file, PATHINFO_EXTENSION);
$imageFileZise = $_FILES["imagefile"]["size"];

/* Inicio Validacion*/
// Allow certain file formats
if (($imageFileType != "jpg" && $imageFileType != "png" && $imageFileType != "jpeg" && $imageFileType != "gif") and $imageFileZise > 0) {
    $errors[] = "<p>Lo sentimos, sólo se permiten archivos JPG , JPEG, PNG y GIF.</p>";
} else if ($imageFileZise > 1048576) {
//1048576 byte=1MB
    $errors[] = "<p>Lo sentimos, pero el archivo es demasiado grande. Selecciona logo de menos de 1MB</p>";
} else if (empty($paciente_id)) {
    $errors[] = "<p>ID del producto está vacío.</p>";
} else {

    /* Fin Validacion*/
    if ($imageFileZise > 0) {
        move_uploaded_file($_FILES["imagefile"]["tmp_name"], $target_file);
        move_uploaded_file($_FILES["imagefile"]["tmp_name"], $target_dir . 'hola.jpg');
        $imagen     = basename($_FILES["imagefile"]["name"]);
        $img_update = '../../img/consulta/' . $image_name . ''; //GUARDA ESTA RUTA EN LA BASE DE DATOS

    } else { $img_update = "";}
    $sql              = "INSERT INTO img_consulta (id_paciente, image_path, fecha_added, titulo_img, descripcion_img) VALUES ('$paciente_id','$img_update','$date_added','$titulo','$des')";
    $query_new_insert = mysqli_query($conexion, $sql);

    if ($query_new_insert) {
        ?>
        <div class="alert alert-success alert-dismissible" role="alert">
              <strong>Aviso!</strong> La imagen ha sido guardada con Exito.
          </div>
         <div class="text-center">
             <img  src="../../img/consulta/<?php echo $image_name; ?>" class="thumb-img" width="200" height="250">
        </div>

                        <?php
} else {
        $errors[] = "Lo sentimos, actualización falló. Intente nuevamente. " . mysqli_error($conexion);
    }

}

?>

                <?php
if (isset($errors)) {
    ?>
                    <div class="alert alert-danger">
                        <strong>Error! </strong>
                        <?php
foreach ($errors as $error) {
        echo $error;
    }
    ?>
                    </div>
                    <?php
}
?>
                <?php
if (isset($messages)) {
    ?>
                    <div class="alert alert-success">
                        <strong>Aviso! </strong>
                        <?php
foreach ($messages as $message) {
        echo $message;
    }
    ?>
                    </div>
                    <?php
}
?>