<?php
// Desactivar toda las notificaciónes del PHP
error_reporting(0);
include 'is_logged.php'; //Archivo verifica que el usario que intenta acceder a la URL esta logueado
/*Inicia validacion del lado del servidor*/
if (empty($_POST['id_paciente'])) {
    $errors[] = "ID vacío, Seleccionar Paciente";
} else if (!empty($_POST['id_paciente'])) {
    /* Connect To Database*/
    require_once "../db.php";
    require_once "../php_conexion.php";
    $session_id   = $_SESSION['id_users'];
    $fecha_actual = date('Y-m-d H:i:s');
    // escaping, additionally removing everything that could be (html/javascript-) code
    $id_paciente = intval($_POST['id_paciente']);
    $id_cita     = intval($_POST['id_cita']);
    $anamnesis   = mysqli_real_escape_string($conexion, (strip_tags($_POST["anamnesis"], ENT_QUOTES)));
    $fisico      = mysqli_real_escape_string($conexion, (strip_tags($_POST["fisico"], ENT_QUOTES)));
    $diagnostico = mysqli_real_escape_string($conexion, (strip_tags($_POST["diagnostico"], ENT_QUOTES)));
    $tratamiento = mysqli_real_escape_string($conexion, (strip_tags($_POST["tratamiento"], ENT_QUOTES)));
    $obs         = mysqli_real_escape_string($conexion, (strip_tags($_POST["obs"], ENT_QUOTES)));
    $sist        = intval($_POST['sist']);
    $diast       = intval($_POST['diast']);
    $ppm         = intval($_POST['ppm']);
    $sist        = intval($_POST['sist']);
    $rpm         = intval($_POST['rpm']);
    $temp        = intval($_POST['temp']);
    $altura      = floatval($_POST['altura']);
    $peso        = floatval($_POST['peso']);
    $imc         = floatval($_POST['imc']);
    $start       = mysqli_real_escape_string($conexion, (strip_tags($_POST["start"], ENT_QUOTES)));
    //$end        = mysqli_real_escape_string($conexion, (strip_tags($_POST["end"], ENT_QUOTES)));
    $users      = intval($_SESSION['id_users']);
    $date_added = date("Y-m-d H:i:s");
    $costo      = floatval($_POST['costo']);
    //CALCULAR LOS 15 MINUTOS PARA LA CITA
    $date = new DateTime($start);
    $date->modify('+15 minute');
    $end = $date->format('Y-m-d H:i:s');

    $sql = "INSERT INTO consulta_general VALUES (NULL,'$id_paciente','$anamnesis','$fisico','$diagnostico','$tratamiento','$obs','$users','0','$date_added','$start')";
    // update events table
    $updatecita = "UPDATE events SET status_cita = '1' WHERE id = '" . $id_cita . "'";
    $conexion->query($updatecita);
    // fin
    //Guardamos la nueva cita en la tabla
    $sqlw          = "INSERT INTO events(id_paciente, obs, color, start, end, id_medico) values ('$id_paciente', '', '#0071c5', '$start', '$end', '$users')";
    $insert_events = mysqli_query($conexion, $sqlw);
    //Fin
    #$query_new_insert = mysqli_query($conexion, $sql);

    $consulta_id = '';
    if ($conexion->query($sql) === true) {
        $consulta_id          = $conexion->insert_id;
        $valid['id_consulta'] = $consulta_id;
    }
    $insert_tmp = mysqli_query($conexion, "INSERT INTO tmp_ventas (id_producto,cantidad_tmp,precio_tmp,desc_tmp,session_id, consulta_id) VALUES ('$id_paciente','1','$costo','0','$session_id','$consulta_id')");
    //Guardamos los detalles de la consulta
    $insert_detalle = mysqli_query($conexion, "INSERT INTO detalle_consulta (consulta_id, sist_detalle ,diast_detalle,  ppm_detalle, rpm_detalle, temp_detalle, altura_detalle, peso_detalle, imc_detalle) VALUES ('$consulta_id','$sist','$diast','$ppm','$rpm','$temp','$altura','$peso','$imc')");
    //insertar los datos de los medicamentos
    for ($x = 0; $x < count($_POST['productName']); $x++) {
        $Sql  = "SELECT medicamentos.stock_medicamento FROM medicamentos WHERE medicamentos.id_medicamento = " . $_POST['productName'][$x] . "";
        $data = $conexion->query($Sql);

        while ($result = $data->fetch_row()) {
            /*$updateQuantity[$x] = $result[0] - $_POST['quantity'][$x];
            //Actualiza el stock de medicamento a procesar
            $updateStockMed = "UPDATE medicamentos SET stock_medicamento = '" . $updateQuantity[$x] . "' WHERE id_medicamento = " . $_POST['productName'][$x] . "";
            $conexion->query($updateStockMed);*/

            // add into order_item
            $orderItemSql = "INSERT INTO recetas_medica (id_consulta, id_paciente, medicamento_receta, cant_receta, indicacion_receta)
            VALUES ('$consulta_id', '$id_paciente', '" . $_POST['productName'][$x] . "','0','" . $_POST['rate'][$x] . "')";

            $conexion->query($orderItemSql);

            if ($x == count($_POST['productName'])) {

            }
        } // while
    } // /for quantity

    if ($consulta_id) {
        $messages[] = "Consulta Medica ha sido ingresada con Exito.";
        echo "<script>
        $('#outer_img').load('ajax/upload_img.php')
        $('#historial').load('../ajax/buscar_historial.php')
        </script>";
    } else {
        $errors[] = "Lo siento algo ha salido mal intenta nuevamente." . mysqli_error($conexion);
    }
} else {
    $errors[] = "Error desconocido.";
}

if (isset($errors)) {

    ?>
    <div class="alert alert-danger" role="alert">
       <strong>Error!</strong>
       <?php
foreach ($errors as $error) {
        echo $error;
    }
    ?>
</div>
<?php
}
if (isset($messages)) {

    ?>
    <div class="alert alert-success" role="alert">
        <strong>¡Bien hecho!</strong>
        <?php
foreach ($messages as $message) {
        echo $message;
    }
    ?>
    </div>
    <?php
}

?>