<?php
include 'is_logged.php'; //Archivo verifica que el usario que intenta acceder a la URL esta logueado
/*Inicia validacion del lado del servidor*/
if (empty($_POST['nombre'])) {
    $errors[] = "Nombre vacío";
} else if (!empty($_POST['nombre'])) {
    /* Connect To Database*/
    require_once "../db.php";
    require_once "../php_conexion.php";
    // escaping, additionally removing everything that could be (html/javascript-) code
    $codigo        = mysqli_real_escape_string($conexion, (strip_tags($_POST["codigo"], ENT_QUOTES)));
    $nombre        = mysqli_real_escape_string($conexion, (strip_tags($_POST["nombre"], ENT_QUOTES)));
    $consentracion = mysqli_real_escape_string($conexion, (strip_tags($_POST["consentracion"], ENT_QUOTES)));
    $forma         = mysqli_real_escape_string($conexion, (strip_tags($_POST["forma"], ENT_QUOTES)));
    $precentacion  = mysqli_real_escape_string($conexion, (strip_tags($_POST["precentacion"], ENT_QUOTES)));
    $stock         = mysqli_real_escape_string($conexion, (strip_tags($_POST["stock"], ENT_QUOTES)));
    $precio        = mysqli_real_escape_string($conexion, (strip_tags($_POST["precio"], ENT_QUOTES)));
    $estado        = intval($_POST['estado']);
    $control       = intval($_POST['control']);
    $date_added    = date("Y-m-d H:i:s");
    // check if user or email address already exists
    $sql                   = "SELECT * FROM medicamentos WHERE codigo_medicamento ='" . $codigo . "';";
    $query_check_user_name = mysqli_query($conexion, $sql);
    $query_check_user      = mysqli_num_rows($query_check_user_name);
    if ($query_check_user == true) {
        $errors[] = "Codigo de Medicamento ya está en uso.";
    } else {
        // write new user's data into database

        $sql = "INSERT INTO medicamentos (codigo_medicamento, nombre_medicamento, conc_medicamento, forma_medicamento, presentacion_medicamento, stock_medicamento, precio_medicamento, estado_medicamento, date_added, inv_medicamento)
    VALUES ('$codigo','$nombre','$consentracion','$forma','$precentacion','$stock','$precio','$estado','$date_added','$control')";
        $query_new_insert = mysqli_query($conexion, $sql);

        if ($query_new_insert) {
            $messages[] = "Medicamento ha sido ingresado con Exito.";
        } else {
            $errors[] = "Lo siento algo ha salido mal intenta nuevamente." . mysqli_error($conexion);
        }
    }
} else {
    $errors[] = "Error desconocido.";
}

if (isset($errors)) {

    ?>
            <div class="alert alert-danger" role="alert">
             <strong>Error!</strong>
             <?php
foreach ($errors as $error) {
        echo $error;
    }
    ?>
        </div>
        <?php
}
if (isset($messages)) {

    ?>
        <div class="alert alert-success" role="alert">
            <strong>¡Bien hecho!</strong>
            <?php
foreach ($messages as $message) {
        echo $message;
    }
    ?>
        </div>
        <?php
}

?>