<?php
include "is_logged.php"; //Archivo comprueba si el usuario esta logueado
// checking for minimum PHP version
if (version_compare(PHP_VERSION, '5.3.7', '<')) {
    exit("Sorry, Simple PHP Login does not run on a PHP version smaller than 5.3.7 !");
} else if (version_compare(PHP_VERSION, '5.5.0', '<')) {
    // if you are using PHP 5.3 or PHP 5.4 you have to include the password_api_compatibility_library.php
    // (this library adds the PHP 5.5 password hashing functions to older versions of PHP)
    require_once "../libraries/password_compatibility_library.php";
}

if ($_POST) {
    if (empty($_POST['user_password_new3']) || empty($_POST['user_password_repeat3'])) {
        $errors[] = "Contraseña vacía";
    } elseif ($_POST['user_password_new3'] !== $_POST['user_password_repeat3']) {
        $errors[] = "la contraseña y la repetición de la contraseña no son lo mismo";
    } elseif (strlen($_POST['user_password_new3']) < 6) {
        $errors[] = "La contraseña debe tener como mínimo 6 caracteres";
    } elseif (
        !empty($_POST['user_password_new3'])
        && !empty($_POST['user_password_repeat'])
        && ($_POST['user_password_new3'] === $_POST['user_password_repeat3'])
    ) {
        require_once "../db.php"; //Contiene las variables de configuracion para conectar a la base de datos
        require_once "../conexion.php"; //Contiene funcion que conecta a la base de datos
        $user_password      = $_POST['user_password_new'];
        $user_id            = intval($_POST['user_id']);
        $user_password_hash = password_hash($user_password, PASSWORD_DEFAULT); //Encripta la contraseña
        $query              = mysqli_query($conexion, "select * from usuarios  where id_users='" . $user_id . "'");
        $count              = mysqli_num_rows($query);
        if ($count == 1) {
            $update = mysqli_query($conexion, "update usuarios set con_users='" . $user_password_hash . "' where id_users='" . $user_id . "' ");
            // if is successfully
            if ($update) {
                $messages[] = "La contraseña ha sido cambiada con éxito.";
            } else {
                $errors[] = "Lo sentimos , el registro falló. Por favor, regrese y vuelva a intentarlo.";
            }
        } else {
            $errors[] = "Usuario no encontrado.";
        }

    }
}

if (isset($errors)) {

    ?>
            <div class="alert alert-danger" role="alert">
                <button type="button" class="close" data-dismiss="alert">&times;</button>
                    <strong>Error!</strong>
                    <?php
foreach ($errors as $error) {
        echo $error;
    }
    ?>
            </div>
            <?php
}
if (isset($messages)) {

    ?>
                <div class="alert alert-success" role="alert">
                        <button type="button" class="close" data-dismiss="alert">&times;</button>
                        <strong>¡Bien hecho!</strong>
                        <?php
foreach ($messages as $message) {
        echo $message;
    }
    ?>
                </div>
                <?php
}
?>