<?php
include 'is_logged.php'; // Archivo verifica que el usuario que intenta acceder a la URL está logueado

/* Inicia validación del lado del servidor */
if (empty($_POST['id_paciente'])) {
    $errors[] = "ID paciente vacío";
} else if (!empty($_POST['id_paciente'])) {
    /* Conectar a la base de datos */
    require_once "../db.php";
    require_once "../php_conexion.php";

    // Escapar y limpiar datos
    $id_paciente = intval($_POST["id_paciente"]);
    $fecha = mysqli_real_escape_string($conexion, strip_tags($_POST["fecha"], ENT_QUOTES));
    $numero = intval($_POST["numero"]);
    //$doctor = mysqli_real_escape_string($conexion, strip_tags($_POST["doctor"], ENT_QUOTES));
    $doctor = intval($_POST["id_medico"]);
    $turno = intval($_POST["turno"]);
    $tipo = intval($_POST["tipo"]);
    $date_added = date("Y-m-d H:i:s");
    $precio ='115';
    $session_id = session_id();


// Escapar los valores de $numero, $fecha y $turno
$numero = mysqli_real_escape_string($conexion, $numero);
$fecha = mysqli_real_escape_string($conexion, $fecha);
$turno = mysqli_real_escape_string($conexion, $turno);

// Consulta SQL para verificar si ya existe el número de cita para la fecha y turno dados
$sql_check_cita = "SELECT numero, fecha, turno FROM citas WHERE numero = '$numero' AND fecha = '$fecha' AND turno = '$turno'";
$query_check_cita = mysqli_query($conexion, $sql_check_cita);
$count_check_cita = mysqli_num_rows($query_check_cita);


        // Insertar nueva cita en la base de datos
        $sql_insert_cita = "INSERT INTO citas (fecha, numero, paciente, doctor, turno, tipo, date_added) 
                            VALUES ('$fecha', '$numero', '$id_paciente', '$doctor', '$turno', '$tipo', '$date_added')";

        $query_insert_cita = mysqli_query($conexion, $sql_insert_cita);


        if ($query_insert_cita) {
             // Obtener el id de la última inserción en la tabla 'citas'
                $consulta_id = mysqli_insert_id($conexion);

                // Insertar nueva fila en la tabla 'tmp_ventas' utilizando el 'consulta_id' obtenido
                $sql_insert_tmp = "INSERT INTO tmp_ventas (id_producto, cantidad_tmp, precio_tmp, desc_tmp, session_id, consulta_id, paciente_id) 
                                VALUES ('0', '1', '$precio', '0', '$session_id', '$consulta_id', '$id_paciente')";
                $query_insert_tmp = mysqli_query($conexion, $sql_insert_tmp);
                
            $messages[] = "Cita ha sido ingresada con éxito.";
        } else {
            $errors[] = "Algo salió mal. Intente nuevamente." . mysqli_error($conexion);
        }
    
} else {
    $errors[] = "Error desconocido.";
}

// Mostrar mensajes de error o éxito
if (isset($errors)) {
    ?>
    <div class="alert alert-danger" role="alert">
        <strong>Error!</strong>
        <?php
        foreach ($errors as $error) {
            echo $error;
        }
        ?>
    </div>
<?php
}

if (isset($messages)) {
?>
    <div class="alert alert-success" role="alert">
        <strong>¡Bien hecho!</strong>
        <?php
        foreach ($messages as $message) {
            echo $message;
        }
        ?>
    </div>
<?php
}
?>
