<?php
function get_row($table, $row, $id, $equal)
{
    global $conexion;
    $query = mysqli_query($conexion, "SELECT $row FROM $table WHERE $id='$equal'");
    
    if ($query) {
        $rw = mysqli_fetch_array($query);
        
        if ($rw) {
            $value = $rw[$row];
            return $value;
        } else {
            // Row not found
            return null;
        }
    } else {
        // Query failed
        return null;
    }
}

function monto($table, $mes, $periodo)
{
    global $conexion;
    $fecha_inicial = "$periodo-$mes-1";
    if ($mes == 1 or $mes == 3 or $mes == 5 or $mes == 7 or $mes == 8 or $mes == 10 or $mes == 12) {
        $dia_fin = 31;
    } else if ($mes == 2) {
        if ($periodo % 4 == 0) {
            $dia_fin = 29;
        } else {
            $dia_fin = 28;
        }
    } else {
        $dia_fin = 30;
    }
    $fecha_final = "$periodo-$mes-$dia_fin";

    $query = mysqli_query($conexion, "select sum(monto) as monto from $table where fecha_added between '$fecha_inicial' and '$fecha_final'");
    $row   = mysqli_fetch_array($query);
    $monto = floatval($row['monto']);
    return $monto;
}
/*--------------------------------------------------------------*/
/* Funcion para obtener las Ultimas Consultas
/*--------------------------------------------------------------*/
function ver_citas_hoy()
{
    $fecha_actual = date('Y-m-d');
    global $conexion;
    $sql = mysqli_query($conexion, "select * from events, pacientes where events.id_paciente = pacientes.id_paciente  and date(start) = '$fecha_actual' order by  events.id desc");
    while ($rw = mysqli_fetch_array($sql)) {
        $id_cita     = $rw['id'];
        $nombre      = $rw['nombre_paciente'] . ' ' . $rw['apellido_paciente'];
        $id_paciente = $rw['id_paciente'];
        $start       = $rw['start'];
        $status      = $rw['status_cita'];
        $date        = new DateTime($start);
        $date->modify('+0 minute');
        $hora = $date->format('H:i:s');
        if ($status == 1) {
            $color = '#48C9B0';
        } else {
            $color = '#F1948A';
        }

        ?>
        <tr>
            <td class="text-center" style="background: <?php echo $color; ?>;"><a href="#" data-toggle="tooltip" title="Numero de Cita"><span class="badge badge-pill badge-info"><?php echo $id_cita; ?></span></a></td>
            <td style="font-size: 14pt; background: <?php echo $color; ?>;"><a href="consultas_citas.php?id=<?php echo $id_paciente; ?>&cita=<?php echo $id_cita; ?>" data-toggle="tooltip" title="Realizar la Consulta"><?php echo $nombre; ?></a>
            </td>
            <td style="font-size: 14pt; background: <?php echo $color; ?>;"><?php echo $hora; ?></td>
        </tr>
        <?php

    }
}
/*--------------------------------------------------------------*/
/* Funcion para obtener el total de Pacientes
/*--------------------------------------------------------------*/
function total_pacientes()
{
    global $conexion;
    $orderSql       = "SELECT * FROM pacientes";
    $orderQuery     = $conexion->query($orderSql);
    $countPacientes = $orderQuery->num_rows;

    echo '' . $countPacientes . '';
}
/*--------------------------------------------------------------*/
/* Funcion para obtener el total de consultas
/*--------------------------------------------------------------*/
function total_consultas()
{
    $usu = $_SESSION['id_users'];
    global $conexion;
    $orderSql       = "SELECT * FROM consulta_general where users_id='$usu'";
    $orderQuery     = $conexion->query($orderSql);
    $countConsultas = $orderQuery->num_rows;

    echo '' . $countConsultas . '';
}
/*--------------------------------------------------------------*/
/* Funcion para obtener el total de Pacientes
/*--------------------------------------------------------------*/
function total_consultas_p()
{
    $usu = $_SESSION['id_users'];
    global $conexion;
    $orderSql       = "SELECT * FROM consulta, pacientes where pacientes.id_paciente=consulta.id_paciente and pacientes.id_users='$usu'";
    $orderQuery     = $conexion->query($orderSql);
    $countConsultas = $orderQuery->num_rows;

    echo '' . $countConsultas . '';
}
/*--------------------------------------------------------------*/
/* Funcion para obtener el total de Iamgenes
/*--------------------------------------------------------------*/
function total_img()
{
    $usu = $_SESSION['id_users'];
    global $conexion;
    $orderSql       = "SELECT * FROM img_consulta, pacientes where pacientes.id_paciente=img_consulta.id_paciente and pacientes.id_users='$usu'";
    $orderQuery     = $conexion->query($orderSql);
    $countConsultas = $orderQuery->num_rows;

    echo '' . $countConsultas . '';
}
/*--------------------------------------------------------------*/
/* Funcion para obtener las citas del dia
/*--------------------------------------------------------------*/
function conectados()
{
    $fecha_actual = date('Y-m-d');
    global $conexion;
    $orderSql   = "SELECT * FROM citas where date(fecha) = '$fecha_actual'";
    $orderQuery = $conexion->query($orderSql);
    $countCitas = $orderQuery->num_rows;

    echo '' . $countCitas . '';
}
/*--------------------------------------------------------------*/
/* Funcion para obtener las citas del dia
/*--------------------------------------------------------------*/
function citas_hoy()
{
    $fecha_actual = date('Y-m-d');
    global $conexion;
    $orderSql   = "SELECT * FROM citas2 where date(fecha) = '$fecha_actual'";
    $orderQuery = $conexion->query($orderSql);
    $countCitas = $orderQuery->num_rows;

    echo '' . $countCitas . '';
}
/*--------------------------------------------------------------*/
/* Funcion para obtener el total de Ingresos
/*--------------------------------------------------------------*/
function total_ingresos()
{
    $id_moneda    = get_row('perfil', 'moneda', 'id_perfil', 1);
    $fecha_actual = date('Y-m-d');
    global $conexion;
    $orderSql   = "SELECT * FROM ingresos where date(fecha_added) = '$fecha_actual'";
    $orderQuery = $conexion->query($orderSql);
    $countOrder = $orderQuery->num_rows;

    $totalRevenue = 0;
    while ($orderResult = $orderQuery->fetch_assoc()) {
        $totalRevenue += $orderResult['monto'];
    }

    echo '' . $id_moneda . '' . number_format($totalRevenue, 2) . '';
}
function total_egresos()
{
    $id_moneda    = get_row('perfil', 'moneda', 'id_perfil', 1);
    $fecha_actual = date('Y-m-d');
    global $conexion;
    $orderSql   = "SELECT * FROM egresos where date(fecha_added) = '$fecha_actual'";
    $orderQuery = $conexion->query($orderSql);
    $countOrder = $orderQuery->num_rows;

    $totalEgreso = 0;
    while ($orderResult = $orderQuery->fetch_assoc()) {
        $totalEgreso += $orderResult['monto_egreso'];
    }

    echo '' . $id_moneda . '' . number_format($totalEgreso, 2) . '';
}
function fecha($fecha)
{
    $meses = array("ENE", "FEB", "MAR", "ABR", "MAY", "JUN", "JUL", "AGO", "SEP", "OCT", "NOV", "DIC");
    $a     = substr($fecha, 0, 4);
    $m     = substr($fecha, 5, 2);
    $d     = substr($fecha, 8);
    return $d . " / " . $meses[$m - 1] . " / " . $a;
}
function stock($stock)
{
    if ($stock == 0) {
        return '<span class="badge badge-danger">' . $stock . '</span>';
    } else if ($stock <= 3) {
        return '<span class="badge badge-warning">' . $stock . '</span>';
    } else {
        return '<span class="badge badge-primary">' . $stock . '</span>';
    }
}
function check($check)
{
    if ($check == 1) {
        return 'checked';
    } else {
        return '';
    }
}
/*--------------------------------------------------------------*/
/* Calculo del Descuento
/*--------------------------------------------------------------*/
function rebajas($base, $dto = 0)
{
    $ahorro = ($base * $dto) / 100;
    $final  = $base - $ahorro;
    return $final;
}
function rebajasMoney($base, $dto = 0)
{
    $final = $base - $dto;
    return $final;
}

function convertir_fecha($fecha, $formato = '%d/%m/%Y %H:%M:%s')
{
    $timestamp = strtotime($fecha);
    return strftime($timestamp, $formato);
}

// Función para obtener el nombre del turno
function obtenerNombreTurno($numeroTurno)
{
    switch ($numeroTurno) {
        case 1:
            return '6am';
        case 2:
            return '9am';
        case 3:
            return '1pm';
        default:
            return 'Desconocido';
    }
}
// Función para obtener el nombre del tipo
function obtenerNombreTipo($Tipo)
{
    switch ($Tipo) {
        case 1:
            return 'Agendada';
        case 2:
            return 'Cupo';
        case 3:
            return 'Colocacion';
        default:
            return 'Desconocido';
    }
}
function formato($valor)
{
    return number_format($valor, 2);
    //return number_format($valor, 2, '.', '.');
}
function iva($sin_iva)
{
    $iva     = get_row('perfil', 'impuesto', 'id_perfil', 1);
    $con_iva = $sin_iva + ($iva * ($sin_iva / 100));
    $con_iva = round($con_iva, 2) - $sin_iva;
    return $con_iva;
}

function obtenerNombreMedico($conexion, $id_medico) {
    $query = "SELECT nombre FROM medicos WHERE id_medico = '$id_medico'";
    $result = mysqli_query($conexion, $query);
    if ($row = mysqli_fetch_assoc($result)) {
        return $row['nombre'];
    }
    return "Desconocido";
}
function obtenerTipoCita($conexion, $id_tipo) {
    $query = "SELECT tipo FROM tipos_cita WHERE id_tipo = '$id_tipo'";
    $result = mysqli_query($conexion, $query);
    if ($row = mysqli_fetch_assoc($result)) {
        return $row['tipo'];
    }
    return "No especificado";
}
function condicion($tipo)
{
    if ($tipo == 1) {
        return 'Efectivo';
    } elseif ($tipo == 2) {
        return 'Cheque';
    } elseif ($tipo == 3) {
        return 'Transferencia bancaria';
    } elseif ($tipo == 4) {
        return 'Crédito';
    }
}
function verificarEstadoCaja($conexion) {
    // Consulta para obtener el último ID de caja, el estado de la caja y el ID de la sucursal
    $caja = mysqli_query($conexion, "SELECT caja_id, estado_caja, sucursal_id FROM detalle_caja WHERE estado_caja = 0 ORDER BY caja_id DESC LIMIT 1");
    $rw = mysqli_fetch_array($caja);

    if ($rw && $rw['estado_caja'] == 0) {
        // La caja está activada. Aquí puedes personalizar la información que deseas mostrar
        // echo "La caja está activada. Aquí va la información relevante.";
    } else {
        // La caja no está activada, mostrar un mensaje de alerta
        ?>
        <section class="content">
            <div class="alert alert-warning" align="center">
                <h3>Caja no activada!</h3>
                <p>La apertura de caja no se ha realizado o la caja no está activada. Por favor, póngase en contacto con el administrador.</p>
                <!-- Botones para regresar al inicio o salir -->
                <a href="control_caja.php" class="btn btn-primary">Administrar Caja</a>
                <a href="../../login.php?logout" class="btn btn-danger">Salir</a>
            </div>
        </section>
        <?php
        exit(); // Detener la ejecución después de mostrar el mensaje
    }
}