<?php
session_start();
if (!isset($_SESSION['user_login_status']) and $_SESSION['user_login_status'] != 1) {
    header("location: ../../login.php");
    exit;
}
/* Connect To Database*/
require_once "../db.php"; //Contiene las variables de configuracion para conectar a la base de datos
require_once "../php_conexion.php"; //Contiene funcion que conecta a la base de datos
//Inicia Control de Permisos
include "../permisos.php";
$user_id = $_SESSION['id_users'];
get_cadena($user_id);
$modulo = "Cxc";
permisos($modulo, $cadena_permisos);
//Finaliza Control de Permisos
?>

<?php require 'includes/header_start.php';?>

<?php require 'includes/header_end.php';?>

<!-- Begin page -->
<div id="wrapper">

	<?php require 'includes/menu.php';?>

	<!-- ============================================================== -->
	<!-- Start right Content here -->
	<!-- ============================================================== -->
	<div class="content-page">
		<!-- Start content -->
		<div class="content">
			<div class="container">
				<?php if ($permisos_ver == 1) {
    include "../modal/ver_datos.php";
    ?>
					<div class="col-lg-12">
						<div class="portlet">
							<div class="portlet-heading bg-primary">
								<h3 class="portlet-title">
									Cuentas por Cobrar
								</h3>
								<div class="portlet-widgets">
									<a href="javascript:;" data-toggle="reload"><i class="ion-refresh"></i></a>
									<span class="divider"></span>
									<a data-toggle="collapse" data-parent="#accordion1" href="#bg-primary"><i class="ion-minus-round"></i></a>
									<span class="divider"></span>
									<a href="#" data-toggle="remove"><i class="ion-close-round"></i></a>
								</div>
								<div class="clearfix"></div>
							</div>
							<div id="bg-primary" class="panel-collapse collapse show">
								<div class="portlet-body">
									<form class="form-horizontal" role="form" id="datos_cotizacion">
										<div class="form-group row">
											<div class="col-md-5">
												<div class="input-group">
													<input type="text" class="form-control" id="q" placeholder="Nombre Paciente o # factura" onkeyup='load(1);'>
													<span class="input-group-btn">
														<button type="button" class="btn btn-info waves-effect waves-light" onclick='load(1);'>
															<span class="fa fa-search" ></span> Buscar</button>
														</span>
													</div>
												</div>
												<div class="col-xs-3">
													<div class="input-group">
														<select id="tipo" name="tipo" class="form-control" onchange="load(1);">
															<option value="">-- Estado --</option>
															<option value="">Todas</option>
															<option value="1">Pendientes</option>
															<option value="2">Pagada</option>
														</select>
													</div>
												</div>
												<div class="col-md-2">
													<span id="loader"></span>
												</div>
													<div class="col-md-2">
													<div class="btn-group pull-right">
														<?php if ($permisos_editar == 1) {?>
														<!-- Botón para el reporte -->
														<a href="#" target="_blank" id="reportButton" class="btn btn-primary">
															<i class="fa fa-file-pdf-o"></i> Ver Reporte
														</a>
														<?php }?>
													</div>
												</div>


											</div>
										</form>
										<div id="resultados_ajax"></div>
										<div class="datos_ajax_delete"></div><!-- Datos ajax Final -->
										<div class='outer_div'></div><!-- Carga los datos ajax -->



									</div>
								</div>
							</div>
						</div>
						<?php
} else {
    ?>
						<section class="content">
							<div class="alert alert-danger" align="center">
								<h3>Acceso denegado! </h3>
								<p>No cuentas con los permisos necesario para acceder a este módulo.</p>
							</div>
						</section>
						<?php
}
?>

				</div>
				<!-- end container -->
			</div>
			<!-- end content -->

			<?php require 'includes/pie.php';?>

		</div>
		<!-- ============================================================== -->
		<!-- End Right content here -->
		<!-- ============================================================== -->


	</div>
	<!-- END wrapper -->

	<?php require 'includes/footer_start.php'
?>
	<!-- ============================================================== -->
	<!-- Todo el codigo js aqui-->
	<!-- ============================================================== -->
	<script type="text/javascript" src="../../js/VentanaCentrada.js"></script>
	<script type="text/javascript" src="../../js/cxc.js"></script>
	<script>
		$(document).ready( function () {
			$(".UpperCase").on("keypress", function () {
				$input=$(this);
				setTimeout(function () {
					$input.val($input.val().toUpperCase());
				},50);
			})
		})
	</script>
	<script>
	function reporte(){
		var tipo=$("#tipo").val();
		var q=$("#q").val();
		VentanaCentrada('../pdf/documentos/.php?tipo='+tipo+"&q="+q,'Reporte','','800','600','true');
	}
		function obtener_datos(numero_factura) {
			$(".outer_datos").load("../modal/datos.php?numero_factura=" + numero_factura);
		}

		document.getElementById('reportButton').addEventListener('click', function (e) {
    e.preventDefault(); // Evita el comportamiento predeterminado del enlace

    // Obtén los valores de los campos
    const q = document.getElementById('q').value;
    const tipo = document.getElementById('tipo').value;

    // Construye la URL
    const url = '../reportes/rep_cxc.php?tipo=${tipo}&q=${q}';

    // Abre el reporte en una nueva pestaña
    window.open(url, '_blank');
});

	</script>

	<?php require 'includes/footer_end.php'
?>

