<?php
session_start();
if (!isset($_SESSION['user_login_status']) and $_SESSION['user_login_status'] != 1) {
    header("location: ../../login.php");
    exit;
}

/* Connect To Database*/
require_once "../db.php"; //Contiene las variables de configuracion para conectar a la base de datos
require_once "../php_conexion.php"; //Contiene funcion que conecta a la base de datos
//Inicia Control de Permisos
include "../permisos.php";
$user_id = $_SESSION['id_users'];
get_cadena($user_id);
$modulo = "Inicio";
permisos($modulo, $cadena_permisos);
//Finaliza Control de Permisos
//Archivo de funciones PHP
require_once "../funciones.php";
$usu = $_SESSION['id_users'];
?>
<?php require 'consulta.php';?>
<?php require 'includes/header_start.php';?>
<!-- grafico -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
<script src="https://www.gstatic.com/charts/loader.js"></script>

<?php require 'includes/header_end.php';?>

<!-- Begin page -->
<div id="wrapper" class="forced enlarged">

    <?php require 'includes/menu2.php';?>




    <!-- ============================================================== -->
    <!-- Start right Content here -->
    <!-- ============================================================== -->
    <div class="content-page">
        <!-- Start content -->
        <div class="content">
            <div class="container">
                <?php if ($permisos_ver == 1) {
    ?>
                    <div class="row">

                        <div class="col-lg-6 col-xl-4">
                            <div class="widget-bg-color-icon card-box">
                                <div class="bg-icon bg-icon-purple pull-left">
                                    <i class=" ti-wheelchair text-purple"></i>
                                </div>
                                <div class="text-center">
                                    <h3 class="text-dark text-center"><b class="counter text-purple"><?php total_consultas_p();?></b></h3>
                                    <p class="text-muted mb-0">Total Consultas</p>
                                </div>
                                <div class="clearfix"></div>
                            </div>
                        </div>

                        <div class="col-lg-6 col-xl-4">
                            <a tabindex="-1" href="#">
                                <div class="widget-bg-color-icon card-box">
                                    <div class="bg-icon bg-icon-danger pull-left">
                                        <i class="ti-calendar text-pink"></i>
                                    </div>
                                    <div class="text-center">
                                        <h3 class="text-dark text-center"><b class="counter text-pink"><?php citas_hoy();?></b></h3>
                                        <p class="text-muted mb-0">Citas Pendientes</p>
                                    </div>
                                    <div class="clearfix"></div>
                                </div></a>
                            </div>


                            <div class="col-lg-6 col-xl-4">
                             <a tabindex="-1" href="ver_imagenes.php">
                                <div class="widget-bg-color-icon card-box fadeInDown animated">
                                    <div class="bg-icon bg-icon-primary pull-left">
                                        <i class="ti-image text-info"></i>
                                    </div>
                                    <div class="text-center">
                                        <h3 class="text-dark"><b class="counter text-info"><?php total_img();?></b></h3>
                                        <p class="text-muted mb-0">Imagnes</p>
                                    </div>
                                    <div class="clearfix"></div>
                                </div></a>
                            </div>

                        </div>
                        <!-- end row -->

                        <div class="row">
                            <div class="col-xl-3 col-lg-4">
                                <div class="text-center card-box">
                                    <div class="member-card">
                                        <div class="thumb-xl member-thumb m-b-10 center-block">
                                            <div id="load_img">
                                                <img src="<?php echo $img; ?>" class="rounded-circle img-thumbnail" alt="profile-image">
                                            </div>
                                        </div>

                                        <div class="">
                                            <h5 class="m-b-5"><?php echo $nombre_users ?></h5>
                                            <p class="text-muted">@<?php echo $usuario_users ?></p>
                                        </div>
                                        <button type="button" class="btn btn-danger btn-sm w-sm waves-effect m-t-10 waves-light">Contraseña</button>


                                        <div class="text-left m-t-40">
                                            <p class="text-muted font-13"><strong>Paciente :</strong> <span class="m-l-15"><?php echo $nombre_users ?></span></p>

                                            <p class="text-muted font-13"><strong>Telefono :</strong><span class="m-l-15"><?php echo $tel_users ?></span></p>

                                            <p class="text-muted font-13"><strong>Email :</strong> <span class="m-l-15"><?php echo $email_users ?></span></p>
                                        </div>
                                    </div>

                                </div> <!-- end card-box -->

                            </div> <!-- end col -->

                            <div class="col-lg-8 col-xl-9">
                                <div class="">
                                    <div class="card-box">
                                        <ul class="nav nav-tabs tabs-bordered">
                                            <li class="nav-item">
                                                <a href="#citas" data-toggle="tab" aria-expanded="false" class="nav-link">
                                                    CITA MEDICA
                                                </a>
                                            </li>
                                            <li class="nav-item">
                                                <a href="#consultas" data-toggle="tab" aria-expanded="true" class="nav-link active">
                                                    HISTORIAL DE CONSULTAS
                                                </a>
                                            </li>
                                            <li class="nav-item">
                                                <a href="#settings" data-toggle="tab" aria-expanded="false" class="nav-link">
                                                    HISTORIAL DE SALUD
                                                </a>
                                            </li>
                                        </ul>
                                        <div class="tab-content">
                                            <div class="tab-pane" id="citas">
                                                <div id="resultados_ajax2"></div>
                                                <form class="form-horizontal" method="POST" id="guardar_cita" name="guardar_cita">
                                                    <div class="form-group row">
                                                      <label for="medico" class="col-sm-2 control-label">Medico:</label>
                                                      <div class="col-sm-6">
                                                          <select name='medico' id='medico' class="form-control" required>
                                                            <option value="">-- Selecciona Medico --</option>
                                                            <?php

    $query_users = mysqli_query($conexion, "select * from usuarios  where tipo_users=1 order by nombre_users");
    while ($rw = mysqli_fetch_array($query_users)) {
        ?>
                                                                <option value="<?php echo $rw['id_users']; ?>"><?php echo $rw['nombre_users'] . ' ' . $rw['apellido_users']; ?></option>
                                                                <?php
}
    ?>
                                                        </select>
                                                        <input id="paciente" name="paciente" type='hidden' value="<?php echo $id_users; ?>">
                                                    </div>
                                                </div>

                                                <div class="form-group row">
                                                    <label for="obs" class="col-sm-2 control-label">Observacón:</label>
                                                    <div class="col-sm-6">
                                                      <textarea name="obs" class="form-control" id="obs" maxlength="255" autocomplete="off" placeholder="Observación" required></textarea>
                                                  </div>
                                              </div>

                                              <div class="form-group row">
                                                  <label for="fecha" class="col-sm-2 control-label">Fecha:</label>
                                                  <div class="col-sm-4">
                                                      <input type="date" name="fecha" class="form-control" id="fecha" required>
                                                  </div>
                                              </div>
                                              <div class="form-group row">
                                                  <label for="hora" class="col-sm-2 control-label">Hora:</label>
                                                  <div class="col-sm-4">
                                                      <input type="time" name="hora" class="form-control" id="hora" required>
                                                  </div>
                                              </div>

                                              <div class="form-group">
                                                <div class="col-sm-offset-2 col-sm-6">
                                                    <button type="submit" class="btn btn-success waves-effect waves-light save_datos">Guardar Cita</button>
                                                </div>
                                            </div>
                                        </form>

                                    </div>
                                    <div class="tab-pane active" id="consultas">
                                        <form class="form-horizontal" role="form" id="datos_cotizacion">
                                            <div class="form-group row">
                                                <div class="col-xs-6">
                                                    <div class="input-group">
                                                        <div class="input-group-addon">
                                                            <i class="fa fa-calendar"></i>
                                                        </div>
                                                        <input type="text" class="form-control daterange pull-right" value="<?php echo "01" . date('/m/Y') . ' - ' . date('d/m/Y'); ?>" id="range" readonly>
                                                        <span class="input-group-btn">
                                                            <button class="btn btn-outline-info waves-effect waves-light" type="button" onclick='load(1);'><i class='fa fa-search'></i></button>
                                                        </span>
                                                    </div><!-- /input-group -->
                                                </div>
                                                <div class="col-xs-6">
                                                    <div id="loader" class="text-center"></div>
                                                </div>
                                            </div>
                                        </form>
                                        <div class='outer_div'></div><!-- Carga los datos ajax -->
                                    </div>
                                    <div class="tab-pane" id="settings">
                                        <!--<form name="update_register" id="update_register" class="form-horizontal" method="post" enctype="multipart/form-data">-->
                                        <div id="resultados_ajax"></div>
                                        <div class="tabs-vertical-env">
                                            <ul class="nav tabs-vertical">
                                                <li class="nav-item">
                                                    <a href="#datos" class="nav-link active" data-toggle="tab" aria-expanded="false">Datos Personales</a>
                                                </li>
                                                <li class="nav-item">
                                                    <a href="#dir" class="nav-link" data-toggle="tab" aria-expanded="true">Dirección</a>
                                                </li>
                                                <li class="nav-item">
                                                    <a href="#v-messages" class="nav-link" data-toggle="tab" aria-expanded="false">Representantes</a>
                                                </li>
                                                <li class="nav-item">
                                                    <a href="#v-settings" class="nav-link" data-toggle="tab" aria-expanded="false">Motivo de consulta</a>
                                                </li>
                                                <li class="nav-item">
                                                    <a href="#evaluacion" class="nav-link" data-toggle="tab" aria-expanded="false">Evaluación</a>
                                                </li>
                                                <li class="nav-item">
                                                    <a href="#patologia" class="nav-link" data-toggle="tab" aria-expanded="false">Patologia</a>
                                                </li>
                                                <li class="nav-item">
                                                    <a href="#reacciones" class="nav-link" data-toggle="tab" aria-expanded="false">Reacciones/alergia</a>
                                                </li>
                                                <li class="nav-item">
                                                    <a href="#antecedentes" class="nav-link" data-toggle="tab" aria-expanded="false">Ant. Obstétricos</a>
                                                </li>
                                                <li class="nav-item">
                                                    <a href="#antropometria" class="nav-link" data-toggle="tab" aria-expanded="false">Antropometría</a>
                                                </li>
                                            </ul>

                                            <div class="tab-content">
                                                <div class="tab-pane active" id="datos">

                                                 <div class="card-box">
                                                     <div>
                                                      ----------------------------- <strong>Datos Personales</strong> ----------------------------
                                                  </div><br>
                                                  <form name="update_register" id="update_register" class="form-horizontal" method="post">
                                                      <div class="row">
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label for="field-1" class="control-label">Nombre(s)</label>
                                                                <input type="text" class="form-control" name="mod_nombre" id="mod_nombre" value="<?php echo $nombre_users ?>" required autocomplete="off">
                                                                <input type="hidden" name="mod_id" id="mod_id" value="<?php echo $usu ?>">
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label for="field-2" class="control-label">Apellido(s)</label>
                                                                <input type="text" class="form-control" name="mod_apellido" id="mod_apellido" value="<?php echo $apellido_users ?>" required autocomplete="off">
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label for="field-1" class="control-label">Fecha de Nacimiento:</label>
                                                                <input type="date" class="form-control" name="mod_nacimiento" id="mod_nacimiento" value="<?php echo $fecha_nac_users ?>" required autocomplete="off">
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label for="mod_email" class="control-label">Email</label>
                                                                <input type="text" class="form-control" id="mod_email" name="mod_email" value="<?php echo $email_users ?>" autocomplete="off">
                                                            </div>
                                                        </div>

                                                    </div>
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label for="mod_email" class="control-label">Sexo:</label>
                                                                <select class="form-control" id="mod_sexo" name="mod_sexo" required>
                                                                    <option value="">-- Selecciona --</option>
                                                                    <option value="1" <?php if ($sexo_users == 1) {echo 'selected';}?>>Masculino</option>
                                                                    <option value="2" <?php if ($sexo_users == 2) {echo 'selected';}?>>Femenino</option>
                                                                </select>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label for="mod_civil" class="control-label">Estado civil:</label>
                                                                <select class="form-control" id="mod_civil" name="mod_civil" required>
                                                                    <option value="">-- Selecciona --</option>
                                                                    <option value="1" <?php if ($estado_civil == 1) {echo 'selected';}?>>Soltero</option>
                                                                    <option value="2" <?php if ($estado_civil == 2) {echo 'selected';}?>>Casado</option>
                                                                    <option value="3" <?php if ($estado_civil == 3) {echo 'selected';}?>>Otros</option>
                                                                </select>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label for="mod_movil" class="control-label">Tel. móvil</label>
                                                                <input type="text" class="form-control" id="mod_movil" name="mod_movil" value="<?php echo $tel_users ?>" autocomplete="off">
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                         <div class="form-group">
                                                                <label for="mod_sangre" class="control-label">Sangre:</label>
                                                                <select class="form-control" id="mod_sangre" name="mod_sangre" required>
                                                                    <option value="">-- Selecciona --</option>
                                                                    <option value="1" <?php if ($sangre_paciente == 1) {echo 'selected';}?>>O</option>
                                                                    <option value="2" <?php if ($sangre_paciente == 2) {echo 'selected';}?>>A</option>
                                                                    <option value="3" <?php if ($sangre_paciente == 3) {echo 'selected';}?>>A-</option>
                                                                    <option value="4" <?php if ($sangre_paciente == 4) {echo 'selected';}?>>B-</option>
                                                                    <option value="5" <?php if ($sangre_paciente == 5) {echo 'selected';}?>>B+</option>
                                                                </select>
                                                            </div>
                                                            </div>
                                                    </div>
                                                    <div class="row">
                                                    <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label for="field-2" class="control-label">Cédula</label>
                                                                <input type="text" class="form-control" name="mod_documento" id="mod_documento" value="<?php echo $doc_users ?>" required autocomplete="off">
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="form-group">
                                                                <label for="field-2" class="control-label">Región</label>
                                                                <select class="form-control" id="mod_region" name="mod_region" required>
                                                                    <option value="">-- Selecciona --</option>
                                                                    <option value="1" <?php if ($region_paciente == 1) {echo 'selected';}?>>Sur</option>
                                                                    <option value="2" <?php if ($region_paciente == 2) {echo 'selected';}?>>Norte</option>
                                                                    <option value="3" <?php if ($region_paciente == 3) {echo 'selected';}?>>Este</option>
                                                                </select>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-md-12">
                                                            <div class="form-group">
                                                                <label for="field-1" class="control-label">Imagen</label>
                                                                <input type="file" class='form-control' name="imagefile" id="imagefile" onchange="upload_image(<?php echo $usu; ?>);">
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="form-group" align="center">
                                                        <div class="col-sm-offset-2 col-sm-6">
                                                            <button type="submit" class="btn btn-primary waves-effect waves-light actualizar_datos">Actualizar Datos</button>
                                                        </div>
                                                    </div>
                                                </form>
                                            </div>

                                        </div>
                                        <div class="tab-pane" id="dir">

                                          <div class="card-box">
                                             <form name="update_dir" id="update_dir" class="form-horizontal" method="post">
                                                <div class="row">
                                                    <div class="col-md-12">
                                                        <div class="form-group">
                                                            <label for="mod_direccion" class="control-label">Calle y No.</label>
                                                            <input type="text" class="form-control" id="mod_direccion" name="mod_direccion" autocomplete="off" value="<?php echo $direccion ?>" required>
                                                            <input type="hidden" name="mod_id" id="mod_id" value="<?php echo $usu ?>">
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-md-12">
                                                        <div class="form-group">
                                                            <label for="mod_recidencial" class="control-label">Residencial</label>
                                                            <input type="text" class="form-control" id="mod_recidencial" name="mod_recidencial" autocomplete="off" value="<?php echo $recidencial ?>" required>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-md-12">
                                                        <div class="form-group">
                                                            <label for="mod_sector" class="control-label">Sector</label>
                                                            <input type="text" class="form-control" id="mod_sector" name="mod_sector" value="<?php echo $sector ?>" autocomplete="off">
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <div class="form-group">
                                                            <label for="mod_edificio" class="control-label">Edificio</label>
                                                            <input type="text" class="form-control" id="mod_edificio" value="<?php echo $edificio ?>" name="mod_edificio" autocomplete="off">
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="form-group">
                                                            <label for="mod_apartamento" class="control-label">Apartamento</label>
                                                            <input type="text" class="form-control" id="mod_apartamento" value="<?php echo $apartamento ?>" name="mod_apartamento" autocomplete="off">
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-md-12">
                                                        <div class="form-group">
                                                            <label for="mod_ciudad" class="control-label">Ciudad</label>
                                                            <input type="text" class="form-control" id="mod_ciudad" value="<?php echo $ciudad ?>" name="mod_ciudad" autocomplete="off" required>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label for="mod_area" class="control-label">Área code</label>
                                                            <input type="text" class="form-control" id="mod_area" value="<?php echo $area ?>" name="mod_area" autocomplete="off">
                                                        </div>
                                                    </div>
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label for="mod_telefono" class="control-label">Teléfono</label>
                                                            <input type="text" class="form-control" id="mod_telefono" value="<?php echo $telefono ?>" name="mod_telefono" autocomplete="off">
                                                        </div>
                                                    </div>
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label for="mod_pais" class="control-label">País</label>
                                                            <input type="text" class="form-control" id="mod_pais" value="<?php echo $pais ?>" name="mod_pais" autocomplete="off" required>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="form-group" align="center">
                                                    <div class="col-sm-offset-2 col-sm-6">
                                                        <button type="submit" class="btn btn-primary waves-effect waves-light actualizar_datos">Actualizar Direccion</button>
                                                    </div>
                                                </div>
                                            </form>
                                        </div>


                                    </div>
                                    <div class="tab-pane" id="v-messages">

                                     <div class="card-box">
                                         <form class="form-horizontal" id="editar_rep" method="post" name="editar_rep">
                                             <div align="center">
                                              <strong>Cónyuge, Padres y/o Representantes</strong>
                                          </div><br>
                                          <div class="card-box">
                                              <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="nombre" class="control-label">Nombre</label>
                                                        <input type="text" class="form-control" id="nombre" value="<?php echo $nombre_rep ?>" name="nombre" autocomplete="off" required>
                                                        <input type="hidden" name="mod_id" id="mod_id" value="<?php echo $usu ?>">
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="parentesco" class="control-label">Parentesco</label>
                                                        <input type="text" class="form-control" id="parentesco" value="<?php echo $parentesco_rep ?>" name="parentesco" autocomplete="off" required>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-4">
                                                    <div class="form-group">
                                                        <label for="cedula" class="control-label">Cédula</label>
                                                        <input type="text" class="form-control" id="cedula" value="<?php echo $cedula_rep ?>" name="cedula" autocomplete="off" required>
                                                    </div>
                                                </div>
                                                <div class="col-md-4">
                                                    <div class="form-group">
                                                        <label for="movil" class="control-label">Teléfono móvil</label>
                                                        <input type="text" class="form-control" id="movil" value="<?php echo $movil_rep ?>" name="movil" autocomplete="off" required>
                                                    </div>
                                                </div>
                                                <div class="col-md-4">
                                                    <div class="form-group">
                                                        <label for="laboral" class="control-label">Teléfono laboral</label>
                                                        <input type="text" class="form-control" id="laboral" value="<?php echo $tel_rep ?>" name="laboral" autocomplete="off" required>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="card-box">
                                         <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label for="nombre2" class="control-label">Nombre</label>
                                                    <input type="text" class="form-control" id="nombre2" value="<?php echo $nombre_rep2 ?>" name="nombre2" autocomplete="off">
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label for="parentesco2" class="control-label">Parentesco</label>
                                                    <input type="text" class="form-control" id="parentesco2" value="<?php echo $parentesco_rep2 ?>" name="parentesco2" autocomplete="off">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-4">
                                                <div class="form-group">
                                                    <label for="cedula2" class="control-label">Cédula</label>
                                                    <input type="text" class="form-control" id="cedula2" value="<?php echo $cedula_rep2 ?>" name="cedula2" autocomplete="off">
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <div class="form-group">
                                                    <label for="movil2" class="control-label">Teléfono móvil</label>
                                                    <input type="text" class="form-control" id="movil2" value="<?php echo $movil_rep2 ?>" name="movil2" autocomplete="off">
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <div class="form-group">
                                                    <label for="laboral2" class="control-label">Teléfono laboral</label>
                                                    <input type="text" class="form-control" id="laboral2" value="<?php echo $tel_rep2 ?>" name="laboral2" autocomplete="off">
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="card-box">
                                     <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label for="nombre3" class="control-label">Nombre</label>
                                                <input type="text" class="form-control" id="nombre3" value="<?php echo $nombre_rep3 ?>" name="nombre3" autocomplete="off">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label for="parentesco3" class="control-label">Parentesco</label>
                                                <input type="text" class="form-control" id="parentesco3" value="<?php echo $parentesco_rep3 ?>" name="parentesco3" autocomplete="off">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-4">
                                            <div class="form-group">
                                                <label for="cedula3" class="control-label">Cédula</label>
                                                <input type="text" class="form-control" id="cedula3" value="<?php echo $cedula_rep3 ?>" name="cedula3" autocomplete="off">
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="form-group">
                                                <label for="movil3" class="control-label">Teléfono móvil</label>
                                                <input type="text" class="form-control" id="movil3" value="<?php echo $movil_rep3 ?>" name="movil3" autocomplete="off">
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="form-group">
                                                <label for="laboral3" class="control-label">Teléfono laboral</label>
                                                <input type="text" class="form-control" id="laboral3" value="<?php echo $tel_rep3 ?>" name="laboral3" autocomplete="off">
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="form-group" align="center">
                                    <div class="col-sm-offset-2 col-sm-6">
                                        <button type="submit" class="btn btn-primary waves-effect waves-light actualizar_datos">Actualizar Representante</button>
                                    </div>
                                </div>
                            </form>

                        </div>


                    </div>
                    <div class="tab-pane" id="v-settings">
                        <div class="card-box" >
                            <form class="form-horizontal" method="post" id="guardar_motivos" name="guardar_motivos">
                                <div>
                                  ------------------------------ <strong>Motivo de consulta</strong> ----------------------------
                              </div>
                              <div class="col-md-6">
                                <div class="form-group">
                                   <input type="hidden" name="mod_id" id="mod_id" value="<?php echo $usu ?>">
                               </div>
                           </div>
                           <table class="table table-sm table-striped">
                            <thead>
                                <tr>
                                    <th>Motivos</th>
                                    <th ><input name="Todos" type="checkbox" value="1" id="all_ver" class="check_ver" /> Seleccionar</th>
                                </tr>
                            </thead>
                            <tbody>
                               <?php
$sql   = "select * from motivos";
    $query = mysqli_query($conexion, $sql);
    $num   = 1;
    while ($row = mysqli_fetch_array($query)) {
        $modulo = $row["nombre_motivo"];
        ?>
                                <tr>
                                    <td>
                                        <?php echo $modulo; ?>
                                        <input type='hidden' name='permisos_<?php echo $num; ?>' value='<?php echo $modulo; ?>'>
                                    </td>
                                    <td><input  type ='checkbox' name='view_<?php echo $num; ?>' value='1' class='ck'>
                                    </tr>
                                    <?php
$num++;
    }
    ?>
                            </tbody>
                        </table>
                        <div class="form-group" align="center">
                            <div class="col-sm-offset-2 col-sm-6">
                                <button type="submit" class="btn btn-primary waves-effect waves-light actualizar_datos">Actualizar Motivo</button>
                            </div>
                        </div>
                    </form>


                </div>

            </div>
            <div class="tab-pane" id="evaluacion">

               <div class="card-box">
                <form class="form-horizontal" method="post" id="guardar_enfermedad" name="guardar_enfermedad">
                   <div>
                     <strong>Cualquier situación de salud actual o pasada, tienen una importante interrelación con el procedimiento a realizar; por lo
                         agradecemos su respuesta al completar los cuestionarios.</strong>
                     </div>
                     <div class="col-md-6">
                        <div class="form-group">
                           <input type="hidden" name="mod_id" id="mod_id" value="<?php echo $usu ?>">
                       </div>
                   </div>
                   <table class="table table-sm table-striped">
                    <thead>
                        <tr>
                            <th>Enfermedades Familiares</th>
                            <th ><input name="Todos" type="checkbox" value="1" id="all_ver3" class="check_ver" /> Seleccionar</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php
$sql   = "select * from enfermedades";
    $query = mysqli_query($conexion, $sql);
    $num   = 1;
    while ($row = mysqli_fetch_array($query)) {
        $modulo = $row["nombre_enfermedad"];
        ?>
                            <tr>
                                <td>
                                    <?php echo $modulo; ?>
                                    <input type='hidden' name='permisos_<?php echo $num; ?>' value='<?php echo $modulo; ?>'>
                                </td>
                                <td><input  type ='checkbox' name='view_<?php echo $num; ?>' value='1' class='ck'>
                                </tr>
                                <?php
$num++;
    }
    ?>
                        </tbody>
                    </table>
                    <div class="form-group" align="center">
                        <div class="col-sm-offset-2 col-sm-6">
                            <button type="submit" class="btn btn-primary waves-effect waves-light actualizar_datos">Actualizar Enfermedad</button>
                        </div>
                    </div>
                </form>

            </div>

        </div>
        <div class="tab-pane" id="patologia">

           <div class="card-box" >
             <div>
              <strong>Seleccione si usted padece o ha padecido los siguientes eventos o patologías</strong>
          </div><br>
          <form class="form-horizontal" method="post" id="editar_patlogia" name="editar_patlogia">
              <table class="table table-sm  table-striped">
                <tbody>
                    <tr>
                        <td>Dolores de cabeza frecuentes:</td>
                        <td>
                            <select class="form-control" id="mod_p1" name="mod_p1" required>
                                <option value="">-- Selecciona --</option>
                                <option value="1" <?php if ($p1 == 1) {echo 'selected';}?>>Si</option>
                                <option value="2" <?php if ($p1 == 2) {echo 'selected';}?>>No</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Mareos o desmayos:</td>
                        <td>
                            <select class="form-control" id="mod_p2" name="mod_p2" required>
                                <option value="">-- Selecciona --</option>
                                <option value="1" <?php if ($p2 == 1) {echo 'selected';}?>>Si</option>
                                <option value="2" <?php if ($p2 == 2) {echo 'selected';}?>>No</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Hormigueo, adormecimiento o parálisis de extremidades:</td>
                        <td>
                            <select class="form-control" id="mod_p3" name="mod_p3" required>
                                <option value="">-- Selecciona --</option>
                                <option value="1" <?php if ($p3 == 1) {echo 'selected';}?>>Si</option>
                                <option value="2" <?php if ($p3 == 2) {echo 'selected';}?>>No</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Ataques de epilepsia o convulsiones:</td>
                        <td>
                            <select class="form-control" id="mod_p4" name="mod_p4" required>
                                <option value="">-- Selecciona --</option>
                                <option value="1" <?php if ($p4 == 1) {echo 'selected';}?>>Si</option>
                                <option value="2" <?php if ($p4 == 2) {echo 'selected';}?>>No</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Dolores en el pecho:</td>
                        <td>
                            <select class="form-control" id="mod_p5" name="mod_p5" required>
                                <option value="">-- Selecciona --</option>
                                <option value="1" <?php if ($p5 == 1) {echo 'selected';}?>>Si</option>
                                <option value="2" <?php if ($p5 == 2) {echo 'selected';}?>>No</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Problemas en el corazón:</td>
                        <td>
                            <select class="form-control" id="mod_p6" name="mod_p6" required>
                                <option value="">-- Selecciona --</option>
                                <option value="1" <?php if ($p6 == 1) {echo 'selected';}?>>Si</option>
                                <option value="2" <?php if ($p6 == 2) {echo 'selected';}?>>No</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Presión alta:</td>
                        <td>
                            <select class="form-control" id="mod_p7" name="mod_p7" required>
                                <option value="">-- Selecciona --</option>
                                <option value="1" <?php if ($p7 == 1) {echo 'selected';}?>>Si</option>
                                <option value="2" <?php if ($p7 == 2) {echo 'selected';}?>>No</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Falta de aire (Ahogo) al caminar o subir escaleras:</td>
                        <td>
                            <select class="form-control" id="mod_p8" name="mod_p8" required>
                                <option value="">-- Selecciona --</option>
                                <option value="1" <?php if ($p8 == 1) {echo 'selected';}?>>Si</option>
                                <option value="2" <?php if ($p8 == 2) {echo 'selected';}?>>No</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Hinchazón de los tobillos durante el día:</td>
                        <td>
                            <select class="form-control" id="mod_p9" name="mod_p9" required>
                                <option value="">-- Selecciona --</option>
                                <option value="1" <?php if ($p9 == 1) {echo 'selected';}?>>Si</option>
                                <option value="2" <?php if ($p9 == 2) {echo 'selected';}?>>No</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Dengue:</td>
                        <td>
                            <select class="form-control" id="mod_p10" name="mod_p10" required>
                                <option value="">-- Selecciona --</option>
                                <option value="1" <?php if ($p10 == 1) {echo 'selected';}?>>Si</option>
                                <option value="2" <?php if ($p10 == 2) {echo 'selected';}?>>No</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Chikungunya:</td>
                        <td>
                            <select class="form-control" id="mod_p11" name="mod_p11" required>
                                <option value="">-- Selecciona --</option>
                                <option value="1" <?php if ($p11 == 1) {echo 'selected';}?>>Si</option>
                                <option value="2" <?php if ($p11 == 2) {echo 'selected';}?>>No</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Zika:</td>
                        <td>
                            <select class="form-control" id="mod_p12" name="mod_p12" required>
                                <option value="">-- Selecciona --</option>
                                <option value="1" <?php if ($p12 == 1) {echo 'selected';}?>>Si</option>
                                <option value="2" <?php if ($p12 == 2) {echo 'selected';}?>>No</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Consulta psiquiátrica:</td>
                        <td>
                            <select class="form-control" id="mod_p13" name="mod_p13" required>
                                <option value="">-- Selecciona --</option>
                                <option value="1" <?php if ($p13 == 1) {echo 'selected';}?>>Si</option>
                                <option value="2" <?php if ($p13 == 2) {echo 'selected';}?>>No</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Depresión o nerviosismo:</td>
                        <td>
                            <select class="form-control" id="mod_p14" name="mod_p14" required>
                                <option value="">-- Selecciona --</option>
                                <option value="1" <?php if ($p14 == 1) {echo 'selected';}?>>Si</option>
                                <option value="2" <?php if ($p14 == 2) {echo 'selected';}?>>No</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Insomnio:</td>
                        <td>
                            <select class="form-control" id="mod_p15" name="mod_p15" required>
                                <option value="">-- Selecciona --</option>
                                <option value="1" <?php if ($p15 == 1) {echo 'selected';}?>>Si</option>
                                <option value="2" <?php if ($p15 == 2) {echo 'selected';}?>>No</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Enfermedad pulmonar (Neumonía, Asma, Tos frecuente):</td>
                        <td>
                            <select class="form-control" id="mod_p16" name="mod_p16" required>
                                <option value="">-- Selecciona --</option>
                                <option value="1" <?php if ($p16 == 1) {echo 'selected';}?>>Si</option>
                                <option value="2" <?php if ($p16 == 2) {echo 'selected';}?>>No</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Problemas estomacales o intestinales frecuentes:</td>
                        <td>
                            <select class="form-control" id="mod_p17" name="mod_p17" required>
                                <option value="">-- Selecciona --</option>
                                <option value="1" <?php if ($p17 == 1) {echo 'selected';}?>>Si</option>
                                <option value="2" <?php if ($p17 == 2) {echo 'selected';}?>>No</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Hepatitis o ictericia:</td>
                        <td>
                            <select class="form-control" id="mod_p18" name="mod_p18" required>
                                <option value="">-- Selecciona --</option>
                                <option value="1" <?php if ($p18 == 1) {echo 'selected';}?>>Si</option>
                                <option value="2" <?php if ($p18 == 2) {echo 'selected';}?>>No</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Enfermedad de los riñones o vías urinarias:</td>
                        <td>
                            <select class="form-control" id="mod_p19" name="mod_p19" required>
                                <option value="">-- Selecciona --</option>
                                <option value="1" <?php if ($p19 == 1) {echo 'selected';}?>>Si</option>
                                <option value="2" <?php if ($p19 == 2) {echo 'selected';}?>>No</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Enfermedad de ovarios, útero o mamas:</td>
                        <td>
                            <select class="form-control" id="mod_p20" name="mod_p20" required>
                                <option value="">-- Selecciona --</option>
                                <option value="1" <?php if ($p20 == 1) {echo 'selected';}?>>Si</option>
                                <option value="2" <?php if ($p20 == 2) {echo 'selected';}?>>No</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Enfermedades en genitales:</td>
                        <td>
                            <select class="form-control" id="mod_p21" name="mod_p21" required>
                                <option value="">-- Selecciona --</option>
                                <option value="1" <?php if ($p21 == 1) {echo 'selected';}?>>Si</option>
                                <option value="2" <?php if ($p21 == 2) {echo 'selected';}?>>No</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Limitación motriz o limitación física:</td>
                        <td>
                            <select class="form-control" id="mod_p22" name="mod_p22" required>
                                <option value="">-- Selecciona --</option>
                                <option value="1" <?php if ($p22 == 1) {echo 'selected';}?>>Si</option>
                                <option value="2" <?php if ($p22 == 2) {echo 'selected';}?>>No</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Necesidad de aparatos de asistencia física o prótesis:</td>
                        <td>
                            <select class="form-control" id="mod_p23" name="mod_p23" required>
                                <option value="">-- Selecciona --</option>
                                <option value="1" <?php if ($p23 == 1) {echo 'selected';}?>>Si</option>
                                <option value="2" <?php if ($p23 == 2) {echo 'selected';}?>>No</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Sida:</td>
                        <td>
                            <select class="form-control" id="mod_p24" name="mod_p24" required>
                                <option value="">-- Selecciona --</option>
                                <option value="1" <?php if ($p24 == 1) {echo 'selected';}?>>Si</option>
                                <option value="2" <?php if ($p24 == 2) {echo 'selected';}?>>No</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Enfermedad de la tiroides:</td>
                        <td>
                            <select class="form-control" id="mod_p25" name="mod_p25" required>
                                <option value="">-- Selecciona --</option>
                                <option value="1" <?php if ($p25 == 1) {echo 'selected';}?>>Si</option>
                                <option value="2" <?php if ($p25 == 2) {echo 'selected';}?>>No</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Diabetes Mellitus:</td>
                        <td>
                            <select class="form-control" id="mod_p26" name="mod_p26" required>
                                <option value="">-- Selecciona --</option>
                                <option value="1" <?php if ($p26 == 1) {echo 'selected';}?>>Si</option>
                                <option value="2" <?php if ($p26 == 2) {echo 'selected';}?>>No</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Cambios bruscos del peso:</td>
                        <td>
                            <select class="form-control" id="mod_p27" name="mod_p27" required>
                                <option value="">-- Selecciona --</option>
                                <option value="1" <?php if ($p27 == 1) {echo 'selected';}?>>Si</option>
                                <option value="2" <?php if ($p27 == 2) {echo 'selected';}?>>No</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Fiebre reumática o Lupus:</td>
                        <td>
                            <select class="form-control" id="mod_p28" name="mod_p28" required>
                                <option value="">-- Selecciona --</option>
                                <option value="1" <?php if ($p28 == 1) {echo 'selected';}?>>Si</option>
                                <option value="2" <?php if ($p28 == 2) {echo 'selected';}?>>No</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Cáncer:</td>
                        <td>
                            <select class="form-control" id="mod_p29" name="mod_p29" required>
                                <option value="">-- Selecciona --</option>
                                <option value="1" <?php if ($p29 == 1) {echo 'selected';}?>>Si</option>
                                <option value="2" <?php if ($p29 == 2) {echo 'selected';}?>>No</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Tumores benignos:</td>
                        <td>
                            <select class="form-control" id="mod_p30" name="mod_p30" required>
                                <option value="">-- Selecciona --</option>
                                <option value="1" <?php if ($p30 == 1) {echo 'selected';}?>>Si</option>
                                <option value="2" <?php if ($p30 == 2) {echo 'selected';}?>>No</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Accidentes:</td>
                        <td>
                            <select class="form-control" id="mod_p31" name="mod_p31" required>
                                <option value="">-- Selecciona --</option>
                                <option value="1" <?php if ($p31 == 1) {echo 'selected';}?>>Si</option>
                                <option value="2" <?php if ($p31 == 2) {echo 'selected';}?>>No</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Cirugías:</td>
                        <td>
                            <select class="form-control" id="mod_p32" name="mod_p32" required>
                                <option value="">-- Selecciona --</option>
                                <option value="1" <?php if ($p32 == 1) {echo 'selected';}?>>Si</option>
                                <option value="2" <?php if ($p32 == 2) {echo 'selected';}?>>No</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Sangrado excesivo luego de cirugía o trabajo dental:</td>
                        <td>
                            <select class="form-control" id="mod_p33" name="mod_p33" required>
                                <option value="">-- Selecciona --</option>
                                <option value="1" <?php if ($p33 == 1) {echo 'selected';}?>>Si</option>
                                <option value="2" <?php if ($p33 == 2) {echo 'selected';}?>>No</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Transfusiones sanguíneas:</td>
                        <td>
                            <select class="form-control" id="mod_p34" name="mod_p34" required>
                                <option value="">-- Selecciona --</option>
                                <option value="1" <?php if ($p34 == 1) {echo 'selected';}?>>Si</option>
                                <option value="2" <?php if ($p34 == 2) {echo 'selected';}?>>No</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Complicaciones anestésicas:</td>
                        <td>
                            <select class="form-control" id="mod_p35" name="mod_p35" required>
                                <option value="">-- Selecciona --</option>
                                <option value="1" <?php if ($p35 == 1) {echo 'selected';}?>>Si</option>
                                <option value="2" <?php if ($p35 == 2) {echo 'selected';}?>>No</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Uso de sustancias controladas:</td>
                        <td>
                            <select class="form-control" id="mod_p36" name="mod_p36" required>
                                <option value="">-- Selecciona --</option>
                                <option value="1" <?php if ($p36 == 1) {echo 'selected';}?>>Si</option>
                                <option value="2" <?php if ($p36 == 2) {echo 'selected';}?>>No</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Tiene algún otro problema de salud?:</td>
                        <td>
                            <select class="form-control" id="mod_p37" name="mod_p37" required>
                                <option value="">-- Selecciona --</option>
                                <option value="1" <?php if ($p37 == 1) {echo 'selected';}?>>Si</option>
                                <option value="2" <?php if ($p37 == 2) {echo 'selected';}?>>No</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <label for="mod_pais" class="control-label">Especifique:</label>
                            <input type="text" class="form-control" id="mod_otro" value="<?php echo $otros ?>" name="mod_otro" autocomplete="off">

                        </td>
                    </tr>
                </tbody>
            </table>
            <div class="form-group" align="center">
                <div class="col-sm-offset-2 col-sm-6">
                    <button type="submit" class="btn btn-primary waves-effect waves-light actualizar_datos">Actualizar Patologias</button>
                    <input type="hidden" name="mod_id" id="mod_id" value="<?php echo $usu ?>">
                </div>
            </div>
        </form>

    </div>

</div>

<div class="tab-pane" id="reacciones">

   <div class="card-box" >
       <form class="form-horizontal" method="post" id="editar_reacciones" name="editar_reacciones">
        <div>
            <strong>Reacciones a fármacos/Alergias/Sensibilidad al látex.</strong>
            Algunos pacientes no pueden tomar medicamentos como la penicilina u otros fármacos debido a reacciones alérgicas. Otros pacientes tienen
            intolerancias como náuseas y/o vómitos debido a medicamentos como son los analgésicos narcóticos. Mencione las sustancias conocidas a las que usted presenta intolerancias , alergias o es sensible.
        </div>
        <div class="form-group row">
            <div class="col-sm-12">
                <textarea name="alergias" class="form-control" id="alergias" maxlength="255" autocomplete="off" placeholder="Especifique"><?php echo $alergias ?></textarea>
            </div>
        </div>
        <div>
          <input type="checkbox" name="latex" id="latex" value="1" <?php echo check($latex) ?>>
          <strong>No tengo alergias o reacciones conocidas a fármacos, sustancias ni sensibilidad al látex.</strong>
      </div><br>
      <div>
        <strong>Medicamentos recetados</strong>
        Algunos medicamentos pueden presentar efectos colaterales o secundarios determinantes para el momento quirúrgico o su evolución. Mencione
        los medicamentos que toma actualmente.
    </div>
    <div class="form-group row">
        <div class="col-sm-12">
            <textarea name="recetados" class="form-control" id="recetados"  maxlength="255" autocomplete="off" placeholder="Especifique"><?php echo $recetados ?></textarea>
        </div>
    </div>
    <div>
     <input type="checkbox" name="med" id="med" value="1" <?php echo check($med) ?>>
     <strong>Actualmente no estoy tomando medicamentos recetados.</strong>
 </div><br>
 <div>
    <strong>Medicamentos de venta libre/ Suplementos dietéticos/ Vitaminas / "Hierbas"/ Minerales.</strong>
    Muchos pacientes toman medicamentos de venta libre como aspirina, antiinflamatorios ( Advil, Motrin, Alleve) y otras preparaciones
    que se pueden comprar sin receta. Muchas de dichas preparaciones o medicamentos pueden tener efectos importantes y riesgo de
    hemorragias durante o después de la cirugía, o pueden interactuar con los medicamentos recetados. Suspenda el uso de todos los medicamentos
    de venta libre, suplementos dietéticos, vitaminas , hierbas y minerales durante un mínimo de 10 días antes y después de la cirugía.
    Si actualmente está tomando medicamentos o preparaciones de esta categoría menciónelos a continuación.
</div>
<div class="form-group row">
    <div class="col-sm-12">
        <textarea name="suplementos" class="form-control" id="suplementos" maxlength="255" autocomplete="off" placeholder="Especifique"><?php echo $suplementos ?></textarea>
    </div>
</div>
<div>
    <input type="checkbox" name="libres" id="libres" value="1" <?php echo check($libres) ?>>
    <strong>Actualmente no estoy tomando medicamentos de venta libre, suplementos dietéticos, vitaminas, hierbas o minerales.</strong>
</div><br>
<div>
    <strong>Hábito de fumar, exposición a humo ingerido por terceros, productos de nicotina ( Parches, chiclets, aerosol nasal).</strong>
    Los pacientes que actualmente fuman, consumen productos de tabaco o productos de nicotina ( parches, chiclets, o aerosol nasal) tienen un mayor riesgo de complicaciones quirúrgicas importantes, como muerte de la piel y cicatrización lenta. Las personas expuestas al humo ingerido por terceros también presentan el riesgo potencial de complicaciones similares atribuibles a la exposición a la nicotina. Además, el hábito de fumar puede tener efecto negativo significativo sobre la anestesia y la recuperación de la anestesia con tos y posiblemente mayor hemorragia. Las personas que no están expuestas al humo del tabaco o a productos que contienen nicotina tienen un riesgo significativamente menor de este tipo de complicación. Indique su estado actual con respecto a estos puntos a continuación:
</div>
<div>
    <input type="checkbox" name="narcoticos" id="narcoticos" value="1" <?php echo check($narcoticos) ?>>
    <strong>No soy fumador y no uso productos de nicotina. Comprendo el riesgo de que la exposición al humo ingerido por terceros cause
        complicaciones quirúrgicas.</strong>
    </div><br>
    <div>
        <input type="checkbox" name="tabaco" id="tabaco" value="1" <?php echo check($tabaco) ?>>
        <strong>Soy fumador o uso productos de tabaco/nicotina. Comprendo el riesgo de complicaciones quirúrgicas debido al hábito de fumar o al uso
            de productos de nicotina.</strong>
        </div>
        <div>
            <strong>Métodos anticonceptivos</strong>
            Las pastillas anticonceptivas o métodos de planificación basados en compuestos hormonales pueden causar la formación de coágulos o tromboembolismo
            y es conveniente suspenderlas 6 semanas antes de operarse. Si toma pastillas anticonceptivas o métodos hormonales indique nombre
            del producto.
        </div>
        <div class="form-group row">
            <div class="col-sm-12">
                <textarea name="metodo" class="form-control" id="metodo" maxlength="255" autocomplete="off" placeholder="Especifique"><?php echo $metodo ?></textarea>
            </div>
        </div>
        <div>
            <input type="checkbox" name="emb" id="emb" value="1" <?php echo check($emb) ?>>
            <strong>En la actualidad no estoy embarazada</strong>
        </div><br>
        <div class="form-group" align="center">
            <div class="col-sm-offset-2 col-sm-6">
                <button type="submit" class="btn btn-primary waves-effect waves-light actualizar_datos">Actualizar Reacciones</button>
                <input type="hidden" name="mod_id" id="mod_id" value="<?php echo $usu ?>">
            </div>
        </div>
    </form>


</div>

</div>

<div class="tab-pane" id="antecedentes">

   <div class="card-box" >
       <form class="form-horizontal" method="post" id="editar_antecedentes" name="editar_antecedentes">

           <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label for="field-1" class="control-label">Fecha de última menstruación</label>
                    <input type="date" class="form-control" name="fecha_p" value="<?php echo $fecha_p ?>" id="fecha_p" value="" required autocomplete="off">
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <div class="form-group">
                    <label for="field-1" class="control-label">No. Embarazos</label>
                    <input type="text" class="form-control" id="embarazos" value="<?php echo $embarazos_obs ?>" name="embarazos" autocomplete="off" pattern="^[0-9]{1,5}(\.[0-9]{0,2})?$" title="Ingresa sólo números con 0 ó 2 decimales" maxlength="8">
                </div>
            </div>
            <div class="col-md-4">
                <div class="form-group">
                    <label for="field-2" class="control-label">No. Partos</label>
                    <input type="text" class="form-control" id="partos" value="<?php echo $partos_obs ?>" name="partos" autocomplete="off" pattern="^[0-9]{1,5}(\.[0-9]{0,2})?$" title="Ingresa sólo números con 0 ó 2 decimales" maxlength="8">
                </div>
            </div>
            <div class="col-md-4">
                <div class="form-group">
                    <label for="field-2" class="control-label">No. Abortos</label>
                    <input type="text" class="form-control" id="abortos" value="<?php echo $abortos_obs ?>" name="abortos" autocomplete="off" pattern="^[0-9]{1,5}(\.[0-9]{0,2})?$" title="Ingresa sólo números con 0 ó 2 decimales" maxlength="8">
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label for="field-1" class="control-label">No. Cesáreas</label>
                    <input type="text" class="form-control" id="cesareas" value="<?php echo $cesareas_obs ?>" name="cesareas" autocomplete="off" pattern="^[0-9]{1,5}(\.[0-9]{0,2})?$" title="Ingresa sólo números con 0 ó 2 decimales" maxlength="8">
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label for="field-2" class="control-label">En la actualidad estoy embarazada</label>
                    <select class="form-control" id="actualidad" name="actualidad" required>
                        <option value="">-- Selecciona --</option>
                        <option value="1" <?php if ($actualidad_obs == 1) {echo 'selected';}?>>Si</option>
                        <option value="0" <?php if ($actualidad_obs == 0) {echo 'selected';}?>>No</option>
                    </select>
                </div>
            </div>
        </div>

        <div class="form-group" align="center">
            <div class="col-sm-offset-2 col-sm-6">
                <button type="submit" class="btn btn-primary waves-effect waves-light actualizar_datos">Actualizar Reacciones</button>
                <input type="hidden" name="mod_id" id="mod_id" value="<?php echo $usu ?>">
            </div>
        </div>
    </form>


</div>

</div>

<div class="tab-pane" id="antropometria">

 <div class="card-box" >
     <div align="center">
      <strong>-RESERVADO PARA USO OFICIAL SOLAMENTE-</strong>

  </div><br>
  <form class="form-horizontal" method="post" id="editar_antropometria" name="editar_antropometria">
    <div class="row">
        <div class="col-md-4">
            <div class="form-group">
                <label for="field-1" class="control-label">Peso:</label>
                <input type="text" class="form-control" id="peso" value="<?php echo $peso ?>" name="peso" autocomplete="off" pattern="^[0-9]{1,5}(\.[0-9]{0,2})?$" title="Ingresa sólo números con 0 ó 2 decimales" maxlength="8" required>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label for="field-1" class="control-label">Estatura:</label>
                <input type="text" class="form-control" id="estatura" value="<?php echo $estatura ?>" name="estatura" autocomplete="off" pattern="^[0-9]{1,5}(\.[0-9]{0,2})?$" title="Ingresa sólo números con 0 ó 2 decimales" maxlength="8" required>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label for="field-1" class="control-label">IMC:</label>
                <input type="text" class="form-control" id="imc" value="<?php echo $imc ?>" name="imc" autocomplete="off" pattern="^[0-9]{1,5}(\.[0-9]{0,2})?$" title="Ingresa sólo números con 0 ó 2 decimales" maxlength="8" required>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-4">
            <div class="form-group">
                <label for="field-2" class="control-label">Cintura</label>
                <input type="text" class="form-control" id="cintura" value="<?php echo $cintura ?>" name="cintura" autocomplete="off" pattern="^[0-9]{1,5}(\.[0-9]{0,2})?$" title="Ingresa sólo números con 0 ó 2 decimales" maxlength="8" required>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label for="field-1" class="control-label">Talla Brasiere</label>
                <input type="text" class="form-control" id="talla" value="<?php echo $talla ?>" name="talla" autocomplete="off" pattern="^[0-9]{1,5}(\.[0-9]{0,2})?$" title="Ingresa sólo números con 0 ó 2 decimales" maxlength="8" required>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label for="field-1" class="control-label">Talla Copa</label>
                <input type="text" class="form-control" id="copa" value="<?php echo $copa ?>" name="copa" autocomplete="off" pattern="^[0-9]{1,5}(\.[0-9]{0,2})?$" title="Ingresa sólo números con 0 ó 2 decimales" maxlength="8" required>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12">
            <div class="form-group">
                <label for="field-2" class="control-label">Diagnósticos</label>
                <textarea name="diagnosticos" class="form-control" id="diagnosticos" maxlength="255" autocomplete="off" required><?php echo $diagnosticos ?></textarea>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12">
            <div class="form-group">
                <label for="field-2" class="control-label">Procedimientos
                    a realizar</label>
                    <textarea name="procedimiento" class="form-control" id="procedimiento" maxlength="255" autocomplete="off" required><?php echo $procedimiento ?></textarea>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label for="field-2" class="control-label">Autorizado por Medicina Interna</label>
                    <select class="form-control" id="interna" name="interna" required>
                        <option value="">-- Selecciona --</option>
                        <option value="1" <?php if ($interna == 1) {echo 'selected';}?>>Si</option>
                        <option value="0" <?php if ($interna == 0) {echo 'selected';}?>>No</option>
                    </select>
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label for="field-2" class="control-label">Autorizado por Anestesiología</label>
                    <select class="form-control" id="anestecia" name="anestecia" required>
                        <option value="">-- Selecciona --</option>
                        <option value="1" <?php if ($anestecia == 1) {echo 'selected';}?>>Si</option>
                        <option value="0" <?php if ($anestecia == 0) {echo 'selected';}?>>No</option>
                    </select>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <div class="form-group">
                    <label for="field-2" class="control-label">Analíticas completas</label>
                    <select class="form-control" id="analitica" name="analitica" required>
                        <option value="">-- Selecciona --</option>
                        <option value="1" <?php if ($analitica == 1) {echo 'selected';}?>>Si</option>
                        <option value="0" <?php if ($analitica == 0) {echo 'selected';}?>>No</option>
                    </select>
                </div>
            </div>
            <div class="col-md-8">
                <div class="form-group">
                    <label for="field-2" class="control-label">Comentarios</label>
                    <textarea name="comentario" class="form-control" id="comentario" maxlength="255" autocomplete="off"><?php echo $comentario ?></textarea>
                </div>
            </div>
        </div>

                <!--<div class="form-group" align="center">
                    <div class="col-sm-offset-2 col-sm-6">
                        <button type="submit" class="btn btn-primary waves-effect waves-light actualizar_datos">Actualizar Infomación</button>
                        <input type="hidden" name="mod_id" id="mod_id" value="<?php echo $usu ?>">
                    </div>
                </div>-->
            </form>
        </div>

    </div>


</div>
</div><!-- fin de arcodion-->

</div>

</div>
</div>
</div>
</div>

</div> <!-- end col -->




</div>
<?php
} else {
    ?>
    <section class="content">
        <div class="alert alert-danger" align="center">
            <h3>Acceso denegado! </h3>
            <p>Su cuenta no esta Activada para acceder a su Perfil.</p>
        </div>
    </section>
    <?php
}
?>
</div>
<!-- end container -->
</div>
<!-- end content -->

<?php require 'includes/pie.php';?>

</div>
<!-- ============================================================== -->
<!-- End Right content here -->
<!-- ============================================================== -->

</div>
<!-- END wrapper -->


<?php require 'includes/footer_start.php'
?>
<!-- ============================================================== -->
<!-- Todo el codigo js aqui-->
<!-- ============================================================== -->
<script type="text/javascript" src="../../js/VentanaCentrada.js"></script>
<script type="text/javascript" src="../../js/principal.js"></script>
<script>
    function upload_image(id_users){
        $("#load_img").text('Cargando...');
        var inputFileImage = document.getElementById("imagefile");
        var file = inputFileImage.files[0];
        var data = new FormData();
        data.append('imagefile',file);
        data.append('id_users',id_users);


        $.ajax({
                    url: "../ajax2/imagen_paciente_ajax.php",        // Url to which the request is send
                    type: "POST",             // Type of request to be send, called as method
                    data: data,               // Data sent to server, a set of key/value pairs (i.e. form fields and values)
                    contentType: false,       // The content type used when sending data to the server.
                    cache: false,             // To unable request pages to be cached
                    processData:false,        // To send DOMDocument or non processed data file it is set to false
                    success: function(data)   // A function to be called if request succeeds
                    {
                        $("#load_img").html(data);

                    }
                });

    }
</script>
<script>
    $(function () {
        //Initialize Select2 Elements
        $(".select2").select2();
    });
    $(function() {
        load(1);

//Date range picker
$('.daterange').daterangepicker({
  buttonClasses: ['btn', 'btn-sm'],
  applyClass: 'btn-success',
  cancelClass: 'btn-default',
  locale: {
    format: "DD/MM/YYYY",
    separator: " - ",
    applyLabel: "Aplicar",
    cancelLabel: "Cancelar",
    fromLabel: "Desde",
    toLabel: "Hasta",
    customRangeLabel: "Custom",
    daysOfWeek: [
    "Do",
    "Lu",
    "Ma",
    "Mi",
    "Ju",
    "Vi",
    "Sa"
    ],
    monthNames: [
    "Enero",
    "Febrero",
    "Marzo",
    "Abril",
    "Mayo",
    "Junio",
    "Julio",
    "Agosto",
    "Septiembre",
    "Octubre",
    "Noviembre",
    "Diciembre"
    ],
    firstDay: 1
},
opens: "right"

});
});
</script>
<script>
  function imprimir_receta(id_consulta) {
    VentanaCentrada('../pdf/documentos/rep_consulta.php?id_consulta=' + id_consulta, 'Reporte', '', '800', '600', 'true');
}
</script>
<?php require 'includes/footer_end.php'
?>