<!-- Top Bar Start -->
<div class="topbar">
    <!-- LOGO -->
    <div class="topbar-left">
        <div class="text-center">
            <a href="#" class="logo"><i class="mdi mdi-hospital-building"></i> <span>cliner</span></a>
        </div>
    </div>

    <!-- Button mobile view to collapse sidebar menu -->
    <nav class="navbar-custom">
        <ul class="list-inline float-right mb-0">
            <li class="list-inline-item notification-list hide-phone">
                <a class="nav-link waves-light waves-effect" href="#" id="btn-fullscreen">
                    <i class="mdi mdi-fullscreen noti-icon"></i>
                </a>
            </li>
            <li class="list-inline-item dropdown notification-list">
                <a class="nav-link dropdown-toggle waves-effect waves-light nav-user" data-toggle="dropdown" href="#" role="button" aria-haspopup="false" aria-expanded="false">
                    <img src="../../assets/images/users/avatar-1.jpg" alt="user" class="rounded-circle">
                </a>
                <div class="dropdown-menu dropdown-menu-right profile-dropdown" aria-labelledby="Preview">
                    <!-- item-->
                    <a href="javascript:void(0);" class="dropdown-item notify-item">
                        <i class="mdi mdi-account-circle"></i> <span>Perfil</span>
                    </a>
                    <!-- item-->
                    <a href="../../login.php?logout" class="dropdown-item notify-item">
                        <i class="mdi mdi-logout"></i> <span>Salir</span>
                    </a>
                </div>
            </li>
        </ul>
        <ul class="list-inline menu-left mb-0">
            <li class="float-left">
                <button class="button-menu-mobile open-left waves-light waves-effect">
                    <i class="mdi mdi-menu"></i>
                </button>
            </li>
        </ul>
    </nav>
</div>
<!-- Top Bar End -->

<!-- ========== Left Sidebar Start ========== -->
<div class="left side-menu">
    <div class="sidebar-inner slimscrollleft">
        <!--- Divider -->
        <div id="sidebar-menu">
            <ul>
                <li class="menu-title">Menu</li>

                <li>
                    <a href="principal.php" class="waves-effect waves-primary">
                        <i class="mdi mdi-home"></i><span> Inicio </span>
                    </a>
                </li>

                <li>
                    <a href="../html/pacientes.php" class="waves-effect waves-primary">
                        <i class="mdi mdi-account-multiple"></i><span> Pacientes </span>
                    </a>
                </li>

                <li>
                    <a href="../html/medicos.php" class="waves-effect waves-primary">
                        <i class="mdi mdi-doctor"></i><span> Médicos </span>
                    </a>
                </li>

                <li>
                    <a href="../html/new_tratamiento.php" class="waves-effect waves-primary">
                        <i class="mdi mdi-heart-pulse"></i><span> Conectados </span>
                    </a>
                </li>
                <li>
                    <a href="../html/new_cita.php" class="waves-effect waves-primary">
                        <i class="mdi mdi-calendar-clock"></i><span> Citas Médicas </span>
                    </a>
                </li>

                <li>
                    <a href="../html/medicamentos.php" class="waves-effect waves-primary">
                        <i class="mdi mdi-pill"></i><span> Medicamentos </span>
                    </a>
                </li>

                <li>
                    <a href="../html/proveedores.php" class="waves-effect waves-primary">
                        <i class="mdi mdi-truck-delivery"></i><span> Proveedores </span>
                    </a>
                </li>

                <li class="has_sub">
                    <a href="javascript:void(0);" class="waves-effect waves-primary">
                        <i class="mdi mdi-cart"></i><span> Compras </span> <span class="menu-arrow"></span>
                    </a>
                    <ul class="list-unstyled">
                        <li><a href="../html/new_compra.php">Nueva Compra</a></li>
                        <li><a href="../html/bitacora_compras.php">Bitácora de Compra</a></li>
                    </ul>
                </li>

                <li class="has_sub">
                    <a href="javascript:void(0);" class="waves-effect waves-primary">
                        <i class="mdi mdi-cash-register"></i><span> Facturación </span> <span class="menu-arrow"></span>
                    </a>
                    <ul class="list-unstyled">
                        <li><a href="../html/new_venta.php">Nueva Factura</a></li>
                        <li><a href="../html/bitacora_ventas.php">Bitácora de Facturación</a></li>
                        <li><a href="../html/cxc.php">Cuentas x Cobrar</a></li>
                    </ul>
                </li>

                <li class="has_sub">
                    <a href="javascript:void(0);" class="waves-effect waves-primary">
                        <i class="mdi mdi-receipt"></i><span> Remision </span> <span class="menu-arrow"></span>
                    </a>
                    <ul class="list-unstyled">
                        <li><a href="../html/new_des.php">Nueva Remision</a></li>
                        <li><a href="../html/bitacora_des.php">Bitácora de Remision</a></li>
                    </ul>
                </li>

                <li>
                    <a href="../html/gastos.php" class="waves-effect waves-primary">
                        <i class="mdi mdi-cash-minus"></i><span> Gastos </span>
                    </a>
                </li>

                <li class="has_sub">
                    <a href="javascript:void(0);" class="waves-effect waves-primary">
                        <i class="mdi mdi-safe"></i><span> Caja </span> <span class="menu-arrow"></span>
                    </a>
                    <ul class="list-unstyled">
                        <li><a href="../html/control_caja.php">Control de Caja</a></li>
                    </ul>
                </li>

                <li class="has_sub">
                    <a href="javascript:void(0);" class="waves-effect waves-primary">
                        <i class="mdi mdi-chart-bar"></i><span> Reportes </span> <span class="menu-arrow"></span>
                    </a>
                    <ul class="list-unstyled">
                        <li><a href="../html/rep_gastos.php">Rep. de Gastos</a></li>
                        <li><a href="../html/rep_diario.php">Reporte Diario</a></li>
                    </ul>
                </li>

                <li class="has_sub">
                    <a href="javascript:void(0);" class="waves-effect waves-primary">
                        <i class="mdi mdi-cog"></i><span> Configuración </span> <span class="menu-arrow"></span>
                    </a>
                    <ul class="list-unstyled">
                        <li><a href="../html/empresa.php">Clínica</a></li>
                        <li><a href="../html/grupos.php">Grupos de Usuarios</a></li>
                        <li><a href="../html/usuarios.php">Usuario</a></li>
                        <li><a href="../html/seguros.php">Seguros</a></li>
                        <li><a href="../html/backup.php">Backup</a></li>
                        <li><a href="../html/restore.php">Restore</a></li>
                    </ul>
                </li>
            </ul>
            <div class="clearfix"></div>
        </div>
        <div class="clearfix"></div>
    </div>
</div>
<!-- Left Sidebar End -->