<?php
session_start();
if (!isset($_SESSION['user_login_status']) and $_SESSION['user_login_status'] != 1) {
    header("location: ../../login.php");
    exit;
}
/* Connect To Database*/
require_once "../db.php"; //Contiene las variables de configuracion para conectar a la base de datos
require_once "../php_conexion.php"; //Contiene funcion que conecta a la base de datos
//Inicia Control de Permisos
include "../permisos.php";
$user_id = $_SESSION['id_users'];
get_cadena($user_id);
$modulo = "Inicio";
permisos($modulo, $cadena_permisos);
//Finaliza Control de Permisos
$sql_usuario = mysqli_query($conexion, "select * from usuarios, pacientes where usuarios.id_users=pacientes.id_users and usuarios.id_users='$user_id'");
$rw_usu      = mysqli_fetch_array($sql_usuario);
$id_users    = $rw_usu['id_paciente'];
$image_path  = $rw_usu['image_path'];
if ($image_path == null) {
    $img = '../../assets/images/users/avatar-1.jpg';
} else {
    $img = $image_path;
}
?>

<?php require 'includes/header_start.php';?>

<?php require 'includes/header_end.php';?>

<!-- Begin page -->
<div id="wrapper">

	<?php require 'includes/menu2.php';?>

	<!-- ============================================================== -->
	<!-- Start right Content here -->
	<!-- ============================================================== -->
	<div class="content-page">
		<!-- Start content -->
		<div class="content">
			<div class="container">
				<?php if ($permisos_ver == 1) {
    ?>
					<div class="col-lg-12">
						<div class="portlet">
							<div class="portlet-heading bg-primary">
								<h3 class="portlet-title">
									Nuevo Mensaje
								</h3>
								<div class="portlet-widgets">
									<a href="javascript:;" data-toggle="reload"><i class="ion-refresh"></i></a>
									<span class="divider"></span>
									<a data-toggle="collapse" data-parent="#accordion1" href="#bg-primary"><i class="ion-minus-round"></i></a>
									<span class="divider"></span>
									<a href="#" data-toggle="remove"><i class="ion-close-round"></i></a>
								</div>
								<div class="clearfix"></div>
							</div>
							<div id="bg-primary" class="panel-collapse collapse show">
								<div class="portlet-body">
									<div class="row">

										<!-- Left sidebar -->
										<div class="col-xl-3 col-lg-4">

											<div class="p-20">
												<div class="list-group mail-list  m-t-20">
													<a href="#" class="list-group-item b-0 active"><i class="fa fa-download m-r-10"></i>Nuevo <b class="ml-1"></b></a>
													<a href="mensajes_in2.php" class="list-group-item b-0"><i class="fa fa-file-text-o m-r-10"></i>Bandeja <b class="ml-1"><span class="badge badge-danger noti-icon-badge" id="resultados_entrada"></span></b></a>
													<a href="mensajes_out2.php" class="list-group-item b-0"><i class="fa fa-paper-plane-o m-r-10"></i>Enviados<b class="ml-1"><span class="badge badge-success noti-icon-badge" id="resultados_enviados"></span></b></a>
												</div>

											</div>

										</div>
										<!-- End Left sidebar -->

										<!-- Right Sidebar -->
										<div class="col-xl-9 col-lg-8">
											<div class="row">
												<div class="col-sm-12">
													<div class="card-box m-t-20">
														<div class="p-20">
															<div id="resultados_ajax2"></div>
															<form class="form-horizontal" method="POST" id="guardar_mensaje" name="guardar_mensaje">
																<div class="form-group row">
																	<label for="medico" class="col-sm-2 control-label">Medico:</label>
																	<div class="col-sm-8">
																		<select name='medico' id='medico' class="form-control" required>
																			<option value="">-- Selecciona Medico --</option>
																			<?php

    $query_users = mysqli_query($conexion, "select * from usuarios  where tipo_users=1 order by nombre_users");
    while ($rw = mysqli_fetch_array($query_users)) {
        ?>
																				<option value="<?php echo $rw['id_users']; ?>"><?php echo $rw['nombre_users'] . ' ' . $rw['apellido_users']; ?></option>
																				<?php
}
    ?>
																		</select>
																		<input id="paciente" name="paciente" type='hidden' value="<?php echo $id_users; ?>">
																	</div>
																</div>
																<div class="form-group row">
																	<label for="asunto" class="col-sm-2 control-label">Asunto:</label>
																	<div class="col-sm-8">
																		<input type="text" name="asunto" class="form-control" id="asunto" placeholder="CC" required autocomplete="off">
																	</div>
																</div>
																<div class="form-group row">
																	<label for="mensaje" class="col-sm-2 control-label">Mensaje:</label>
																	<div class="col-sm-8">
																		<textarea name="mensaje" class="form-control" id="mensaje" maxlength="255" autocomplete="off" placeholder="Mensaje" required></textarea>
																	</div>
																</div>

																<div class="form-group">
																	<div class="col-sm-offset-2 col-sm-8">
																		<button type="button" class="btn btn-success waves-effect waves-light m-r-5"><i class="fa fa-trash-o"></i></button>
																		<button type="submit" class="btn btn-danger waves-effect waves-light save_datos"><i class="fa fa-send m-l-10"></i> Enviar</button>


																	</div>
																</div>
															</form>
														</div>
													</div>

												</div>
											</div>

											<!-- End row -->


										</div> <!-- end Col-9 -->

									</div><!-- End row -->




								</div>
							</div>
						</div>
					</div>
					<?php
} else {
    ?>
					<section class="content">
						<div class="alert alert-danger" align="center">
							<h3>Acceso denegado! </h3>
							<p>No cuentas con los permisos necesario para acceder a este módulo.</p>
						</div>
					</section>
					<?php
}
?>

			</div>
			<!-- end container -->
		</div>
		<!-- end content -->

		<?php require 'includes/pie.php';?>

	</div>
	<!-- ============================================================== -->
	<!-- End Right content here -->
	<!-- ============================================================== -->


</div>
<!-- END wrapper -->

<?php require 'includes/footer_start.php'
?>
<!-- ============================================================== -->
<!-- Todo el codigo js aqui-->
<!-- ============================================================== -->
    <script type="text/javascript">
        $(document).ready(function() {
            $("#resultados_entrada").load("../ajax2/carga_sms_entrada.php");
            $("#resultados_entrada2").load("../ajax2/carga_sms_entrada.php");
            $("#resultados_enviados").load("../ajax2/carga_sms_salida.php");
            $("#resultados_citas_total").load("../ajax2/carga_citas_total.php");
            load(1);
        });
    </script>
<script>
	$( "#guardar_mensaje" ).submit(function( event ) {
		$('.save_datos').attr("disabled", true);
		var parametros = $(this).serialize();
		$.ajax({
			type: "POST",
			url: "../ajax2/guardar_mensaje.php",
			data: parametros,
			beforeSend: function(objeto){
				$("#resultados_ajax2").html('<img src="../../img/ajax-loader.gif"> Cargando...');
			},
			success: function(datos){
				$("#resultados_ajax2").html(datos);
				$('.save_datos').attr("disabled", false);
            //resetea el formulario
            $("#guardar_mensaje")[0].reset();
            $("#resultados_enviados").load("../ajax/carga_msn_salida.php");
            window.setTimeout(function() {
            	$(".alert").fadeTo(500, 0).slideUp(500, function(){
            		$(this).remove();});}, 5000);

        }
    });
		event.preventDefault();
	});
</script>

<?php require 'includes/footer_end.php'
?>

