<?php
session_start();
if (!isset($_SESSION['user_login_status']) and $_SESSION['user_login_status'] != 1) {
    header("location: ../../login.php");
    exit;
}
/* Connect To Database*/
require_once "../db.php"; //Contiene las variables de configuracion para conectar a la base de datos
require_once "../php_conexion.php"; //Contiene funcion que conecta a la base de datos
//Inicia Control de Permisos
include "../permisos.php";
$user_id = $_SESSION['id_users'];
get_cadena($user_id);
$modulo = "Medicamentos";
permisos($modulo, $cadena_permisos);
//Finaliza Control de Permisos
?>
<?php require 'includes/header_start.php';?>

<?php require 'includes/header_end.php';?>

<!-- Begin page -->
<div id="wrapper" class="forced enlarged"> <!-- DESACTIVA EL MENU -->

	<?php require 'includes/menu.php';?>

	<!-- ============================================================== -->
	<!-- Start right Content here -->
	<!-- ============================================================== -->
	<div class="content-page">
		<!-- Start content -->
		<div class="content">
			<div class="container">
				<?php if ($permisos_ver == 1) {
    ?>
					<div class="col-lg-12">
						<div class="portlet">
							<div class="portlet-heading bg-primary">
								<h3 class="portlet-title">
									Reporte de  Medicamentos
								</h3>
								<div class="portlet-widgets">
									<a href="javascript:;" data-toggle="reload"><i class="ion-refresh"></i></a>
									<span class="divider"></span>
									<a data-toggle="collapse" data-parent="#accordion1" href="#bg-primary"><i class="ion-minus-round"></i></a>
									<span class="divider"></span>
									<a href="#" data-toggle="remove"><i class="ion-close-round"></i></a>
								</div>
								<div class="clearfix"></div>
							</div>
							<div id="bg-primary" class="panel-collapse collapse show">
								<div class="portlet-body">

									<form class="form-horizontal" role="form" id="datos_cotizacion">
										<div class="form-group row">
											<div class="col-md-4">
												<div class="input-group">
													<input type="text" class="form-control" id="q" placeholder="Buscar por Nombre" onkeyup='load(1);' style=" background-color:#A9D0F5; border-radius: 5px; border: 1px solid #39c" autocomplete="off">
													<span class="input-group-btn">
														<button type="button" class="btn btn-outline-primary waves-effect waves-light" onclick='load(1);'>
															<span class="fa fa-search" ></span></button>
														</span>
													</div>
												</div>
												<div class="col-md-3">
													<span id="loader"></span>
												</div>
												<div class="col-md-4">
													<div class="btn-group dropup">
														<button aria-expanded="false" class="btn btn-default dropdown-toggle waves-effect waves-light" data-toggle="dropdown" type="button">
															<i class='fa fa-file-text'></i> Reporte
															<span class="caret">
															</span>
														</button>
														<div class="dropdown-menu">
															<a class="dropdown-item" href="#" onclick="reporte();">
																<i class='fa fa-print'></i> Imprimir
															</a>
															<a class="dropdown-item" href="../excel/rep_medicamentos.php">
																<i class='fa fa-file-excel-o'></i> Excel
															</a>
														</div>
													</div>

												</div>

											</div>
										</form>
										<div class="datos_ajax_delete"></div><!-- Datos ajax Final -->
										<div class='outer_div'></div><!-- Carga los datos ajax -->


									</div>
								</div>
							</div>
						</div>
						<?php
} else {
    ?>
						<section class="content">
							<div class="alert alert-danger" align="center">
								<h3>Acceso denegado! </h3>
								<p>No cuentas con los permisos necesario para acceder a este módulo.</p>
							</div>
						</section>
						<?php
}
?>

				</div>
				<!-- end container -->
			</div>
			<!-- end content -->

			<?php require 'includes/pie.php';?>

		</div>
		<!-- ============================================================== -->
		<!-- End Right content here -->
		<!-- ============================================================== -->


	</div>
	<!-- END wrapper -->

	<?php require 'includes/footer_start.php'
?>
	<!-- ============================================================== -->
	<!-- Todo el codigo js aqui-->
	<!-- ============================================================== -->

	<script type="text/javascript" src="../../js/VentanaCentrada.js"></script>
	<script>
		$(document).ready(function() {
			$("#resultados_citas").load("../ajax/carga_citas.php");
			$("#resultados_citas_total").load("../ajax/carga_citas_total.php");
			load(1);
		});


		function load(page){
			var q = $("#q").val();
			var parametros = {"action":"ajax","q":q};
			$("#loader").fadeIn('slow');
			$.ajax({
				url:'../ajax/buscar_medicamento2.php',
				data: parametros,
				cache: false,
				beforeSend: function(objeto){
					$("#loader").html("<img src='../../img/ajax-loader.gif'>");
				},
				success:function(data){
					$(".outer_div").html(data).fadeIn('slow');
					$("#loader").html("");
				}
			})
		}
	</script>
<script>
	function reporte(){
		var daterange=$("#range").val();
		VentanaCentrada('../pdf/documentos/rep_med.php?daterange='+daterange,'Reporte','','800','600','true');
	}
</script>

<?php require 'includes/footer_end.php'
?>

