<?php
session_start();
if (!isset($_SESSION['user_login_status']) and $_SESSION['user_login_status'] != 1) {
    header("location: ../../login.php");
    exit;
}

/* Connect To Database*/
require_once "../db.php"; //Contiene las variables de configuracion para conectar a la base de datos
require_once "../php_conexion.php"; //Contiene funcion que conecta a la base de datos
//Inicia Control de Permisos
include "../permisos.php";
$user_id = $_SESSION['id_users'];
get_cadena($user_id);
$modulo = "Inicio";
permisos($modulo, $cadena_permisos);
//Finaliza Control de Permisos
//Archivo de funciones PHP
require_once "../funciones.php";
$usu = $_SESSION['id_users'];
?>
<?php require 'consulta.php';?>
<?php require 'includes/header_start.php';?>
<!-- grafico -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
<script src="https://www.gstatic.com/charts/loader.js"></script>

<?php require 'includes/header_end.php';?>

<!-- Begin page -->
<div id="wrapper" class="forced enlarged">

    <?php require 'includes/menu2.php';?>




    <!-- ============================================================== -->
    <!-- Start right Content here -->
    <!-- ============================================================== -->
    <div class="content-page">
        <!-- Start content -->
        <div class="content">
            <div class="container">
                <?php if ($permisos_ver == 1) {
    ?>
                    <div class="row">

                        <div class="col-lg-6 col-xl-4">
                            <div class="widget-bg-color-icon card-box">
                                <div class="bg-icon bg-icon-purple pull-left">
                                    <i class=" ti-wheelchair text-purple"></i>
                                </div>
                                <div class="text-center">
                                    <h3 class="text-dark text-center"><b class="counter text-purple"><?php total_consultas_p();?></b></h3>
                                    <p class="text-muted mb-0">Total Consultas</p>
                                </div>
                                <div class="clearfix"></div>
                            </div>
                        </div>

                        <div class="col-lg-6 col-xl-4">
                            <a tabindex="-1" href="#">
                                <div class="widget-bg-color-icon card-box">
                                    <div class="bg-icon bg-icon-danger pull-left">
                                        <i class="ti-calendar text-pink"></i>
                                    </div>
                                    <div class="text-center">
                                        <h3 class="text-dark text-center"><b class="counter text-pink"><?php citas_hoy();?></b></h3>
                                        <p class="text-muted mb-0">Citas Pendientes</p>
                                    </div>
                                    <div class="clearfix"></div>
                                </div></a>
                            </div>


                            <div class="col-lg-6 col-xl-4">
                               <a tabindex="-1" href="#">
                                <div class="widget-bg-color-icon card-box fadeInDown animated">
                                    <div class="bg-icon bg-icon-primary pull-left">
                                        <i class="ti-image text-info"></i>
                                    </div>
                                    <div class="text-center">
                                        <h3 class="text-dark"><b class="counter text-info"><?php total_img();?></b></h3>
                                        <p class="text-muted mb-0">Imagnes</p>
                                    </div>
                                    <div class="clearfix"></div>
                                </div></a>
                            </div>

                        </div>
                        <!-- end row -->

                        <div class="row">
                            <div class="col-xl-3 col-lg-4">
                                <div class="text-center card-box">
                                    <div class="member-card">
                                        <div class="thumb-xl member-thumb m-b-10 center-block">
                                            <div id="load_img">
                                                <img src="<?php echo $img; ?>" class="rounded-circle img-thumbnail" alt="profile-image">
                                            </div>
                                        </div>

                                        <div class="">
                                            <h5 class="m-b-5"><?php echo $nombre_users ?></h5>
                                            <p class="text-muted">@<?php echo $usuario_users ?></p>
                                        </div>
                                        <button type="button" class="btn btn-danger btn-sm w-sm waves-effect m-t-10 waves-light">Contraseña</button>


                                        <div class="text-left m-t-40">
                                            <p class="text-muted font-13"><strong>Paciente :</strong> <span class="m-l-15"><?php echo $nombre_users ?></span></p>

                                            <p class="text-muted font-13"><strong>Telefono :</strong><span class="m-l-15"><?php echo $tel_users ?></span></p>

                                            <p class="text-muted font-13"><strong>Email :</strong> <span class="m-l-15"><?php echo $email_users ?></span></p>
                                        </div>
                                    </div>

                                </div> <!-- end card-box -->

                            </div> <!-- end col -->

                            <div class="col-lg-8 col-xl-9">

<div class="port m-b-20">
        <div class="portfolioContainer">
            <?php
$query_img = mysqli_query($conexion, "select img_consulta.image_path, img_consulta.fecha_added  from img_consulta, pacientes  where pacientes.id_paciente=img_consulta.id_paciente and pacientes.id_users = '$usu' order by img_consulta.id_img");
    while ($rw = mysqli_fetch_array($query_img)) {
        $date_added = date('d/m/Y', strtotime($rw['fecha_added']));

        ?>

                <div class="col-sm-6 col-lg-3 col-md-4 webdesign illustrator">
                    <div class="gal-detail thumb">
                        <a href="<?php echo $rw['image_path']; ?>" class="image-popup" title="Screenshot-1">
                            <img src="<?php echo $rw['image_path']; ?>" class="thumb-img" alt="Imagen">
                        </a>
                        <h5 class="text-center"><?php echo $date_added; ?></h5>
                        <div class="ga-border"></div>
                    </div>
                </div>

                <?php
}
    ?>

        </div>
    </div> <!-- End row -->

                            </div>
                        </div>

                    </div> <!-- end col -->




                </div>
                <?php
} else {
    ?>
                <section class="content">
                    <div class="alert alert-danger" align="center">
                        <h3>Acceso denegado! </h3>
                        <p>Su cuenta no esta Activada para acceder a su Perfil.</p>
                    </div>
                </section>
                <?php
}
?>
        </div>
        <!-- end container -->
    </div>
    <!-- end content -->

    <?php require 'includes/pie.php';?>

</div>
<!-- ============================================================== -->
<!-- End Right content here -->
<!-- ============================================================== -->

</div>
<!-- END wrapper -->


<?php require 'includes/footer_start.php'
?>
<!-- ============================================================== -->
<!-- Todo el codigo js aqui-->
<!-- ============================================================== -->
<script type="text/javascript" src="../../js/VentanaCentrada.js"></script>
<script type="text/javascript" src="../../js/principal.js"></script>
<script type="text/javascript">
    $(window).load(function(){
        var $container = $('.portfolioContainer');
        $container.isotope({
            filter: '*',
            animationOptions: {
                duration: 750,
                easing: 'linear',
                queue: false
            }
        });

    });
    $(document).ready(function() {
        $('.image-popup').magnificPopup({
            type: 'image',
            closeOnContentClick: true,
            mainClass: 'mfp-fade',
            gallery: {
                enabled: true,
                navigateByImgClick: true,
                        preload: [0,1] // Will preload 0 - before current, and 1 after the current image
                    }
                });
    });
</script>
<script>
    function upload_image(id_users){
        $("#load_img").text('Cargando...');
        var inputFileImage = document.getElementById("imagefile");
        var file = inputFileImage.files[0];
        var data = new FormData();
        data.append('imagefile',file);
        data.append('id_users',id_users);


        $.ajax({
                    url: "../ajax2/imagen_paciente_ajax.php",        // Url to which the request is send
                    type: "POST",             // Type of request to be send, called as method
                    data: data,               // Data sent to server, a set of key/value pairs (i.e. form fields and values)
                    contentType: false,       // The content type used when sending data to the server.
                    cache: false,             // To unable request pages to be cached
                    processData:false,        // To send DOMDocument or non processed data file it is set to false
                    success: function(data)   // A function to be called if request succeeds
                    {
                        $("#load_img").html(data);

                    }
                });

    }
</script>
<script>
    $(function () {
        //Initialize Select2 Elements
        $(".select2").select2();
    });
    $(function() {
        load(1);

//Date range picker
$('.daterange').daterangepicker({
  buttonClasses: ['btn', 'btn-sm'],
  applyClass: 'btn-success',
  cancelClass: 'btn-default',
  locale: {
    format: "DD/MM/YYYY",
    separator: " - ",
    applyLabel: "Aplicar",
    cancelLabel: "Cancelar",
    fromLabel: "Desde",
    toLabel: "Hasta",
    customRangeLabel: "Custom",
    daysOfWeek: [
    "Do",
    "Lu",
    "Ma",
    "Mi",
    "Ju",
    "Vi",
    "Sa"
    ],
    monthNames: [
    "Enero",
    "Febrero",
    "Marzo",
    "Abril",
    "Mayo",
    "Junio",
    "Julio",
    "Agosto",
    "Septiembre",
    "Octubre",
    "Noviembre",
    "Diciembre"
    ],
    firstDay: 1
},
opens: "right"

});
});
</script>
<script>
  function imprimir_receta(id_consulta) {
    VentanaCentrada('../pdf/documentos/rep_consulta.php?id_consulta=' + id_consulta, 'Reporte', '', '800', '600', 'true');
}
</script>
<?php require 'includes/footer_end.php'
?>