<?php
if (isset($conexion)) {
    ?>
    <div aria-hidden="true" aria-labelledby="myModalLabel" class="modal fade" id="editarConsulta" role="dialog" style="display: none;" tabindex="-1">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button aria-hidden="true" class="close" data-dismiss="modal" type="button">
                    </button>
                    <h4 class="modal-title">
                        <i class="fa fa-edit">
                        </i>
                        Editar Consulta
                    </h4>
                </div>
                <div class="modal-body">
                    <form class="form-horizontal" id="editar_consulta" method="post" name="editar_consulta">
                        <div id="resultados_ajax2">
                        </div>
                        <ul class="nav nav-tabs">
                            <li class="nav-item">
                                <a aria-expanded="false" class="nav-link active" data-toggle="tab" href="#consulta2">
                                    Datos de Consulta
                                </a>
                            </li>
                            <li class="nav-item">
                                <a aria-expanded="true" class="nav-link" data-toggle="tab" href="#receta2">
                                    Receta Medica
                                </a>
                            </li>
                        </ul>
                        <div class="tab-content">
                            <div class="tab-pane fade show active" id="consulta2">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="control-label" for="mod_nombre_paciente">
                                                Paciente
                                            </label>
                                            <input autocomplete="off" class="form-control" disabled="true" id="mod_nombre_paciente" par="" placeholder="Buscar Paciente por Nombre" required="" type="text">
                                            <input id="mod_id_consulta" name="mod_id_consulta" type="hidden">
                                        </input>
                                    </input>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="control-label" for="mod_visita">
                                        Visitas
                                    </label>
                                    <input autocomplete="off" class="form-control" disabled="true" id="mod_visita" name="mod_visita" type="text">
                                </input>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-4">
                            <div class="form-group">
                                <label class="control-label" for="mod_peso">
                                    Peso Actual
                                </label>
                                <input autocomplete="off" class="form-control" id="mod_peso" maxlength="4" name="mod_peso" pattern="^[0-9]{1,5}(\.[0-9]{0,2})?$" title="Ingresa sólo números con 0 ó 2 decimales" type="text">
                            </input>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="control-label" for="mod_talla">
                                Talla
                            </label>
                            <input autocomplete="off" class="form-control" id="mod_talla" maxlength="4" name="mod_talla" pattern="^[0-9]{1,5}(\.[0-9]{0,2})?$" title="Ingresa sólo números con 0 ó 2 decimales" type="text">
                        </input>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group">
                        <label class="control-label" for="mod_estatura">
                            Estatura
                        </label>
                        <input autocomplete="off" class="form-control" id="mod_estatura" maxlength="4" name="mod_estatura" pattern="^[0-9]{1,5}(\.[0-9]{0,2})?$" title="Ingresa sólo números con 0 ó 2 decimales" type="text">
                    </input>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="control-label" for="mod_motivo">
                        Consulta Por:
                    </label>
                    <textarea autocomplete="off" class="form-control" id="mod_motivo" maxlength="255" name="mod_motivo">
                    </textarea>
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="control-label" for="mod_fisico">
                        Examen Fisico:
                    </label>
                    <textarea autocomplete="off" class="form-control" id="mod_fisico" maxlength="255" name="mod_fisico">
                    </textarea>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="control-label" for="mod_laboratorio">
                        Examen de Laboratorio:
                    </label>
                    <textarea autocomplete="off" class="form-control" id="mod_laboratorio" maxlength="255" name="mod_laboratorio">
                    </textarea>
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="control-label" for="mod_diagnostico">
                        Diagnostico:
                    </label>
                    <textarea autocomplete="off" class="form-control" id="mod_diagnostico" maxlength="255" name="mod_diagnostico">
                    </textarea>
                </div>
            </div>
        </div>
    </div>
    <div class="tab-pane fade" id="receta2">
        <div class="text-center" id="loader2">
        </div>
        <div class="outer_div2">
        </div>
    </div>
</div>
</div>
<div class="modal-footer">
    <button class="btn btn-secondary waves-effect" data-dismiss="modal" type="button">
        Cerrar
    </button>
    <button class="btn btn-primary waves-effect waves-light" id="actualizar_datos" type="submit">
        Actualizar Consulta
    </button>
</div>
</form>
</div>
</div>
</div>
<!-- /.modal -->
<?php
}
?>
