<style type="text/css">
    table { vertical-align: top; }
    tr, td { vertical-align: top; }
    .midnight-blue {
        background: #2c3e50;
        padding: 4px;
        color: white;
        font-weight: bold;
        font-size: 12px;
    }
    .table-info {
        width: 50%;
        text-align: left;
        font-size: 12pt;
    }
</style>

<?php
require_once "../db.php";
require_once "../php_conexion.php";
include "../permisos.php";

if (isset($_REQUEST['id_paciente'])) {
    $id_paciente = intval($_REQUEST['id_paciente']);

    $sql = "SELECT * FROM consulta_general, pacientes WHERE consulta_general.paciente_id = pacientes.id_paciente AND consulta_general.paciente_id = '$id_paciente' GROUP BY consulta_general.paciente_id";
    $result = $conexion->query($sql);
    $data = $result->fetch_array();

    if ($data) {
        ?>
        <div class="row">

            <div class="table-responsive">
            <table class="table-info">
                <tr>
                    <td class="midnight-blue">INFORMACION DE PACIENTE:</td>
                </tr>
                <tr>
                    <td>
                        <?php
                        echo "<b>Nombre: </b>{$data['nombre_paciente']}<br>";
                        echo "<b>Dirección: </b>{$data['direccion_paciente']}<br>";
                        echo "<b>Teléfono: </b>{$data['telefono_paciente']}<br>";
                        echo "<b>Email: </b>{$data['email_paciente']}<br><br>";
                        ?>
                    </td>
                </tr>
            </table>

            <hr>
                <table class="table table-sm">
                    <thead class="thead-default">
                        <tr>
                            <th>No. Consulta</th>
                            <th>Anamnesis</th>
                            <th>Físico</th>
                            <th>Diagnóstico</th>
                            <th>Tratamiento</th>
                            <th>Fecha</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php
                        $arrayNumber = 0;
                        $orderItemSql = "SELECT * FROM consulta_general WHERE paciente_id = '$id_paciente' ORDER BY date_added DESC";
                        $orderItemResult = $conexion->query($orderItemSql);

                        while ($orderItemData = $orderItemResult->fetch_array()) {
                            ?>
                            <tr>
                                <td class="text-center"><span class="badge badge-pill badge-primary"><?php echo $orderItemData['id_consulta']; ?></span></td>
                                <td><?php echo $orderItemData['anamnesis']; ?></td>
                                <td><?php echo $orderItemData['fisico']; ?></td>
                                <td><?php echo $orderItemData['diagnostico']; ?></td>
                                <td><?php echo $orderItemData['tratamiento']; ?></td>
                                <td><?php echo $orderItemData['date_added']; ?></td>
                            </tr>
                            <?php
                            $arrayNumber++;
                        }
                        ?>
                    </tbody>
                </table>
            </div>
        </div>
    <?php
    } else {
        ?>
        <div class="alert alert-warning alert-dismissible" role="alert" align="center">
            <strong>Aviso!</strong> No hay Registro de Consultas
        </div>
    <?php
    }
}
?>
