<?php
if (isset($conexion)) {
    ?>
	<div id="nuevoMedic" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="display: none;">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
					<h4 class="modal-title"><i class='fa fa-edit'></i> Nuevo Medicamento</h4>
				</div>
				<div class="modal-body">
					<form class="form-horizontal" method="post" id="guardar_medicamento" name="guardar_medicamento">
						<div id="resultados_ajax"></div>

						<div class="row">
							<div class="col-md-4">
								<div class="form-group">
									<label for="codigo" class="control-label">Codigo:</label>
									<input type="text" class="form-control" id="codigo" name="codigo"  autocomplete="off" style=" background-color:#A9D0F5; border-radius: 5px; border: 1px solid #39c">
								</div>
							</div>
							<div class="col-md-8">
								<div class="form-group">
									<label for="nombre" class="control-label">Nombre:</label>
									<input type="text" class="form-control" id="nombre" name="nombre"  autocomplete="off" required style=" background-color:#A9D0F5; border-radius: 5px; border: 1px solid #39c">
								</div>
							</div>
						</div>


						<div class="row">
							<div class="col-md-6">
								<div class="form-group">
									<label for="consentracion" class="control-label">Concentración</label>
									<input type="text" class="form-control" id="consentracion" name="consentracion" autocomplete="off" style=" background-color:#A9D0F5; border-radius: 5px; border: 1px solid #39c">
								</div>
							</div>
							<div class="col-md-6">
								<div class="form-group">
									<label for="forma" class="control-label">Forma Farmaceutica</label>
									<input type="text" class="form-control" id="forma" name="forma" autocomplete="off" required style=" background-color:#A9D0F5; border-radius: 5px; border: 1px solid #39c">
								</div>
							</div>
						</div>

						<div class="row">
							<div class="col-md-12">
								<div class="form-group">
									<label for="precentacion" class="control-label">Presentacion</label>
									<textarea class="form-control"  id="precentacion" name="precentacion" maxlength="255"  autocomplete="off" required style=" background-color:#A9D0F5; border-radius: 5px; border: 1px solid #39c"></textarea>
								</div>
							</div>
						</div>

						<div class="row">
							<div class="col-md-4">
								<div class="form-group">
									<label for="precio" class="control-label">Precio</label>
									<input type="text" class="form-control" id="precio" name="precio" autocomplete="off" style=" background-color:#A9D0F5; border-radius: 5px; border: 1px solid #39c">
								</div>
							</div>
							<div class="col-md-4">
								<div class="form-group">
									<label for="stock" class="control-label">stock Inicial</label>
									<input type="text" class="form-control" id="stock" name="stock" autocomplete="off" style=" background-color:#A9D0F5; border-radius: 5px; border: 1px solid #39c">
								</div>
							</div>
							<div class="col-md-4">
								<div class="form-group">
									<label for="estado" class="control-label">Estado:</label>
									<select class="form-control" id="estado" name="estado" required style=" background-color:#A9D0F5; border-radius: 5px; border: 1px solid #39c">
										<option value="">-- Selecciona --</option>
										<option value="1" selected>Activo</option>
										<option value="0">Inactivo</option>
									</select>
								</div>
							</div>
						</div>
						<div class="row">
							<div class="col-md-6">
								<div class="form-group">
									<label for="control" class="control-label">Control de Inventario:</label>
									<select class="form-control" id="control" name="control" required style=" background-color:#A9D0F5; border-radius: 5px; border: 1px solid #39c">
										<option value="">-- Selecciona --</option>
										<option value="1">SI</option>
										<option value="0">NO</option>
									</select>
								</div>
							</div>
						</div>
					</div>
					<div class="modal-footer">
						<button type="button" class="btn btn-secondary waves-effect" data-dismiss="modal">Cerrar</button>
						<button type="submit" class="btn btn-primary waves-effect waves-light" id="guardar_datos">Guardar</button>
					</div>
				</form>
			</div>
		</div>
	</div><!-- /.modal -->
	<?php
}
?>