<?php
if (isset($conexion)) {
    ?>
	<div id="nuevoPaciente" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="display: none;">
		<div class="modal-dialog modal-lg">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
					<h4 class="modal-title"><i class='fa fa-edit'></i> Nuevo Paciente</h4>
				</div>
				<div class="modal-body">
					<form class="form-horizontal" method="post" id="guardar_paciente" name="guardar_paciente">
						<div id="resultados_ajax"></div>

						<ul class="nav nav-tabs">
							<li class="nav-item">
								<a href="#info" data-toggle="tab" aria-expanded="false" class="nav-link active">
									Datos Personales
								</a>
							</li>
							<li class="nav-item">
								<a href="#img" data-toggle="tab" aria-expanded="true" class="nav-link">
									Fotografía
								</a>
							</li>
						</ul>
						<div class="tab-content">
							<div class="tab-pane fade show active" id="info">
								<div class="row">
									<div class="col-md-6">
										<div class="form-group">
											<label for="nombre" class="control-label">Nombre:</label>
											<input type="text" class="form-control UpperCase" id="nombre" name="nombre" autocomplete="off" required style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c">
											<div id="cod_resultado"></div><!-- Carga los datos ajax del incremento del codigo -->
										</div>
									</div>
									<div class="col-md-3">
										<div class="form-group">
											<label for="dui" class="control-label">DUI:</label>
											<input type="text" class="form-control UpperCase" id="dui" name="dui" autocomplete="off" required style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c">
										</div>
									</div>
									<div class="col-md-3">
										<div class="form-group">
											<label for="tel" class="control-label">Telefono</label>
											<input type="text" class="form-control UpperCase" id="tel" name="tel" autocomplete="off" style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c">
										</div>
									</div>
								</div>
								<div class="row">
									<div class="col-md-6">
										<div class="form-group">
											<label for="direccion" class="control-label">Dirección:</label>
											<input type="text" class="form-control UpperCase" id="direccion" name="direccion" autocomplete="off" style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c">
										</div>
									</div>
									<div class="col-md-3">
										<div class="form-group">
											<label for="nac" class="control-label">Fecha de Nacimiento</label>
											<input type="date" class="form-control" id="nac" name="nac" required style="background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c">
										</div>
									</div>
									<div class="col-md-3">
										<div class="form-group">
											<label for="edad" class="control-label">Edad:</label>
											<input type="text" class="form-control" id="edad" name="edad" autocomplete="off" style="background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c" readonly>
										</div>
									</div>
									
								</div>

								<div class="row">
									<div class="col-md-5">
										<div class="form-group">
											<label for="encargado" class="control-label">Familiar Responsable:</label>
											<input type="text" class="form-control UpperCase" id="encargado" name="encargado" autocomplete="off" style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c">
										</div>
									</div>
									<div class="col-md-3">
										<div class="form-group">
											<label for="telf" class="control-label">Telefono Responsable:</label>
											<input type="text" class="form-control UpperCase" id="telf" name="telf" autocomplete="off" style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c">
										</div>
									</div>
									<div class="col-md-4">
										<div class="form-group">
											<label for="docres" class="control-label">Dr. Cabecera</label>
											<select name='docres' id='docres' class="form-control" style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c">
                  <option value="">-- Selecciona Medico --</option>
                  <?php
$query_users = mysqli_query($conexion, "SELECT * FROM medicos ORDER BY nombre");
while ($rr = mysqli_fetch_array($query_users)) {
    $selected = ($rr['id_medico'] == $id_medico) ? ' selected' : '';
    printf('<option value="%s"%s>%s</option>', $rr['id_medico'], $selected, $rr['nombre']);
}

?>
                </select>
										</div>
									</div>
								</div>
								<div class="row">
									
									<div class="col-md-8">
										<div class="form-group">
											<label for="otros" class="control-label">Otros Padecimientos</label>
											<input type="text" class="form-control UpperCase" id="otros" name="otros" autocomplete="off" style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c">
										</div>
									</div>
									<div class="col-md-4">
										<div class="form-group">
											<label for="fechemo" class="control-label">Fecha Inicial </label>
											<input type="date" class="form-control" id="fechemo" name="fechemo" required style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c">
										</div>
									</div>
									


								</div>
								
								<div class="row">
								<div class="col-md-8">
										<div class="form-group">
											<label for="com" class="control-label">Comentarios:</label>
											<input type="text" class="form-control UpperCase" id="com" name="com" autocomplete="off" style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c">
										</div>
									</div>
									<div class="col-md-4">
										<div class="form-group">
											<label for="estado" class="control-label">Estado:</label>
											<select class="form-control" id="estado" name="estado" required style=" background-color:#D4E6F1; border-radius: 5px; border: 1px solid #39c">
												<option value="">-- Selecciona --</option>
												<option value="1" selected>Activo</option>
												<option value="0">Inactivo</option>
											</select>
										</div>
									</div>

								</div>
							</div>
							<div class="tab-pane fade" id="img">
								<div class="row">
									<div class="col-md-12">
										<div class="form-group">
											<label for="image" class="col-sm-2 control-label">Imagen</label>
											<div class="col-sm-10">
												<input type="file" class='form-control' name="imagefile" id="imagefile" onchange="upload_image(<?php echo $cod_ref; ?>);">
											</div>
										</div>
									</div>
								</div>
								<div class="text-center">
									<div id="load_img">
										<img src="../../img/pacientes/default.jpg" class="img-thumbnai" width="250px" height="225px">
									</div>
								</div>

							</div>
						</div>
					</div>
					<div class="modal-footer">
						<button type="button" class="btn btn-secondary waves-effect" data-dismiss="modal">Cerrar</button>
						<button type="submit" class="btn btn-primary waves-effect waves-light" id="guardar_datos">Guardar</button>
					</div>
				</form>
			</div>
		</div>
	</div><!-- /.modal -->
	<?php
}
?>
<script>
        document.getElementById('nac').addEventListener('change', function() {
            var birthDate = new Date(this.value);
            var today = new Date();
            var age = today.getFullYear() - birthDate.getFullYear();
            var monthDifference = today.getMonth() - birthDate.getMonth();
            if (monthDifference < 0 || (monthDifference === 0 && today.getDate() < birthDate.getDate())) {
                age--;
            }
            document.getElementById('edad').value = age;
        });
    </script>
