<?php
include 'is_logged.php'; //Archivo verifica que el usario que intenta acceder a la URL esta logueado
/* Connect To Database*/
require_once "../../db.php";
require_once "../../php_conexion.php";
//Inicia Control de Permisos
include "../../permisos.php";
//Archivo de funciones PHP
require_once "../../funciones.php";
//Ontengo variables pasadas por GET
$logo = get_row('perfil', 'logo_url', 'id_perfil', 1);
$id_ingreso = intval($_REQUEST['id_ingreso']);
// check if id_consulta  already not exists
$sql                   = "SELECT * FROM ingresos WHERE id_consulta ='" . $id_ingreso . "';";
$query_check_user_name = mysqli_query($conexion, $sql);
$query_check_user      = mysqli_num_rows($query_check_user_name);
if ($query_check_user == false) {
    echo "<script>alert('Aun no existe el pago de la Consulta, por favor procese el mismo antes de esta operación')</script>";
    echo "<script>window.close();</script>";
    exit;
}
/// get the HTML
ob_start();
include dirname(__FILE__) . '/res/rep_comprobante_html.php';
$content = ob_get_clean();

// Convertir a PDF
require_once dirname(__FILE__) . '/../html2pdf.class.php';
try {
    $html2pdf = new HTML2PDF('P', 'A4', 'es', true, 'UTF-8', 3);
    $html2pdf->pdf->SetDisplayMode('fullpage');
    $html2pdf->writeHTML($content, isset($_GET['vuehtml']));
    ob_end_clean();

    // Configurar el logotipo
    $logoPath = "../" . $logo; // Ruta de la imagen del logotipo
    $logoX = 5; // Posición X del logotipo
    $logoY = 5; // Posición Y del logotipo
    $logoWidth = 30; // Ancho del logotipo
    $logoHeight = 30; // Alto del logotipo

    // Obtener el objeto TCPDF desde HTML2PDF
    $tcpdf = $html2pdf->pdf;

    // Agregar el logotipo al PDF
    $tcpdf->Image($logoPath, $logoX, $logoY, $logoWidth, $logoHeight);

    $html2pdf->Output('Comprobante.pdf');
} catch (HTML2PDF_exception $e) {
    echo $e;
    exit;
}
