<?php
include 'is_logged.php'; //Archivo verifica que el usario que intenta acceder a la URL esta logueado
/* Connect To Database*/
require_once "../../db.php";
require_once "../../php_conexion.php";
//Inicia Control de Permisos
include "../../permisos.php";
//Archivo de funciones PHP
require_once "../../funciones.php";
//Ontengo variables pasadas por GET
$logo = get_row('perfil', 'logo_url', 'id_perfil', 1);
$id_consulta = intval($_REQUEST['id_consulta']);
if ($id_consulta == 0) {
    echo "<script>alert('No ha Seleccionado una Consulta')</script>";
    echo "<script>window.close();</script>";
    exit;
}
$tySql  = "SELECT * FROM recetas_medica, pacientes, usuarios WHERE recetas_medica.id_paciente = pacientes.id_paciente and recetas_medica.users= usuarios.id_users and recetas_medica.id_consulta ='$id_consulta'";
$tyData = $conexion->query($tySql);

while ($tyResult = $tyData->fetch_array()) {
    $id_consulta  = $tyResult['id_consulta'];
    $nombre_users = $tyResult['nombre_users'] . ' ' . $tyResult['apellido_users'];
    // datos del paciente
    $nombre_paciente   = $tyResult['nombre_paciente'];
    $fecha_nacimiento  = $tyResult['fecha_nacimiento'];
    $telefono_paciente = $tyResult['telefono_paciente'];
}

// get the HTML
ob_start();
include dirname(__FILE__) . '/res/rep_receta_html.php';
$content = ob_get_clean();

// Convertir a PDF
require_once dirname(__FILE__) . '/../html2pdf.class.php';
try {
    $html2pdf = new HTML2PDF('P', 'A4', 'es', true, 'UTF-8', 3);
    $html2pdf->pdf->SetDisplayMode('fullpage');
    $html2pdf->writeHTML($content, isset($_GET['vuehtml']));
    ob_end_clean();

    // Configurar el logotipo
    $logoPath = "../" . $logo; // Ruta de la imagen del logotipo
    $logoX = 10; // Posición X del logotipo
    $logoY = 5; // Posición Y del logotipo
    $logoWidth = 30; // Ancho del logotipo
    $logoHeight = 30; // Alto del logotipo

    // Obtener el objeto TCPDF desde HTML2PDF
    $tcpdf = $html2pdf->pdf;

    // Agregar el logotipo al PDF
    $tcpdf->Image($logoPath, $logoX, $logoY, $logoWidth, $logoHeight);

    $html2pdf->Output('Pago.pdf');
} catch (HTML2PDF_exception $e) {
    echo $e;
    exit;
}
